#!/bin/bash

cp ../coord.txt .
cp ../onda/valmax .

ifort -o prom_ape prom_ape.f

if [ -f res.ns ]
then
  rm res.ns
fi
for i in 2*_2.????.asc.spc
do
  echo $i en NS
  cp $i infile
  e=`echo $i | cut -c21-24`
  v=`prom_ape`
  c=`grep $e coord.txt | awk '{print $2,$3}'`
  echo $e $v $c >> res.ns
done


if [ -f res.ew ]
then
  rm res.ew
fi
for i in 2*_3.????.asc.spc
do
  echo $i en EW
  cp $i infile
  e=`echo $i | cut -c21-24`
  v=`prom_ape`
  c=`grep $e coord.txt | awk '{print $2,$3}'`
  echo $e $v $c >> res.ew
done

pmxns=`sort -n -k2 res.ns | tail -n 1 | awk '{print $2}'`
echo "Maximo en NS es " $pmxns
pmxew=`sort -n -k2 res.ew | tail -n 1 | awk '{print $2}'`
echo "Maximo en EW es " $pmxew
mx=`echo $pmxns $pmxew | awk '{if($1>=$2) print $1+1;else print $2+1}'`
echo "Maximo abtoluto para escala de colores" $mx
itrv=`echo $mx | awk '{printf"%d\n",$1/5.0+1}'`
echo "Intervalo en " $itrv
makecpt -T0.1/$mx/$itrv -Crainbow -Z > valores.cpt


###############  Mapa NS  ##################

awk '{print $3,$4,$2,0.1}' res.ns > d1

sort -n -r -k4 d1 > datos.xy


gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > m.ps
pscoast -R -JM -N1/5 -N2/70/70/70 -W2 -X0 -Y0 -S0/149/255 -K -Df -B -O  -Lfx4.3/0.6/10.0/100.0+lkm  -Tf-83.0/10.95/0.5/1  -Glightgray >> m.ps 

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -Glightgray $j >> m.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> m.ps 


pstext -R -JM -O -G0 -W -K <<END>> m.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> m.ps
-82.9 10.4  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -Gwhite <<END>> m.ps
-85.95 8.05 11 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

psxy -R -JM -O -K -Cvalores.cpt -Ss -W2 datos.xy >> m.ps
psscale -Cvalores.cpt -D1.8i/1.8i/3.0i/0.2ih -O -B$itrv:"Aceleraci\360n Pico Efectiva [ NS ]": -K >> m.ps

pstext -R0/6/0/5 -JX3i -O -H -m -N -X0 -Y0 -K <<END>> m.ps
Title
> 0 -0.2 14 0 1 LT 14p 8i j
@%%@_@;255/0/0;Aceleraci\360n Pico Efectiva [ NS ]:@;;@_@%%  Se muestran los valores de aceleraci\360n pico efectiva que se calcula del espectro de respuesta con 5% de amortiguamiento entre 0.1 y 0.5 segundos.
END

psxy -R -JM -O  <<END>> m.ps
END

convert m.ps -crop 586x605+18+95 mapa_ape_ns.png


###############  Mapa EW  ##################


awk '{print $3,$4,$2,0.1}' res.ew > d1

sort -n -r -k4 d1 > datos.xy


gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > m.ps
#grdimage /usr/local/gmt/ampl/g1.grd -R -JM -Cc1.cpt -X0 -Y0 -I/usr/local/gmt/ampl/g1.int -K  -O >> m.ps
pscoast -R -JM -N1/5 -N2/70/70/70 -W2 -X0 -Y0 -S0/149/255 -K -Df -B -O  -Lfx4.3/0.6/10.0/100.0+lkm  -Tf-83.0/10.95/0.5/1  -Glightgray >> m.ps 

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -Glightgray $j >> m.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> m.ps 


pstext -R -JM -O -G0 -W -K <<END>> m.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> m.ps
-82.9 10.4  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -Gwhite <<END>> m.ps
-85.95 8.05 11 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

psxy -R -JM -O -K -Cvalores.cpt -Ss -W2 datos.xy >> m.ps
psscale -Cvalores.cpt -D1.8i/1.8i/3.0i/0.2ih -O -B$itrv:"Aceleraci\360n Pico Efectiva [ EW ]": -K >> m.ps

pstext -R0/6/0/5 -JX3i -O -H -m -N -X0 -Y0 -K <<END>> m.ps
Title
> 0 -0.2 14 0 1 LT 14p 8i j
@%%@_@;255/0/0;Aceleraci\360n Pico Efectiva [ EW ]:@;;@_@%%  Se muestran los valores de aceleraci\360n pico efectiva que se calcula del espectro de respuesta con 5% de amortiguamiento entre 0.1 y 0.5 segundos.
END

psxy -R -JM -O  <<END>> m.ps
END

convert m.ps -crop 586x605+18+95 mapa_ape_ew.png

###############  Comparacion con PGA  ##################

echo "Sitio PGA APE" > comparacion_pga_ape.ns
echo "Sitio PGA APE" > comparacion_pga_ape.ew

if [ -f datos_ape_ams.txt ]
then
  rm datos_ape_ams.txt
fi

cut -c1-4 res.ns > t1
for i in `cat t1`
do
  pgans=`grep $i valmax | awk '{print $9}'`
  pgaew=`grep $i valmax | awk '{print $12}'`
  apens=`grep $i res.ns | awk '{print $2}'`
  apeew=`grep $i res.ew | awk '{print $2}'`
  echo $i $pgans $apens >> comparacion_pga_ape.ns
  echo $i $pgaew $apeew >> comparacion_pga_ape.ew
  echo $i $apens $apeew $pgans $pgaew >> datos_ape_ams.txt
done


gnuplot<<END
set terminal png enhanced size 820,400
set output 'hist_ns.png'
set title font "Arial,12" "Aceleraci\363n M\341xima del Suelo (PGA) -  Aceleraci\363n Pico Efectiva (APE)\nComponente NS"
set auto x
set ylabel 'cm/s^2'
set grid ytics back ls 12
set style data histogram
set style histogram cluster gap 1
set style fill solid border -1
set boxwidth 0.9
set xtic rotate by -90 scale 0 font "Arial,8"
plot 'comparacion_pga_ape.ns' using 2:xtic(1) title col fc rgb "blue" , '' using 3:xtic(1) title col fc rgb "gray"
END

#display hist_ns.png



gnuplot<<END
set terminal png enhanced size 820,400
set output 'hist_ew.png'
set title font "Arial,12" "Aceleraci\363n M\341xima del Suelo (PGA) -  Aceleraci\363n Pico Efectiva (APE)\nComponente EW"
set auto x
set ylabel 'cm/s^2'
set grid ytics back ls 12
set style data histogram
set style histogram cluster gap 1
set style fill solid border -1
set boxwidth 0.9
set xtic rotate by -90 scale 0 font "Arial,8"
plot 'comparacion_pga_ape.ew' using 2:xtic(1) title col fc rgb "blue", '' using 3:xtic(1) title col fc rgb "gray"
END



awk '{printf"%s %f %f %f %f %f %f\n",$1,$2,$3,$4,$5,$2/$4,$3/$5}' datos_ape_ams.txt > relaciones_ape_ams.txt


gmtset PAPER_MEDIA A3

pstext -R0/14/-80/0.5 -JX9/16 -P -X-1.1 -Y0.3 -V -K -Gred <<END> p.ps
7.5 -0.5 16 0 1 2 VALORES DE ACELERACION EFECTIVA
END
pstext -R -JX -O -K -Gblue <<END>> p.ps
2.0 -2 12 0 1 1 Estaci\360n
4.1 -2 12 0 1 1 APE (NS) 
6.7 -2 12 0 1 1 APE (EW)
9.2 -2 12 0 1 1 APE/PGA (NS)
11.4 -2 12 0 1 1 APE/PGA (EW)
END

p=-2
x=1
n=`wc relaciones_ape_ams.txt | awk '{print $1}'`
while [ $x -le $n ]
do
  p=`expr $p - 1`
  lx=2.2
  ly=$p
  head -n $x relaciones_ape_ams.txt | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %5s\n", px,py,14,0,0,1,$1}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=5.0
  ly=$p
  head -n $x relaciones_ape_ams.txt | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %7.2f\n", px,py,14,0,0,3,$2}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=7.6
  ly=$p
  head -n $x relaciones_ape_ams.txt | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %7.2f\n", px,py,14,0,0,3,$3}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  lx=10.2
  ly=$p
  head -n $x relaciones_ape_ams.txt | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %7.2f\n", px,py,14,0,0,3,$6}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  lx=12.4
  ly=$p
  head -n $x relaciones_ape_ams.txt | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %7.2f\n", px,py,14,0,0,3,$7}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  x=`expr $x + 1`
  echo $x $n
done


psxy -R -JX -O <<END>> p.ps
END


#En caso que algo salga mal, se convierte a la longitud total
convert p.ps -crop 550x1630+0+0 tabla_valores_ape.png



if [ $n -le 10 ]
then
  convert p.ps -crop 550x200+0+0 tabla_valores_ape.png
fi
if [ $n -gt 10 ] && [ $n -le 15 ]
then
  convert p.ps -crop 550x270+0+0 tabla_valores_ape.png
fi
if [ $n -gt 15 ] && [ $n -le 20 ]
then
  convert p.ps -crop 550x340+0+0 tabla_valores_ape.png
fi

if [ $n -gt 20 ] && [ $n -le 25 ]
then
  convert p.ps -crop 550x413+0+0 tabla_valores_ape.png
fi

if [ $n -gt 25 ] && [ $n -le 30 ]
then
  convert p.ps -crop 550x484+0+0 tabla_valores_ape.png
fi

if [ $n -gt 30 ] && [ $n -le 35 ]
then
  convert p.ps -crop 550x556+0+0 tabla_valores_ape.png
fi

if [ $n -gt 35 ] && [ $n -le 40 ]
then
  convert p.ps -crop 550x626+0+0 tabla_valores_ape.png
fi

if [ $n -gt 40 ] && [ $n -le 45 ]
then
  convert p.ps -crop 550x696+0+0 tabla_valores_ape.png
fi

if [ $n -gt 45 ] && [ $n -le 50 ]
then
  convert p.ps -crop 550x770+0+0 tabla_valores_ape.png
fi

if [ $n -gt 50 ] && [ $n -le 55 ]
then
  convert p.ps -crop 550x840+0+0 tabla_valores_ape.png
fi

if [ $n -gt 55 ] && [ $n -le 60 ]
then
  convert p.ps -crop 550x920+0+0 tabla_valores_ape.png
fi

if [ $n -gt 60 ] && [ $n -le 65 ]
then
  convert p.ps -crop 550x1000+0+0 tabla_valores_ape.png
fi

if [ $n -gt 65 ] && [ $n -le 70 ]
then
  convert p.ps -crop 550x1150+0+0 tabla_valores_ape.png
fi

rm .gmtdefaults4


