#!/bin/bash

tempdir=`head -n 1 ../destino.dat`


gmtset ANNOT_FONT_SIZE_PRIMARY = 14p


if [ -f t11 ]
then
  rm t11
fi

for i in sac_*_2.???? sac_*_3.????
do

sac2000<<END
r $i
taper type cos w 0.1
rtrend
rmean
sqr
int
mul 3.141519
div 2
div 980
W SAC $i.a
END

done

if [ -f valor.dat ]
then
  rm valor.dat
fi

for i in sac*_2.????.a
do
  j1=`echo $i | cut -c1-22`
  j2=`echo $i | cut -c24-30`
  j=${j1}3${j2}
  v=`echo $i | cut -c25-28`
  echo Procesando $i y $j

sac2000<<END
r $i
setbb pmax1 &1,depmax
r $j
setbb pmax2 &1,depmax
setbb ename &1,kstnm
setbb alat &1,stla
setbb alon &1,stlo
getbb to valor.dat names off newline off ename alat alon pmax1 pmax2
END

done

awk '{printf"%f %f %f %s\n", $3,$2,($4+$5),$1}' valor.dat | sort -n -k3 > ia.dat
awk '{printf"%s %f %f %f\n", $1,$4,$5,($4+$5)}' valor.dat | sort -nr -k4 > ia_orden.dat

mx=`tail -n 1 ia.dat | awk '{print $3+$3*0.1}'`

###############  Mapa  ##################

lat1=8.0
lat2=11.25
lon1=-86.0
lon2=-82.5

pscoast  -R$lon1/$lon2/$lat1/$lat2/0/2 -JM9 -JZ1 -N1/5 -N2 -W2 -Dh  -G110/123/139 -X0.3 -Y0.1 -E190/40 -K > p.ps
pscoast  -R -JM -JZ -W1 -G200/200/200  -Dh -X-0.02 -Y-0.02 -E190/40 -K -O >> p.ps
for j in cartago alajuela guanacaste sanjose heredia puntarenas limon
do
  for i in `cat cantones/$j/lista.dat | awk '{print $1}'`
  do
    psxyz -R -JM -JZ -O -W1/250/250/250 cantones/$j/$i -X0 -Y0 -K  -E190/40 >> p.ps
  done
done
pscoast  -R -JM -JZ -N1/5 -W2 -Dh -X0 -Y0 -E190/40 -K -O -S255/255/255 >> p.ps
awk '{print $1,$2,0.0}' lim_nic.dat | psxyz -R -JM -JZ -O -E190/40 -G255/255/255 -K >> p.ps
awk '{print $1,$2,0.0}' lim_pan.dat | psxyz -R -JM -JZ2 -O -E190/40 -G255/255/255 -K >> p.ps

psxyz -R -JM -JZ -O -Gwhite -X0 -Y0 -K -m# -E190/40 <<EOF>> p.ps
#
-86.0 7.9 0
-82.0 7.9 0
-82.0 8.01 0
-86.0 8.01 0
-86.0 7.9 0
#
-85.99 7.9 0
-86.01 7.9 0
-86.01 12.0 0
-85.99 12.0 0
-85.99 7.9 0
#
-82.495 7.9 0
-82.505 7.9 0
-82.505 12.0 0
-82.495 12.0 0
-82.495 7.9 0
#
-86.0 11.248 0
-82.0 11.248 0
-82.0 11.252 0
-86.0 11.252 0
-86.0 11.248 0
#
-83.95 7.9 0
-84.07 7.9 0
-84.07 9.25 0
-83.95 9.25 0
-83.95 7.9 0
#
-83.95 10.8 0
-84.07 10.8 0
-84.07 11.3 0
-83.95 11.3 0
-83.95 10.8 0
#
-83.0 9.95 0
-82.0 9.95 0
-82.0 10.05 0
-83.0 10.05 0
-83.0 9.95 0
#
-86.0 9.95 0
-85.77 9.95 0
-85.77 10.05 0
-86.0 10.05 0
-86.0 9.95 0
#
EOF

unox=`tail -n 1 ia.dat | awk '{print $4}'`
dosx=`tail -n 2 ia.dat | head -n 1 | awk '{print $4}'`
trex=`tail -n 3 ia.dat | head -n 1 | awk '{print $4}'`

uno=`grep $unox ../lug.dat | awk '{print $2,$3,$4,$5,$6}'`
dos=`grep $dosx ../lug.dat | awk '{print $2,$3,$4,$5,$6}'`
tres=`grep $trex ../lug.dat | awk '{print $2,$3,$4,$5,$6}'`

awk '{print $1,$2,$3/v}' v=$mx ia.dat | psxyz -R -JM -JZ -So0.05 -O -E190/40 -G50/50/20 -W2 -K >> p.ps

psxy -R0/1/0/1 -JX10.18/0.4 -W1 -G217 -B0 -O -K -X-0.1 -Y6.28 <<END>> p.ps
0 0
0 1
1 1
1 0
0 0
END

pstext -R0/6/0/5 -JX4i -O -m -N -X0.2 -Y-3.45 -K <<EOF>> p.ps
> 1.0 -1.0 16 0 0 LT 15p 5.i j
Intensidad de Arias para sitios con aceleraci\360n mayor a 2 cm/s@+2@+.  
EOF

pstext -R0/3/0/5 -JX4i -O -N -X8.1 -Y3.2 -K  <<EOF>> p.ps
-0.8 -0.5 13 0 1 1 @;255/0/0;1-@;; $uno
-0.8 -0.9 13 0 1 1 @;255/0/0;2-@;; $dos
-0.8 -1.3 13 0 1 1 @;255/0/0;3-@;; $tres
EOF

psxy -R -JM -O <<END>> p.ps
END
sed s/"0.24 0.24 scale"/"0.20 0.20 scale"/g p.ps > p1.ps

convert p1.ps -quality 100 -rotate 90 -flatten -crop 586x334+14+250 mapa_ia.png

############################ TABLA CON VALORES ###########################

gmtset PAPER_MEDIA A3

pstext -R0/14/-80/0.5 -JX9/16 -P -X-1.1 -Y0.3 -V -K -Gred <<END> p.ps
6.5 -0.5 16 0 1 2 VALORES DE INTENSIDAD DE ARIAS (CM/S)
END
pstext -R -JX -O -K -Gblue <<END>> p.ps
2.0 -2 12 0 1 1 Estaci\360n
4.1 -2 12 0 1 1 IA (NS) 
6.7 -2 12 0 1 1 IA (EW)
9.2 -2 12 0 1 1 IA (NS+EW)
END

p=-2
x=1
n=`wc ia_orden.dat | awk '{print $1}'`
while [ $x -le $n ]
do
  p=`expr $p - 1`
  lx=2.2
  ly=$p
  head -n $x ia_orden.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %5s\n", px,py,14,0,0,1,$1}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=5.0
  ly=$p
  head -n $x ia_orden.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %8.4f\n", px,py,14,0,0,3,$2}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=7.6
  ly=$p
  head -n $x ia_orden.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %8.4f\n", px,py,14,0,0,3,$3}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=10.2
  ly=$p
  head -n $x ia_orden.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %8.4f\n", px,py,14,0,0,3,$4}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  x=`expr $x + 1`
  echo $x $n
done


psxy -R -JX -O <<END>> p.ps
END


#En caso que algo salga mal, se convierte a la longitud total
convert p.ps -crop 430x1630+0+0 tabla_valores_ia.png



if [ $n -le 10 ]
then
  convert p.ps -crop 430x200+0+0 tabla_valores_ia.png
fi
if [ $n -gt 10 ] && [ $n -le 15 ]
then
  convert p.ps -crop 430x270+0+0 tabla_valores_ia.png
fi
if [ $n -gt 15 ] && [ $n -le 20 ]
then
  convert p.ps -crop 430x340+0+0 tabla_valores_ia.png
fi

if [ $n -gt 20 ] && [ $n -le 25 ]
then
  convert p.ps -crop 430x413+0+0 tabla_valores_ia.png
fi

if [ $n -gt 25 ] && [ $n -le 30 ]
then
  convert p.ps -crop 430x484+0+0 tabla_valores_ia.png
fi

if [ $n -gt 30 ] && [ $n -le 35 ]
then
  convert p.ps -crop 430x556+0+0 tabla_valores_ia.png
fi

if [ $n -gt 35 ] && [ $n -le 40 ]
then
  convert p.ps -crop 430x626+0+0 tabla_valores_ia.png
fi

if [ $n -gt 40 ] && [ $n -le 45 ]
then
  convert p.ps -crop 430x696+0+0 tabla_valores_ia.png
fi

if [ $n -gt 45 ] && [ $n -le 50 ]
then
  convert p.ps -crop 430x770+0+0 tabla_valores_ia.png
fi

if [ $n -gt 50 ] && [ $n -le 55 ]
then
  convert p.ps -crop 430x840+0+0 tabla_valores_ia.png
fi

if [ $n -gt 55 ] && [ $n -le 60 ]
then
  convert p.ps -crop 430x920+0+0 tabla_valores_ia.png
fi

if [ $n -gt 60 ] && [ $n -le 65 ]
then
  convert p.ps -crop 430x1000+0+0 tabla_valores_ia.png
fi

if [ $n -gt 65 ] && [ $n -le 70 ]
then
  convert p.ps -crop 430x1150+0+0 tabla_valores_ia.png
fi

rm .gmtdefaults4

cp tabla_valores_ia.png $tempdir
cp mapa_ia.png $tempdir
cp ./aintensidad.html $tempdir

