#!/bin/bash

dir1=`head -n 1 dirfile`
dir2=`tail -n 1 dirfile`
echo "Trabajando en $dir1"

(
cd /home/lis/reportes/$dir1

h_r=`date +"%d-%m-%Y"`
h_s=`date +"%H:%M:%S"`
echo $h_r > nom.dat
echo $h_s > hor.dat


cp ../fechamag.sh .
cp ../fechamag_origen.sh .
cp ../estax.dat .


if [ -d tempdir ]
then
  rm -r tempdir
fi

r=/var/www/mapas/$dir2




echo $r > destino.dat
tempdir=$r

#echo $dir1 > $tempdir/traba.jo


mkdir $r
mkdir $r/ondas
mkdir $r/velocidad
mkdir $r/espectros
mkdir $r/ef_sitio
mkdir $r/fed
mkdir $r/amenaza
mkdir $r/duracion

echo $dir1 > $tempdir/traba.jo



mkdir $r/ape

mkdir $tempdir/arreglo

#Inicializa el directorio HTML
cp ../html/index.html $tempdir
cp ../html/pdf/* $tempdir
cp ../html/*.png $tempdir
cp ../html/*.jpg $tempdir

cp ../html/lugares.php $tempdir

cp -r ../html/php/* $tempdir/espectros
cp -r ../html/php/* $tempdir/ondas
cp -r ../html/php/* $tempdir/velocidad
cp -r ../html/php/* $tempdir/ef_sitio
cp -r ../html/php/* $tempdir/fed


cp ../html/index.php $tempdir/ondas
cp ../html/index.php $tempdir/velocidad
cp ../html/index.php $tempdir/espectros
cp ../html/index.php $tempdir/ef_sitio
cp ../html/index.php $tempdir/fed
cp ../parte1.html $tempdir/parte1.html
cp ../amenaza.html $tempdir/amenaza.html
cp ../aintensidad.html $tempdir/aintensidad.html

cp -r ../espectros/figuras $tempdir/espectros
cp -r ../fed/figuras $tempdir/fed
cp -r ../ef_sitio/figuras $tempdir/ef_sitio
cp ../ape.html $tempdir/ape.html

cp ../epicentro/revisar/arreglo/* $tempdir

cp -r ../mapa_web .
cp nom.dat mapa_web
cp hor.dat mapa_web

cp -r ../mapint .


cp ../escala.dat .
cp ../color.dat .
cp ../mapa_1.sh .
cp ../mapa_1_eng.sh .

cp ../arreglar_intensidades.sh .

cp ../tabla.sh .
cp ../tabla_sms.sh .
cp ../coord_nombres.txt .
cp ../mapa.sh .
cp ../index.php.* .
cp ../parte1.html.2 .
cp ../amenaza.html.2 .
cp ../ape.html.2 .

cp ../s.png .
cp ../zi.png .

cp ../enviar_correos.sh .
cp ../contactos_email.dat .


cp ../estaciones.txt .
awk -F\; '{print $1,$2,$3}' estaciones.txt > coord.txt
awk -F\; '{print $1,$5}' estaciones.txt > lug.dat
awk -F\; '{print $1,$6}' estaciones.txt > prov.sms
awk -F\; '{print $1,$4}' estaciones.txt > ubicar.dat
cp estaciones.txt $tempdir

cp -r ../onda .
cp -r ../poblacion .
cp -r ../velocidad .
cp -r ../epicentro .
cp -r ../pgavsdist .
cp -r ../espectros .
cp -r ../ef_sitio .
cp -r ../amenaza .
cp -r ../fed .
cp -r ../duracion .
cp -r ../ape .
cp -r ../mapa_p_d .
cp -r ../ariasi .

cp epicentro/revisar/arreglo/* $tempdir/arreglo

cp -r ../intensidad_pga .


(
cd epicentro
if [ -f dir_web_evt ]
then
 rm dir_web_evt
fi

echo "http://www.lis.ucr.ac.cr/mapas/$dir2" > dir_web_evt
)



sms2=$(ls *.SMS 2> /dev/zero | sort | head -n 1)
echo $sms2
i=$sms2
yyy=`echo $i | cut -c3-4`
ddd=`echo $i | cut -c5-7`
hhh=`echo $i | cut -c8-9`
mmm=`echo $i | cut -c10-11`

echo Extrayendo archivo de UCR
for i in `cat estax.dat`
do
/home/lis/reftek/arcfetch2 /home/lis/registros "$i",1,"*",$yyy:$ddd:$hhh:$mmm:00.000,+360
done

(
cd /var/www/pal
/home/lis/reftek/arcfetch2 /home/lis/registros "*",1,"*",$yyy:$ddd:$hhh:$mmm:00.000,+360 &
)

(
#Guarda copia en directorio de destino

cd $tempdir
/home/lis/reftek/arcfetch2 /home/lis/registros "*",1,"*",$yyy:$ddd:$hhh:$mmm:00.000,+360 &


)


mv 2*.rt onda

(
cd mapa_web 
portada_aviso.sh
cp portada.gif /var/www/img/portada.gif
cp portada.gif $tempdir/portada.gif
)

echo ====================PREPARANDO LOS DATOS DE REFTEK A SAC
(
cd onda
procesar.sh
cp sac_* ../epicentro
cp lista.dat ../epicentro
)

echo ===============================================EPICENTRO
(
cd epicentro
cp ../coord.txt .

#Filtrar hasta 10 Hz para evitar ruido de alta frecuencia que interfiera con ubicacion de onda P
sac2000<<END
R sac_*
BP BU CO 0.1 10.0
W SAC OVER
END

epicentro.sh


if [ -f parar.txt ]
then
  echo " "
  echo "=================================================" 
  echo "=================================================" 
  echo "=================================================" 
  echo "Detiendo ejecucion del programa crear_reporte.sh"
  exit
fi

echo Proceso continua



mapa_epicentro_solo_eng.sh &

#Guarda los datos en archivo php para leerlo en tempdir
xmw=`cat mw.dat`
xdp=`awk '{printf"%5.1f\n",$3}' epi.dat`
echo "<?" > datos.php
echo "\$mag=\"$xmw\";" >> datos.php
echo "\$pro=\"$xdp\";" >> datos.php
echo "?>" >> datos.php
cp datos.php $tempdir


(
cd ..
fechamag.sh
echo Actualizando la fecha del evento en fecha0.png
cp fecha0.png $tempdir/fecha0.1.png
fechamag_origen.sh
cp fecha0.png $tempdir
)

cp mw.dat ../intensidad_pga
cp epi.dat ../intensidad_pga
cp mw.dat ../pgavsdist
cp epi.dat ../mapa_p_d
cp mw.dat ../mapa_p_d

#Preparar datos para SMS
cp mw.dat /home/lis/python_sms
cp epi.dat /home/lis/python_sms




echo $tempdir > carpeta.dat
mv carpeta.dat revisar

cp sac_????????????????._?.???? revisar
cp sac_????????????????._1.????.x.p revisar
cp coord.txt revisar
cp ../nom.dat revisar
cp ../hor.dat revisar
cp ../kan.dat revisar
cp vernp.sh revisar
cp /usr/local/gmt/lugares/cantones_parciales.dat revisar
tar -cvjf /var/www/pal/revision.$dir1.tar.bz2 ./revisar > rev.dat &
echo Se guardo archivo para revision...


c=`file elocate.dat | awk '{print $2}'`
if [ $c = 'empty' ]
then
  echo No se calculo epicentro
else
  cp epicentro.png $tempdir
  convert epicentro.png epicentro.gif
  cp epicentro.png /var/www/img/portada.png

  cp muestra.png $tempdir

#######################Con PDF
  mapa_epic.sh
  mapa_epic_eng.sh
  cp elocate.dat $tempdir
  cp resultado.dat $tempdir
(
cd distancias
cp ../epi.dat .
calcular_distancia.sh
cp lugares_cercanos.png $tempdir
cp dat3 $tempdir
cp calc2.dat /home/lis/python_sms

cp calc1.dat ../../mapa_p_d
cp calc2.dat ../../mapa_p_d/latex
cp calc2.dat $tempdir
)

  cp ../nom.dat ../mapa_web
  cp ../hor.dat ../mapa_web
  cp epi.dat ../mapa_web
  cp mw.dat ../mapa_web

  g1=`head -n 1 ../nom.dat`
  g2=`head -n 1 ../hor.dat`
  g3=`awk '{print $1,$2}' epi.dat`
  g4=`head -n 1 mw.dat`
  g5=`awk '{print $3}' epi.dat`
  echo $g1 $g2 $g3 $g5 $g4 > ubic.dat
  cp ubic.dat $tempdir
  echo Se copio ubic.dat en $tempdir
  cat $tempdir/ubic.dat


ltt1=`awk '{print $2}' epi.dat`
lng1=`awk '{print $1}' epi.dat`
echo "<?" > datos_cel.php
echo "\$fch=\"$g1\";" >> datos_cel.php
echo "\$tpo=\"$g2\";" >> datos_cel.php
echo "\$ltt=\"$ltt1\";" >> datos_cel.php
echo "\$lng=\"$lng1\";" >> datos_cel.php
echo "\$pro=\"$g5\";" >> datos_cel.php
echo "\$mag=\"$g4\";" >> datos_cel.php
echo "\$vis=\"y\";" >> datos_cel.php 
echo "?>" >> datos_cel.php
cp datos_cel.php $tempdir
echo Se copio datos_cel.php en $tempdir
cat $tempdir/datos_cel.php






#Mapa para la portada
(
cd /var/www/img/mapaweb
eventos_auto.sh
if [ -f portada.gif ]
then
  cp portada.gif /var/www/img
  cp portada.gif $tempdir
  echo Se actualizo mapa de portada
fi
)

fi
)

echo ===============================================ONDAS
(
cd onda
ondas_1.sh
)

if [ -f loc.dat ]
then 
  rm loc.dat
fi
if [ -f locvel.dat ]
then 
  rm locvel.dat
fi
if [ -f locace.dat ]
then 
  rm locace.dat
fi
if [ -f param.dat ]
then 
  rm param.dat
fi


for i in ????.mmi
do
  s=`echo $i | cut -c1-4`
  lon=`grep $s coord.txt | awk '{print $2}'`
  lat=`grep $s coord.txt | awk '{print $3}'`
  v=`awk '{print $3}' $i`
  w=`awk '{print $4}' $i`
  ac=`awk '{print $1}' $i`
  av=`awk '{print $2}' $i`
  y=`grep $w color.dat | awk '{print $2}'`
  echo $lon $lat $v $y >> loc.dat
  echo $lon $lat $av >> locvel.dat
  echo $lon $lat $ac $s >> locace.dat
  echo $s $ac $av >> param.dat
done 

cp locace.dat intensidad_pga
cp locace.dat $tempdir


cp locace.dat poblacion
mv locace.dat onda
cp param.dat onda
mv locvel.dat velocidad
cp param.dat velocidad

#####################Con PDF
mapa_1.sh
mapa_1_eng.sh

tabla.sh
tabla_sms.sh


if [ -s epicentro/mw.dat ]
then
  echo Revisando para mensajes en SMS
  echo Archivo de mw.dat no esta vacio
  x1=`cat epicentro/mw.dat | awk '{if($1 > 1.0) print "S";else print "N"}'`
  if [ "$x1" == "S" ]
  then
    echo El valor de mw.dat es mayor a 1.0
    (
    cd /home/lis/python_sms
    master2.sh > salida.dat &
    )
  fi
fi




(
#Se actualiza el mapa de los perfiles
cd /home/lis/lista_automatica_todos
mapa_perfil.sh
mapa_perfil2.sh
mapa_histograma_tiempo2.sh
mapa_histogram.sh

echo Listos los perfiles...
)

#Se manda mensaje al Twitter desde carpeta epicentro
(
cd epicentro

if [ -s mw.dat ]
then
  x1=`cat mw.dat | awk '{if($1 > 1.0) print "S";else print "N"}'`
  if [ "$x1" == "S" ]
  then
    echo No vacio, se manda a redes sociales
    comunicar.sh
  fi
fi
)

echo ===============================================POBLACION
(
cd poblacion
cantones01.gmt
)

echo ===============================================PGAvsDIST
crp_destino=`head -n 1 destino.dat`
cp destino.dat $crp_destino
cp coord.txt $crp_destino
cp -r pgavsdist $crp_destino
(
cd pgavsdist
cp ../param_pga.dat .
cp ../epicentro/epi.dat .
distancia.sh
echo Calculando grafico de PGA vs Distancia
pgadist.sh
echo Creando histograma de PGA maximo por estacion
)


#INFORMACION TECNICA SE PROCESA DE AQUI EN ADELANTE

echo ===============================================MAPINT
(
cd mapint
mapint2.sh > salida.dat &
cd cns
mapint_cns.sh > salida.dat &
cd ../cew
mapint_cew.sh > salida.dat &
cd ../cud
mapint_cud.sh > salida.dat &
)


echo =============================================INTENSIDAD
(
cd intensidad_pga
cp ../estaciones.txt .
intens.sh > salida.dat &
)





echo =============================================ACELERACION
(
cd onda
ondas_2.sh
tabla_ace.sh
mapa_acel.sh
cp figuras/w.png $tempdir
cp ../index.php.ondas $tempdir/ondas/index.php
)


echo ===============================================DURACION
(
cd duracion
duracion.sh

if [ -f hist_duracion.png ]
then
  cp hist_duracion.png $tempdir
  cp duracion_map.png $tempdir
  cp index.html $tempdir
fi

)




echo ===============================================VELOCIDAD
(
cd velocidad
velocidad.sh
mapa_vel.sh

cp figuras/x.png $tempdir
cp ../index.php.velocidad $tempdir/velocidad/index.php
cav.sh
)


echo ===============================================ESPECTROS
(
cd espectros
proc.sh
mapa_es_dos.sh
mv mapa_periodos_sp_ns.png $tempdir/espectros/figuras
mv mapa_periodos_sp_ew.png $tempdir/espectros/figuras
cp figuras/e.png $tempdir
cp ../index.php.espectros $tempdir/espectros/index.php

)

echo ===================================================SITIO
(
cd ef_sitio
ef_sitio.sh
mapa_es.sh

mv mapa_periodos_es.png $tempdir/ef_sitio/figuras
cp figuras/u.png $tempdir
cp ../index.php.ef_sitio $tempdir/ef_sitio/index.php
)

echo ============================================FALLAS ACTIVAS
mapa.sh
cp s.png $tempdir
cp parte1.html.2 $tempdir/parte1.html

echo =================================================AMENAZA
(
cd amenaza
amenaza500.sh
amenaza1000.sh
amenaza2500.sh
rm t1 p.ps
mv amenaza*.jpg $tempdir
cp a.png $tempdir
cp escala2.png $tempdir
cp ../amenaza.html.2 $tempdir/amenaza.html
)

echo ====================================================FEDS
(
cd fed
cp ../ubicar.dat .
procfed2010.sh
cs.sh
mv cs.jpg $tempdir/fed/figuras
cp figuras/f.png $tempdir
cp ../index.php.fed $tempdir/fed/index.php
)



echo ===============================ACELERACION PICO EFECTIVA
(
cd ape
cp ../espectros/*.spc .
valores_pico_efectiva.sh
mv mapa*.png $tempdir/ape
mv hist*.png $tempdir/ape
cp tabla_valores_ape.png $tempdir/ape
cp ../ape.html.2 $tempdir/ape.html
cp figuras/l.png $tempdir
)


echo ===============================INTENSIDAD DE ARIAS
(
cd ariasi
arias2.sh
)









)
