#!/bin/bash

tempdir=`head -n 1 ../destino.dat`

mkdir thumbs


for i in `ls -c1 sac_*_1.???? | cut -c25-28 | cat`
do

sac2000<<END
r sac_*._1.$i sac_*._2.$i sac_*._3.$i
qdp off
taper TYPE cos W 0.1
RMEAN
RTREND
fft
WRITESP am f_ud f_ns f_ew
END
for j in f_??.am
do
   readsac < $j > infile
   suavizar > t1
   frq=`cat t1`
   writesac $frq < oufile > $j.smt
done

sac2000<<END
r f_ns.am.smt f_ew.am.smt
sqr
WRITE SAC OVER
r f_ns.am.smt
addf f_ew.am.smt
sqrt
W SAC f1.am
r f1.am
divf f_ud.am.smt
W SAC Evento
END
readsac < Evento > Evento.$i
delta_f=`awk '{if(NR == 1) print $1}' Evento.$i`
awk '{if(NR>1) print 1/(NR*dta),$1}' dta=$delta_f Evento.$i > e_s.$i
max1=`awk '{if( $1>0.1 && $1<10 ) printf"%f\n", $2}' e_s.$i | sort -n | tail -n 1`
max2=`awk '{if( $1>0.1 && $1<10 ) printf"%f\n", $3}' site.dev.$i | sort -n | tail -n 1`
echo $max1 $max2 > t1
mmax=`awk '{if($1>$2) print $1+$1*0.1;else print $2+$2*0.1}' t1`
echo ==================
echo $i $max1 $max2 $mmax
echo ==================

#Graficar

psxy -R0.099/11.0/0/$mmax -JX5l/5 -P -B1f3g3p:"Periodo (s)":/a2f1g1:"Amplitud"::."Sitio $i":WSne -K -X2.0 -Y5.0 <<END> p.ps
END
awk '{if(NR>1) print $1,$2}' e_s.$i | psxy -R -JX -O -K -W2/255/0/0 >> p.ps
# awk '{if(NR>1) print $1,$2}' site.dev.$i | psxy -R -JX -O -K -W4/0/0/255 >> p.ps
# awk '{if(NR>1) print $1,$3}' site.dev.$i | psxy -R -JX -O -K -Wt5:1/100/100/255 >> p.ps
# awk '{if(NR>1) print $1,$4}' site.dev.$i | psxy -R -JX -O -K -Wt5:1/100/100/255 >> p.ps

awk '{printf"%f %s %f %s %f %s %f\n", $1,",",$2,",",$3,",",$4}' site.dev.$i > test.dat
gmtconvert -F0,2 -f0f test.dat > test.in
gmtconvert -F0,3 -f0f -I test.dat >> test.in
psxy -R -JX -O -K -G220/220/255 -B test.in >> p.ps
awk '{if(NR>1) print $1,$2}' site.dev.$i | psxy -R -JX -O -K -W4/0/0/255 >> p.ps
awk '{if(NR>1) print $1,$2}' e_s.$i | psxy -R -JX -O -K -W2/255/0/0 >> p.ps


psxy -R0/1/0/1 -JX4.5/1 -X0.1 -Y5.0 -O -K <<END>> p.ps
END
psxy -R -JX -O -K -W8/red <<END>> p.ps
0.05 0.2
0.15 0.2
END
psxy -R -JX -O -K -W8/blue <<END>> p.ps
0.40 0.2
0.50 0.2
END
psxy -R -JX -O -K -G220/220/255 -Ss0.25 -W1 <<END>> p.ps
0.75 0.2
END
pstext -R -JX -K -O <<END>> p.ps
0.17 0.15 12 0 1 1 Este evento
0.52 0.15 12 0 1 1 Promedio
0.80 0.15 12 0 1 1 Desv. Est.
END

psxy -R -JX -O  <<END>> p.ps
END
#cp p.ps p.ps.$i
convert p.ps -crop 586x475+25+12 a.png
mv a.png $tempdir/ef_sitio/s$i.png
#mv a.png s$i.png

convert -size 100x40 xc:white -fill blue  -font Helvetica-Bold -pointsize 25 -draw "text 15,29 '$i'" -frame 2x2 test.gif
convert test.gif -matte \
          \( +clone -fill DarkSlateGrey -colorize 100% -repage +0+1 \) \
          \( +clone -repage +1+2 \) \
          \( +clone -repage +1+3 \) \
          \( +clone -repage +2+4 \) \
          \( +clone -repage +2+5 \) \
          \( +clone -repage +3+6 \) \
          -background none -compose DstOver -mosaic  a.png


mv a.png thumbs/s$i.png

done

mv thumbs $tempdir/ef_sitio
rm f*.am f*.smt Evento infile oufile t1 

