#!/bin/bash

rm picos.dat
for i in e_s.????
do
  v=`echo $i | cut -c5-8`
  grep $v ../coord.txt > t0
  awk '{printf"%f %f\n",$1,$2}' $i > a1
  awk '{if($1 <= 10 && $1 >= 0.1) print $1,$2}' a1 > t3.$i
  sort -n -r -k2 t3.$i | head -n 1 > t1
  paste t0 t1 > t2
  cat t2 >> picos.dat
done

makecpt -T0.1/10/0.2 -Crainbow > valores.cpt


# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8



awk '{print $2,$3,$4,0.1}' picos.dat > d1

sort -n -r -k4 d1 > datos.xy


gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > m.ps
#grdimage /usr/local/gmt/ampl/g1.grd -R -JM -Cc1.cpt -X0 -Y0 -I/usr/local/gmt/ampl/g1.int -K  -O >> m.ps
pscoast -R -JM -N1/5 -N2/70/70/70 -W2 -X0 -Y0 -S0/149/255 -K -Df -B -O  -Lfx4.3/0.6/10.0/100.0+lkm  -Tf-83.0/10.95/0.5/1  -Glightgray >> m.ps 

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -Glightgray $j >> m.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> m.ps 


pstext -R -JM -O -G0 -W -K <<END>> m.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> m.ps
-82.9 10.4  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -Gwhite <<END>> m.ps
-85.95 8.05 11 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

psxy -R -JM -O -K -Cvalores.cpt -Ss -W2 datos.xy >> m.ps

psscale -Cvalores.cpt -D1.8i/1.8i/3.0i/0.2ih -O -B1:"Periodo (s)": -K >> m.ps


pstext -R0/6/0/5 -JX3i -O -H -m -N -X0 -Y0 -K <<END>> m.ps
Title
> 0 -0.2 14 0 1 LT 14p 8i j
@%%@_@;255/0/0;Efectos de Sitio:@;;@_@%%  Se muestran los periodos en los cuales ocurre el valor m\337ximo del efecto de sitio de cada estaci\360n usando los datos de este sismo.
END


psxy -R -JM -O  <<END>> m.ps
END

convert m.ps -crop 586x605+18+95 mapa_periodos_es.png
