#!/bin/bash


# 109.3 km corresponden a 4.1 cm que es 1 grado en este mapa
# 109.3 km corresponden a 1.61 pulgadas


(
ifort -o inters inters.f
ifort -o prom prom.f


rm epicentro.png elocate.dat elocate.sum epi.dat sac_*.????.x
rm ????.r.txt

gmtset        BASEMAP_TYPE PLAIN

echo -84.054 09.938 > sjs.dat


rm sac_2*_1.SCGH
rm sac_2*_1.PPUN

ls -c1 sac_2*._1.???? | cut -c25-28 > lista.dat

for j in `cat lista.dat`
do
  for k in sac*_1.$j 
  do
    cp $k $k.sactemp
  done
done


for j in *.sactemp
do
  echo $j
  cp $j sac_evento
sac2000<<END
m seleccionar.sac
END
  if [ -f sac_evento_sel ]
  then
    h=`echo $j | cut -c1-28`
    mv sac_evento_sel $h.x
  fi
  rm sac_evento
done

rm sac*.sactemp

calcular_p.sh
yy.sh

sac2eloc sac*.x.p

cat elocate.dat


c=`file elocate.dat | awk '{print $2}'`
if [ $c = 'empty' ]
then
  echo No se calculo epicentro
else
  #cp epicentro.png $tempdir
  if [ -f t1 ]
  then
    rm t1
  fi
  #Find depth at minimum RMS
  for i in `seq 5 5 500`
  do
    elocate -M 3 -DEPTH $i -BATCH > resultado.dat
    r=`grep RMS resultado.dat | awk '{print $4}'`
    d=`grep Depth resultado.dat | awk '{print $3,$5}'`
    echo $i $r $d >> t1
    echo Profundidad $i
  done

  d1=`sort -n -k2 t1 | head -n 1 | awk '{print $3,$4}'`
  d2=`sort -n -k2 t1 | head -n 1 |awk '{printf"%3.1f\n", $3}'`
  echo Profundidad es de $d2
  if [ $d2 = 0.0 ]
  then
    d2=1.0
    echo Cambiando profundidad a $d2
  fi
  elocate -M 3 -DEPTH $d2 -BATCH > resultado.dat
  d=`grep Depth resultado.dat | awk '{print $3,$5}'`

  elat=`grep Latitude resultado.dat | awk '{printf"%6.3f\n", $3}'`
  elon=`grep Longitude resultado.dat | awk '{printf"%6.3f\n", $3}'`
  err_lat=`grep Latitude resultado.dat | awk '{printf"%6.3f\n", $5}'`
  err_lon=`grep Longitude resultado.dat | awk '{printf"%6.3f\n", $5}'`
  rms=`grep RMS resultado.dat | awk '{printf"%6.3f\n", $4}'`
  etime=`grep "Event (OCAL)" resultado.dat | awk '{printf"%4d/%2d/%2d %2d:%2d:%2d\n", $4,$5,$6,$7,$8,$9}'`
  echo $elon $elat $d $err_lon $err_lat > epi.dat

  cp epi.dat ~/reportes/mapa_web


  #surface -R-87/-81/6/12 datos.xyz -I0.01 -Gsurf.grd
  #grdgradient surf.grd -A110 -Ggradients.grd -Nt -V

  psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
  grdimage surf.grd -R -JM -Cfondo.cpt -X0 -Y0 -Igradients.grd -K  -O >> p.ps
  pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-83.5/7.5/10.0/100.0 -G150/150/150 >> p.ps
  #psxy -R -JM -B -W1/red /usr/local/gmt/fallas/*.falla -K -O >>p.ps

  #####################Preparar amplitud
  amp.sh

  if [ -f t2 ]
  then
    rm t2
  fi

  for i in `cat lista_r.dat`
  do
    grep $i coord.txt | awk '{print $2,$3}' > t1
    psxy -R -JM -W1 -St0.1 -Ggreen -O -K t1 >> p.ps
    awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));print a*109.3}' x0="$elon" y0="$elat" t1 > $i.d
    grep $i temp1.dat > $i.a
    paste $i.d $i.a > t1
    echo === t1 === $i
    cat t1
    m=`inters`
    echo Estacion: $i con Mw $m
    echo $i $m >> t2
  done

  mw=`prom`
  echo "Mw= " $mw
  echo $mw > mw.dat
  cp mw.dat ~/reportes/mapa_web/
  de=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));printf"%6.1f\n", a*109.3}' x0="$elon" y0="$elat" sjs.dat`
  echo Dist epic = $de
  dh=`awk '{a=sqrt($3*$3+r*r);printf"%6.1f\n",a}' r="$de" epi.dat`
  echo Hipoc Dist = $dh
  pf=`echo $d | awk '{printf"%6.1f\n",$1}'`
  err_pro=`echo $d | awk '{printf"%6.1f\n",$2}'`



  echo "-86.6 7.815 11 0 0 1 Estaciones usadas para el c\337lculo:" > info.dat
  

  echo "-86.6 7.7 11 0 0 1 Origen (UTC): " >> info.dat
  echo "-85.0 7.7 11 0 1 3 " $etime  >> info.dat
	
  echo "-86.6 7.6 11 0 0 1 Magnitud Momento (Mw)=" >> info.dat
  echo "-85.0 7.6 11 0 0 3 " $mw  >> info.dat
	
  echo "-86.6 7.5 11 0 0 1 Distancia de San Jos\345 (km)= " >> info.dat
  echo "-85.0 7.5 11 0 0 3 " $de  >> info.dat
	
  echo "-86.6 7.4 11 0 0 1 Profundidad (km)= " >> info.dat
  echo "-85.0 7.4 11 0 0 3 " $pf "\234" $err_pro >> info.dat
	
  echo "-86.6 7.3 11 0 0 1 Longitud= " >> info.dat
  echo "-85.0 7.3 11 0 0 3 " $elon  "\234" $err_lon >> info.dat
	
  echo "-86.6 7.2 11 0 0 1 Latitud= " >> info.dat
  echo "-85.0 7.2 11 0 0 3 " $elat  "\234" $err_lat >> info.dat
	
  echo "-86.6 7.1 11 0 0 1 Error RMS= " >> info.dat
  echo "-85.0 7.1 11 0 0 3 " $rms >> info.dat
	

  awk '{print $16,$15}' elocate.dat | psxy -R -JM -W1 -St0.1 -Ggreen -O -K >> p.ps

  psxy -R -JM -W1 -S+0.35 -O -K epi.dat >> p.ps
  psxy -R -JM -W1 -Sc0.1 -Gyellow -O -K epi.dat >> p.ps
  psxy -R -JM -W1 -Sc0.16 -O -K epi.dat >> p.ps
  psxy -R -JM -W1 -Sc0.22 -O -K epi.dat >> p.ps
  psxy -R -JM -W1 -Sc0.28 -O -K epi.dat >> p.ps
  awk '{print $1,$2+0.12, 10, 0, 0, 2, "Epicentro"}' epi.dat | pstext -R -JM -O -K >> p.ps

pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-81.85 7.08 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

pstext -R -JM -O -K -Gyellow -W0/0/0O/255/255/255o <<END>> p.ps
-81.83 11.58 12 0 1 3 ESTIMACION AUTOMATICA
END

psxy -R -JM -W1 -G255 -O -K <<END>> p.ps
-86.65 7.92
-84.95 7.92
-84.95 7.05
-86.65 7.05
-86.65 7.92
END

pstext -R -JM -O -K info.dat >> p.ps

psxy -R -JM -W1 -St0.113 -Ggreen -O -K <<END>> p.ps
-85.05 7.85
END

psxy -R -JM -O <<END>>p.ps
END

pwaves.sh
                                                                                                                               
# # # # # 
fi

rm .gmtdefaults4 sjs.dat t1 t2 ????.d ????.a *.tmp
rm info.dat 
rm temp* ????.r.txt

convert p.ps -crop 590x560+15+25 epicentro.png

#display epicentro.png

#rm linea?v.dat linea?.dat eq?.dat level.dat level2.dat

rm ????.1 ????.2 ????.3  
rm ????.r

)

