      character*20 t1,t2,t3,t4,t5,t6,t7
      real amp(200000),fi(200000),out(200000)


      open(10,file='raw_file',status='old')
      read(10,*) df,npts
      print*,df,npts
      read(10,*) x
      npts=npts-1
      do i = 1, npts
        f = f + df
        read(10,*) amp(i)
        fi(i)=f
      enddo
      close(10)

      call esmthf(amp,out,fi,npts,0.1)
      open(12,file='smt_file',status='unknown')
      do i = 1, npts
        write(12,*) fi(i),out(i)
      enddo
      close(12)
      stop
      end


C*************************************************************                       
      SUBROUTINE ESMTHF(AI,AO,F,NF,SMTHF)                 
C*************************************************************                                                                
C     ROUTINE FOR SMOOTHING SPECTRA OR SPECTRAL RATIO           
C     AI INPUT SIGNAL 
C     AO OUTPUT SIGNAL 
C     F FREQUENCY (ARRAY) 
C     NF NUMBER OF FREQUENCIES 
C     SMFTHF SMOOTHING FACTOR.  
C 
                                                               
      DIMENSION AI(1),AO(1),F(1)                     
      REAL MADD                                              
                                                                
      IF(SMTHF.LE.0.0) GO TO 100                                
      AO(1)=AI(1)                                                
      DO 35 I=2,NF                                             
      F1=(1.0-0.5*SMTHF)*F(I)                                   
      F2=(1.0+0.5*SMTHF)*F(I)                                    
      IF(F2.LE.F(NF))GO TO 31                                     
      MNF=I-1                                             
      GO TO 36                                        
   31 SUM=0.0                                             
      MADD=0.0                                     
      DO 32 K=1,NF                                    
      IF(F(K).LT.F1) GO TO 32                               
      IF(F(K).GT.F2) GO TO 33                                   
      SUM=SUM+AI(K)                                        
      MADD=MADD+1                                           
   32 CONTINUE                                             
   33 CONTINUE                                             
      AO(I)=SUM/MADD                                           
   35 CONTINUE                                              
   36 CONTINUE                                         
      NF=MNF                                                  
C     WRITE(6,*) '******',NF                               
C     WRITE(6,'(1H ,10E10.3)') AI                             
C     WRITE(6,*)                                                 
C     WRITE(6,'(1H ,10E10.3)') AO                          
      RETURN                                              
  100 CONTINUE                                              
      DO 101 I=1,NF                                         
  101 AO(I)=AI(I)     
                                      
      RETURN                                               
      END                                                 
   
   
      SUBROUTINE FOUR1(DATA,NN,ISIGN)
      REAL*8 WR,WI,WPR,WPI,WTEMP,THETA
      REAL*8 DATA(2*NN)
      N=2*NN
      J=1
      DO 11 I=1,N,2
        IF(J.GT.I)THEN
          TEMPR=DATA(J)
          TEMPI=DATA(J+1)
          DATA(J)=DATA(I)
          DATA(J+1)=DATA(I+1)
          DATA(I)=TEMPR
          DATA(I+1)=TEMPI
        ENDIF
        M=N/2
1       IF ((M.GE.2).AND.(J.GT.M)) THEN
          J=J-M
          M=M/2
        GO TO 1
        ENDIF
        J=J+M
11    CONTINUE
      MMAX=2
2     IF (N.GT.MMAX) THEN
        ISTEP=2*MMAX
        THETA=6.28318530717959D0/(ISIGN*MMAX)
        WPR=-2.D0*DSIN(0.5D0*THETA)**2
        WPI=DSIN(THETA)
        WR=1.D0
        WI=0.D0
        DO 13 M=1,MMAX,2
          DO 12 I=M,N,ISTEP
            J=I+MMAX
            TEMPR=SNGL(WR)*DATA(J)-SNGL(WI)*DATA(J+1)
            TEMPI=SNGL(WR)*DATA(J+1)+SNGL(WI)*DATA(J)
            DATA(J)=DATA(I)-TEMPR
            DATA(J+1)=DATA(I+1)-TEMPI
            DATA(I)=DATA(I)+TEMPR
            DATA(I+1)=DATA(I+1)+TEMPI
12        CONTINUE
          WTEMP=WR
          WR=WR*WPR-WI*WPI+WR
          WI=WI*WPR+WTEMP*WPI+WI
13      CONTINUE
        MMAX=ISTEP
      GO TO 2
      ENDIF
      RETURN
      END
