#!/bin/bash

ifort -o evaluar evaluar.f
rm intervalos.dat

touch intervalos.dat

for i in sac*.pco
do
  cp $i infile
  awk '{printf"%10.5f %10.5f\n", $1,$2}' infile | sort -n -r -k2 > in1
  head -n 3 in1 > maxpic.dat
  rg=`evaluar`
  echo $i
  cat maxpic.dat

  ev=`echo $i | cut -c1-30`
  v1=`echo $rg | awk '{print $1}'`
  v2=`echo $rg | awk '{print $2}'`

  echo $ev $v1 $v2 | awk '{printf"%30s %6.1f %6.1f\n",$1,$2,$3}' >> intervalos.dat
done

sed /'0.0    0.0'/d intervalos.dat > depurados.dat

nt=`wc depurados.dat | awk '{print $1}'`

for i in `seq 1 $nt`
do
  ev=`head -n $i depurados.dat | tail -n 1 | awk '{print $1}'`
  v1=`head -n $i depurados.dat | tail -n 1 | awk '{print $2}'`
  v2=`head -n $i depurados.dat | tail -n 1 | awk '{print $3}'`

sac2000<<END
r $ev
cut $v1 $v2
r
taper type cos w 0.1
APK
setbb tp &1,A
setbb fs &1,KA
W SAC $ev.q

cut off
r $ev
chnhdr A %tp
chnhdr KA %fs
W SAC $ev.p
END

done





rm infile