#!/bin/bash

tempdir=`head -n 1 ../destino.dat`

psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -Xc -Yc -V > p_eng.ps
grdimage /usr/local/gmt/rep2/surf.grd -R -JM -C/usr/local/gmt/rep2/fondo.cpt -X0 -Y0 -I/usr/local/gmt/rep2/gradients.grd -K  -O >> p_eng.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-83.5/7.5/10.0/100.0+lkm -G150/150/150 >> p_eng.ps


for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -G150/150/150 $j >> p_eng.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> p_eng.ps 

psxy -R -JM -W1 -S+0.35 -O -K epi.dat >> p_eng.ps
psxy -R -JM -W1 -Sc0.1 -Gyellow -O -K epi.dat >> p_eng.ps
psxy -R -JM -W1 -Sc0.16 -O -K epi.dat >> p_eng.ps
psxy -R -JM -W1 -Sc0.22 -O -K epi.dat >> p_eng.ps
psxy -R -JM -W1 -Sc0.28 -O -K epi.dat >> p_eng.ps

awk '{print $16,$15}' elocate.dat | psxy -R -JM -W1 -St0.1 -Ggreen -O -K  >> p_eng.ps


awk '{print $1,$2+0.12, 10, 0, 0, 2, "Epicenter"}' epi.dat | pstext -R -JM -O -K >> p_eng.ps

  etime=`grep "Event (OCAL)" resultado.dat | awk '{printf"%4d/%2d/%2d %2d:%2d:%2d\n", $4,$5,$6,$7,$8,$9}'`
  mw=`grep mw pdf_param.dat | awk '{print $2}'`
  de=`grep de pdf_param.dat | awk '{print $2}'`
  pf=`grep pf pdf_param.dat | awk '{print $2}'`
  err_pro=`grep err_pro pdf_param.dat | awk '{print $2}'`
  elon=`grep elon pdf_param.dat | awk '{print $2}'`
  err_lon=`grep err_lon pdf_param.dat | awk '{print $2}'`
  elat=`grep elat pdf_param.dat | awk '{print $2}'`
  err_lat=`grep err_lat pdf_param.dat | awk '{print $2}'`
  rms=`grep rms pdf_param.dat | awk '{print $2}'`


  echo "-86.6 7.815 11 0 0 1 Stations used for calculation:" > info_eng.dat
  

  echo "-86.6 7.7 11 0 0 1 Origen (UTC): " >> info_eng.dat
  echo "-85.0 7.7 11 0 1 3 " $etime  >> info_eng.dat
	
  echo "-86.6 7.6 11 0 0 1 Moment Magnitude (Mw)=" >> info_eng.dat
  echo "-85.0 7.6 11 0 0 3 " $mw  >> info_eng.dat
	
  echo "-86.6 7.5 11 0 0 1 Distance from San Jos\345 (km)= " >> info_eng.dat
  echo "-85.0 7.5 11 0 0 3 " $de  >> info_eng.dat
	
  echo "-86.6 7.4 11 0 0 1 Depth (km)= " >> info_eng.dat
  echo "-85.0 7.4 11 0 0 3 " $pf "\234" $err_pro >> info_eng.dat
	
  echo "-86.6 7.3 11 0 0 1 Longitude= " >> info_eng.dat
  echo "-85.0 7.3 11 0 0 3 " $elon  "\234" $err_lon >> info_eng.dat
	
  echo "-86.6 7.2 11 0 0 1 Latitude= " >> info_eng.dat
  echo "-85.0 7.2 11 0 0 3 " $elat  "\234" $err_lat >> info_eng.dat
	
  echo "-86.6 7.1 11 0 0 1 Error RMS= " >> info_eng.dat
  echo "-85.0 7.1 11 0 0 3 " $rms >> info_eng.dat



pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p_eng.ps
-81.85 7.08 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

pstext -R -JM -O -K -Gyellow -W0/0/0O/255/255/255o <<END>> p_eng.ps
-81.83 11.58 12 0 1 3 AUTOMATIC CALCULATION
END

psxy -R -JM -W1 -G255 -O -K <<END>> p_eng.ps
-86.65 7.92
-84.95 7.92
-84.95 7.05
-86.65 7.05
-86.65 7.92
END

pstext -R -JM -O -K info_eng.dat >> p_eng.ps

psxy -R -JM -W1 -St0.113 -Ggreen -O -K <<END>> p_eng.ps
-85.05 7.85
END

psxy -R -JM -O <<END>>p_eng.ps
END
                                                                                                                               
ps2pdf -dPDFSETTINGS=/printer -dUseFlateCompression=true -dEmbedAllFonts=true -dOptimize=true p_eng.ps map_loc_eng.pdf

mv map_loc_eng.pdf  $tempdir
