#!/bin/bash

(
#cd ~/reportes/epimapav3


ifort -o qcorrection2 qcorrection2.f
gcc -o readsac readsac.c -lm

ls -c1 sac*._1.????.x.p | cut -c25-28 > lista.dat

echo ============================
echo Ingresar largo de la ventana
echo ============================
read stime

if [ -f level.dat ]
then
  rm level.dat
fi

elon=`awk '{print $1}' epi.dat`
elat=`awk '{print $2}' epi.dat`
prof=`awk '{print $3}' epi.dat`

for i in `cat lista.dat`
do
    grep $i coord.txt | awk '{print $2,$3}' > t1
    epd=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));print a*109.3}' x0="$elon" y0="$elat" t1`
    dhp=`echo $prof $epd`
    echo $dhp > $i.dhp
done

for j in `cat lista.dat`
do
 for i in sac*_3.$j
 do
  nres=`echo $i | cut -c25-28`
  norte=$i
  este=`echo $i | sed s/"_3."/"_2."/g`
  vert=`echo $i | sed s/"_3."/"_1."/g`
  echo $norte $este $vert.x.p

  if [ -f ruido.spc ]
  then
    rm ruido.spc
  fi

sac2000<<END
OAPF NAME level.dat
r $vert.x.p
SETBB XTS &1,a
r $norte $este

evaluate to xruido %xts - $stime
evaluate to xtinic %xts - 0.1
evaluate to xtfina %xts + $stime

CUT %xruido %xtinic           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac ruido.spc

r $norte $este
CUT %xtinic %xtfina           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac $nres
W sac $nres.ss
END


readsac<$nres.ss> infile
readsac<ruido.spc> r1.dat

cp $j.dhp t1dhp
dlf=`qcorrection2`

writesac $dlf < oufile > $nres.cpq

 done
done

rm temp?.dat

n=`ls -c1 ????.cpq | wc | awk '{print $1}'`
echo $n > lista3
ls -c1 ????.cpq > lista3
h1=`head -n 1 lista3`
echo "r $h1" > prom.sac
for i in `seq 2 $n`
do
  h1=`head -n $i lista3 | tail -n 1`
  echo "addf $h1" >> prom.sac
done
echo "div $n" >> prom.sac
echo "w sac prom.dat" >> prom.sac


if [ -f uno.pkf ]
then
  rm uno.pkf
fi

sac2000<<END
m prom.sac
r prom.dat
chnhdr kevnm promedio
chnhdr kstnm todas
W SAC OVER
R
oapf uno.pkf
loglog
grid on
qdp off
xlim 0.1 20.0
plotpk perplot 1 savelocs on
capf uno.pkf
END
cut -c75-81 uno.pkf > t1 


readsac < prom.dat > prom.asc

# for i in `cat lista.dat`
# do
#   grep $i level.dat | awk '{print $1,$4}' >> temp1.dat
# done


)
