#!/bin/bash

elon=`awk '{print $1}' epi.dat`
elat=`awk '{print $2}' epi.dat`

awk -F\; '{

x1=x0-$1
y1=y0-$2
x=sqrt((x0-$1)*(x0-$1));
y=sqrt((y0-$2)*(y0-$2));
b1=atan2(y,x);
a=sqrt(x*x+y*y);

b=b1*180.0/3.14159

d="---";
if( b <= 11.25 && x1 > 0) d="E";
if( b <= 11.25 && x1 < 0) d="O";
if( b >= 78.75 && y1 > 0) d="N";
if( b >= 78.75 && y1 < 0) d="S";

if( b > 11.25 && b <= 33.75 && x1 > 0 && y1 > 0 ) d="ENE";
if( b > 33.75 && b <= 56.25 && x1 > 0 && y1 > 0 ) d="NE";
if( b > 56.25 && b <= 78.75 && x1 > 0 && y1 > 0 ) d="NNE";



if( b > 11.25 && b <= 33.75 && x1 > 0 && y1 < 0 ) d="ESE";
if( b > 33.75 && b <= 56.25 && x1 > 0 && y1 < 0 ) d="SE";
if( b > 56.25 && b < 78.75 && x1 > 0 && y1 < 0 ) d="SSE";



if( b > 11.25 && b <= 33.75 && x1 < 0 && y1 > 0 ) d="ONO";
if( b > 33.75 && b <= 56.25 && x1 < 0 && y1 > 0 ) d="NO";
if( b > 56.25 && b < 78.75 && x1 < 0 && y1 > 0 ) d="NNO";


if( b > 11.25 && b <= 33.75 && x1 < 0 && y1 < 0 ) d="OSO";
if( b > 33.75 && b <= 56.25 && x1 < 0 && y1 < 0 ) d="SO";
if( b > 56.25 && b < 78.75 && x1 < 0 && y1 < 0 ) d="SSO";


printf"%f %s %f %s %s %s %f %s %f %s %s %s %s %s %s\n", a*109.3,";",b,";",d,";",x1,";",y1,";",$3,";",$4,";",$5

}' x0="$elon" y0="$elat" /usr/local/gmt/lugares/cantones_parciales.dat > calc1.dat

sort -n calc1.dat | head -n 10 > calc2.dat
sort -k 10 calc1.dat > dat3


pstext -R0/1/-12/2 -JX8.2/3.5 -X0.9 -Y1 -K -Gred <<END> p.ps
0.05 0.5 13 0 1 1 Ubicaci\360n del epicentro a los 10 lugares m\337s cercanos.
0.87 0.5 13 0 1 1 Poblaci\360n
END

awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %5.1f\n", 0.10,-NR,13,0,0,3,$1}' calc2.dat | pstext -R -JX -O -K >> p.ps
awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %8s\n", .97,-NR,13,0,0,3,$8}' calc2.dat | pstext -R -JX -O -K >> p.ps

awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %7s\n", 0.11,-NR,13,0,0,1," km al "}' calc2.dat | pstext -R -JX -O -K  >> p.ps
awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %4s\n", 0.18,-NR,13,0,0,1,$3}' calc2.dat | pstext -R -JX -O -K >> p.ps
awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %4s\n", 0.24,-NR,13,0,0,1," de "}' calc2.dat | pstext -R -JX -O -K >> p.ps
awk -F\; '{printf"%5.2f %2d %3d %2d %2d %1d %s %s\n", 0.28,-NR,13,0,0,1,$6,$7}' calc2.dat | pstext -R -JX -O -K >> p.ps

pstext -R -JX -O -Gblue <<END>> p.ps
0.05 -11.2 12 0 0 1 Poblaci\360n aproximada seg\366n el INEC (2009), La Gaceta No. 85 (2009) y Padr\360n Electoral del TSE (2011)
END


convert p.ps -background white -flatten -rotate 90 -crop 590x250+70+285  lugares_cercanos.png

