#!/bin/bash

# 109.3 km corresponden a 4.1 cm que es 1 grado en este mapa
# 109.3 km corresponden a 1.61 pulgadas

gmtset        BASEMAP_TYPE PLAIN

echo -84.054 09.938 > sjs.dat

d=`grep Depth resultado.dat | awk '{print $3,$5}'`

elat=`grep Latitude resultado.dat | awk '{printf"%6.3f\n", $3}'`
elon=`grep Longitude resultado.dat | awk '{printf"%6.3f\n", $3}'`
err_lat=`grep Latitude resultado.dat | awk '{printf"%6.3f\n", $5}'`
err_lon=`grep Longitude resultado.dat | awk '{printf"%6.3f\n", $5}'`
rms=`grep RMS resultado.dat | awk '{printf"%6.3f\n", $4}'`
etime=`grep "Event (OCAL)" resultado.dat | awk '{printf"%4d/%2d/%2d %2d:%2d:%2d\n", $4,$5,$6,$7,$8,$9}'`
echo $elon $elat $d $err_lon $err_lat > epi.dat

echo "epi.dat"

# 
#   #surface -R-87/-81/6/12 datos.xyz -I0.01 -Gsurf.grd
#   #grdgradient surf.grd -A110 -Ggradients.grd -Nt -V
# 
psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
grdimage /usr/local/gmt/rep2/surf.grd -R -JM -C/usr/local/gmt/rep2/fondo.cpt -X0 -Y0 -I/usr/local/gmt/rep2/gradients.grd -K  -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-83.5/7.5/10.0/100.0+lkm -G150/150/150 >> p.ps


mw=`head -n 1 mw.dat`
de=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));printf"%6.1f\n", a*109.3}' x0="$elon" y0="$elat" sjs.dat`
echo Dist epic = $de
dh=`awk '{a=sqrt($3*$3+r*r);printf"%6.1f\n",a}' r="$de" epi.dat`
echo Hipoc Dist = $dh
pf=`echo $d | awk '{printf"%6.1f\n",$1}'`
err_pro=`echo $d | awk '{printf"%6.1f\n",$2}'`

echo "-86.6 7.815 11 0 0 1 Estaciones usadas para el c\337lculo:" > info.dat
echo "-86.6 7.7 11 0 0 1 Origen (UTC): " >> info.dat
echo "-85.0 7.7 11 0 1 3 " $etime  >> info.dat
echo "-86.6 7.6 11 0 0 1 Magnitud Momento (Mw)=" >> info.dat
echo "-85.0 7.6 11 0 0 3 " $mw  >> info.dat
echo "-86.6 7.5 11 0 0 1 Distancia de San Jos\345 (km)= " >> info.dat
echo "-85.0 7.5 11 0 0 3 " $de  >> info.dat
echo "-86.6 7.4 11 0 0 1 Profundidad (km)= " >> info.dat
echo "-85.0 7.4 11 0 0 3 " $pf "\234" $err_pro >> info.dat
echo "-86.6 7.3 11 0 0 1 Longitud= " >> info.dat
echo "-85.0 7.3 11 0 0 3 " $elon  "\234" $err_lon >> info.dat
echo "-86.6 7.2 11 0 0 1 Latitud= " >> info.dat
echo "-85.0 7.2 11 0 0 3 " $elat  "\234" $err_lat >> info.dat
echo "-86.6 7.1 11 0 0 1 Error RMS= " >> info.dat
echo "-85.0 7.1 11 0 0 3 " $rms >> info.dat

echo etime $etime > pdf_param.dat
echo mw $mw >> pdf_param.dat
echo de $de >> pdf_param.dat
echo pf $pf  >> pdf_param.dat
echo err_pro $err_pro >> pdf_param.dat
echo elon $elon >> pdf_param.dat
echo err_lon $err_lon >> pdf_param.dat
echo elat $elat >> pdf_param.dat 
echo err_lat $err_lat >> pdf_param.dat
echo rms $rms >> pdf_param.dat 

awk '{print $16,$15}' elocate.dat | psxy -R -JM -W1 -St0.1 -Ggreen -O -K >> p.ps

psxy -R -JM -W1 -S+0.35 -O -K epi.dat >> p.ps
psxy -R -JM -W1 -Sc0.1 -Gyellow -O -K epi.dat >> p.ps
psxy -R -JM -W1 -Sc0.16 -O -K epi.dat >> p.ps
psxy -R -JM -W1 -Sc0.22 -O -K epi.dat >> p.ps
psxy -R -JM -W1 -Sc0.28 -O -K epi.dat >> p.ps
awk '{print $1,$2+0.12, 10, 0, 0, 2, "Epicentro"}' epi.dat | pstext -R -JM -O -K >> p.ps

pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-81.85 7.08 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

pstext -R -JM -O -K -Ggreen -W0/0/0O/255/255/255o <<END>> p.ps
-81.83 11.58 12 0 1 3 EPICENTRO Y MAGNITUD
END

psxy -R -JM -W1 -G255 -O -K <<END>> p.ps
-86.65 7.92
-84.95 7.92
-84.95 7.05
-86.65 7.05
-86.65 7.92
END

pstext -R -JM -O -K info.dat >> p.ps

psxy -R -JM -W1 -St0.113 -Ggreen -O -K <<END>> p.ps
-85.05 7.85
END

psxy -R -JM -O <<END>>p.ps
END

convert p.ps -crop 590x560+15+25 epicentro.png
cp p.ps reportex_epicentro.ps
ps2pdf -dPDFSETTINGS=/printer -dUseFlateCompression=true -dEmbedAllFonts=true -dOptimize=true p.ps map_loc_es.pdf

echo Creando PDF en ingles
k2_map1_eng.sh

echo Arreglando fecha del evento
k2_fech.sh

echo Ajustando distancias
k2_dist.sh

echo Dibujando nuevo mapa detallado en espanol y PDF
k2_epic_esp.sh

echo Dibujando mapa detallado en ingles y PDF
k2_epic_eng.sh

echo Mapa pequeno en PDF 
k2_peq_pdf.sh

echo Arreglando los perfiles
(
cd /home/lis/lista_automatica_todos
mapa_perfil.sh
mapa_perfil2.sh
mapa_histograma_tiempo2.sh
mapa_histogram.sh
echo Listos los mapas de portada...
)

echo Actualizando datos de portada principal
(
cd /var/www/img/mapaweb
evrevisado.sh
)


echo Arreglando los datos de PGA vs DIST
k2_pga.sh



#Guarda los datos en archivo php para leerlo en tempdir
xmw=`cat mw.dat`
xdp=`awk '{printf"%5.1f\n",$3}' epi.dat`
echo "<?" > datos.php
echo "\$mag=\"$xmw\";" >> datos.php
echo "\$pro=\"$xdp\";" >> datos.php
echo "?>" >> datos.php

