#!/bin/bash

if [ -f picos.dat ]
then
  rm picos.dat
fi

for i in 2*_3.????.asc.spc
do
  v=`echo $i | cut -c21-24`
  grep $v ../coord.txt > t0
  awk '{printf"%f %f\n",$1,$3}' $i > a1
  awk '{if($1 <= 10 && $1 >= 0.1) print $1,$2}' a1 > t3.$v
  sort -n -r -k2 t3.$v | head -n 1 > t1
  paste t0 t1 > t2
  cat t2 >> picos.dat
done
pmx_ew=`sort -n -k4 picos.dat | tail -n 1 | awk '{print $4}'`
awk '{print $2,$3,$4,0.1 }' picos.dat > d1
sort -n -r -k4 d1 > datos.xy.ew


for i in 2*_2.????.asc.spc
do
  v=`echo $i | cut -c21-24`
  grep $v ../coord.txt > t0
  awk '{printf"%f %f\n",$1,$3}' $i > a1
  awk '{if($1 <= 10 && $1 >= 0.1) print $1,$2}' a1 > t3.$v
  sort -n -r -k2 t3.$v | head -n 1 > t1
  paste t0 t1 > t2
  cat t2 >> picos.dat
done
pmx_ns=`sort -n -k4 picos.dat | tail -n 1 | awk '{print $4}'`
awk '{print $2,$3,$4,0.1 }' picos.dat > d1
sort -n -r -k4 d1 > datos.xy.ns

pmx=`echo $pmx_ns $pmx_ew | awk '{if ($1>=$2) print $1+0.1;else print $2+0.1}'`

echo "Maximo NS " $pmx_ns
echo "Maximo EW " $pmx_ew
echo "Maximo global " $pmx


itrv=`echo $pmx | awk '{if($1<=2.0) print 0.2; else if($1>2.0 && $1<=4) print 0.5; else if($1>4.0 && $1<=10) print 1.0 }'`
echo "Intervalo queda en " $itrv

makecpt -T0.1/$pmx/$itrv -Crainbow -Z > valores.cpt

############ MAPA EW ######################


gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > m.ps
pscoast -R -JM -N1/5 -N2/120/125/125 -W2 -X0 -Y0 -S0/149/255 -K -Df -B -O  -Lfx4.3/0.6/10.0/100.0+lkm  -Tf-83.0/10.95/0.5/1 -Glightgray >> m.ps 

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -Glightgray $j >> m.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> m.ps 

pstext -R -JM -O -G0 -W -K <<END>> m.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END


pstext -R -JM -O -G255/255/255 -K <<END>> m.ps
-82.9 10.3  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -Gwhite <<END>> m.ps
-85.95 8.05 11 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

psxy -R -JM -O -K -Cvalores.cpt -Ss -W2 datos.xy.ew >> m.ps
psscale -Cvalores.cpt -D2.2i/1.8i/4.0i/0.2ih -O -B$itrv:"Periodo (s)": -K >> m.ps

pstext -R0/6/0/5 -JX3i -O -H -m -N -X0 -Y0 -K <<END>> m.ps
Title
> 0 -0.2 14 0 1 LT 14p 8i j
@%%@_@;255/0/0;Espectros de Respuesta:@;;@_@%%  Se muestran los periodos en los cuales ocurre el valor m\337ximo del espectro de respuesta con un 5% de amortiguamiento para este sismo en la componente EW.
END

psxy -R -JM -O  <<END>> m.ps
END

convert m.ps -crop 586x605+18+95 mapa_periodos_sp_ew.png


####################### MAPA NS ###########################

gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > m.ps
pscoast -R -JM -N1/5 -N2/120/125/125 -W2 -X0 -Y0 -S0/149/255 -K -Df -B -O  -Lfx4.3/0.6/10.0/100.0+lkm  -Tf-83.0/10.95/0.5/1 -Glightgray >> m.ps 

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -Glightgray $j >> m.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> m.ps 

pstext -R -JM -O -G0 -W -K <<END>> m.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END


pstext -R -JM -O -G255/255/255 -K <<END>> m.ps
-82.9 10.3  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -Gwhite <<END>> m.ps
-85.95 8.05 11 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

psxy -R -JM -O -K -Cvalores.cpt -Ss -W2 datos.xy.ns >> m.ps
psscale -Cvalores.cpt -D2.2i/1.8i/4.0i/0.2ih -O -B$itrv:"Periodo (s)": -K >> m.ps

pstext -R0/6/0/5 -JX3i -O -H -m -N -X0 -Y0 -K <<END>> m.ps
Title
> 0 -0.2 14 0 1 LT 14p 8i j
@%%@_@;255/0/0;Espectros de Respuesta:@;;@_@%%  Se muestran los periodos en los cuales ocurre el valor m\337ximo del espectro de respuesta con un 5% de amortiguamiento para este sismo en la componente NS.
END

psxy -R -JM -O  <<END>> m.ps
END

convert m.ps -crop 586x605+18+95 mapa_periodos_sp_ns.png




