#!/bin/bash

tempdir=`head -n 1 ../destino.dat`

if [ -d thumbs ]
then
  rm -r thumbs
fi
mkdir thumbs

x=100
for i in sac*_2.???? sac*_3.????
do
  v=`echo $i | cut -c5-28`
  readsac < $i > $v.asc
done

for i in *.asc 
do
  echo $i
  cp $i infile
  resp
  cp ofile $i.spc
  cp fed_file $i.fed
done


mv *.fed ../fed
rm infile ofile


for i in 2*_2.????.asc.spc
do
  o=`echo $i | sed s/_2./_3./g`
  s=`echo $i | sed s/_2./_r./g`
  echo $i $o $s
  if [ -f $o ]
  then
    paste $i $o > $s
  fi
done



for i in 2*_r.????.asc.spc
do
  mx2=`head -n 1 $i | awk '{printf"%f\n", $2}'`
  nx2=`head -n 1 $i | awk '{printf"%f\n", $1}'`
  
  mx3=`head -n 1 $i | awk '{printf"%f\n", $4}'`
  nx3=`head -n 1 $i | awk '{printf"%f\n", $3}'`
    
  
  echo "Max componente 2: " $mx2
  echo "Min compoenten 2: " $nx2

  echo "Max componente 3: " $mx3
  echo "Min compoenten 3: " $nx3

  echo $mx2 > gg1
  echo $mx3 >> gg1
  echo $nx2 >> gg1
  echo $nx3 >> gg1
  
  mx=`sort -n gg1 | tail -n 1`
  nx=`sort -n gg1 | head -n 1`
  
  echo "Max: " $mx
  echo "Min: " $nx
  
  rm gg1
  
  v=`echo $i | cut -c21-24`
  x=`expr $x + 1`
psxy -R0.01/20.0/$nx/$mx -JX4l/4l -B1f3g3p:"Periodo (s)":/a1f3g3p:"PSA (cm/s@+2@+)"::."Sitio $v [ NS ]":WSne -K -X1.0 -Y3.0 <<END> p.ps
END
  awk '{if(NR>1) print $1,$2}' $i | psxy -R -JX -O -K -W2/red >> p.ps
  awk '{if(NR>1) print $1,$3}' $i | psxy -R -JX -O -K -W4/blue >> p.ps


psxy -R0/1/0/1 -JX1.5/1 -B0 -X0.1 -Y0.1 -O -K -Gwhite <<END>> p.ps
0 0
0 1
1 1
1 0
0 0
END
psxy -R -JX -O -K -W8/red <<END>> p.ps
0.1 0.7
0.3 0.7
END
psxy -R -JX -O -K -W8/blue <<END>> p.ps
0.1 0.4
0.3 0.4
END
pstext -R -JX -K -O <<END>> p.ps
0.4 0.66 12 0 1 1 0% amort.
0.4 0.33 12 0 1 1 5% amort.
END

psxy -R0.01/20.0/$nx/$mx -JX4l/4l -B1f3g3p:"Periodo (s)":/a1f3g3p:"PSA (cm/s@+2@+)"::."Sitio $v [ EW ]":WSne -K -X5.0 -Y-0.1 -O <<END>> p.ps
END
  awk '{if(NR>1) print $1,$5}' $i | psxy -R -JX -O -K -W2/red >> p.ps
  awk '{if(NR>1) print $1,$6}' $i | psxy -R -JX -O -K -W4/blue >> p.ps


psxy -R0/1/0/1 -JX1.5/1 -B0 -X0.1 -Y0.1 -O -K -Gwhite <<END>> p.ps
0 0
0 1
1 1
1 0
0 0
END
psxy -R -JX -O -K -W8/red <<END>> p.ps
0.1 0.7
0.3 0.7
END
psxy -R -JX -O -K -W8/blue <<END>> p.ps
0.1 0.4
0.3 0.4
END
pstext -R -JX -K -O <<END>> p.ps
0.4 0.66 12 0 1 1 0% amort.
0.4 0.33 12 0 1 1 5% amort.
END






psxy -R -J -O  <<END>> p.ps
END

#cp p.ps p.ps.$v

convert p.ps -rotate 90 -crop 730x400+5+50 espectro$x.png

convert -size 100x40 xc:white -fill blue  -font Helvetica-Bold -pointsize 25 -draw "text 15,29 '$v'"  -frame 2x2 test.gif
convert test.gif -matte \
          \( +clone -fill DarkSlateGrey -colorize 100% -repage +0+1 \) \
          \( +clone -repage +1+2 \) \
          \( +clone -repage +1+3 \) \
          \( +clone -repage +2+4 \) \
          \( +clone -repage +2+5 \) \
          \( +clone -repage +3+6 \) \
          -background none -compose DstOver -mosaic  a.png

mv a.png thumbs/espectro$x.png

mv espectro$x.png $tempdir/espectros
done
mv thumbs $tempdir/espectros

