#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN


xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3

vmin=1
vmax=10
prt=1
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`


psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
#makecpt -Cno_green -T$vmin/$vmax/$prt imm.dat > topo.cpt
echo $vmax $prt $prn

blockmedian -R -I0.5m -V imm.dat > imm_5m.dat
surface imm_5m.dat -I0.005/0.005 -Gtmp1.grd -R -V -T0.2 -Ll1

grdimage tmp1.grd -Ctopo.cpt -O -J -R -K >> p.ps

pscoast -R -JM -N1/5 -N2/3/255/255/255 -W2 -X0 -Y0 -K -Df -B -O >> p.ps 

grdcontour tmp1.grd -J -R -C1 -K -O  >> p.ps  
 

psxy -R -JM -G90/90/90 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitenicaragua.txt >> p.ps
psxy -R -JM -G90/90/90 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitepanama.txt >> p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S110/110/110  -Lfx5.1/0.45/10.0/100.0+lkm -Tf-83.0/10.95/0.5/1   >> p.ps 

pstext -R -JM -O -G255/255/255 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G <<END>> p.ps
-85.95 8.05 12 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END


psxy -R -O -K -JM -Ss0.3 -G200/200/200  -W1 <<END>>p.ps
-85.7 8.75 I
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-85.7 8.6 12 0 1 2 I
-85.7 8.85 12 60 1 1 No sentido
END

psxy -R -O -K -JM -Ss0.3 -G32/96/255  -W1 <<END>>p.ps
-85.50 8.75 II-III
END
pstext -R -O -K -JM -W -Gwhite <<END>>p.ps
-85.5 8.6 12 0 1 2 II-III
-85.5 8.85 12 60 1 1 D\345bil
END

psxy -R -O -K -JM -Ss0.3 -G32/191/255  -W <<END>>p.ps
-85.3 8.75 IV
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-85.3 8.6 12 0 1 2 IV
-85.3 8.85 12 60 1 1 Suave
END

psxy -R -O -K -JM -Ss0.3 -G42/255/255  -W <<END>>p.ps
-85.1 8.75 V
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-85.1 8.6 12 0 1 2 V
-85.1 8.85 12 60 1 1 Moderado
END

psxy -R -O -K -JM -Ss0.3 -G5/220/180  -W <<END>>p.ps
-84.9 8.75 VI
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-84.9 8.6 12 0 1 2 VI
-84.9 8.85 12 60 1 1 Fuerte
END

psxy -R -O -K -JM -Ss0.3 -G255/240/0  -W <<END>>p.ps
-84.7 8.75 VII
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-84.7 8.6 12 0 1 2 VII
-84.7 8.85 12 60 1 1 Muy fuerte
END

psxy -R -O -K -JM -Ss0.3 -G255/168/0  -W <<END>>p.ps
-84.5 8.75 VIII
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-84.5 8.6 12 0 1 2 VIII
-84.5 8.85 12 60 1 1 Severo
END

psxy -R -O -K -JM -Ss0.3 -G145/113/11 -W <<END>>p.ps
-84.3 8.75 IX
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-84.3 8.6 12 0 1 2 IX
-84.3 8.85 12 60 1 1 Violento
END

psxy -R -O -K -JM -Ss0.3 -G255/0/0  -W1 <<END>>p.ps
-84.1 8.75 X+
END
pstext -R -O -K -JM -W  -Gwhite <<END>>p.ps
-84.1 8.6 12 0 1 2 X+
-84.1 8.85 12 60 1 1 Extremo
END

pstext -R -O -K -JM -W -G255/255/255 <<END>>p.ps
-84.9 8.45 15.5 0 0 2 Intensidad de Mercalli Modificada (IMM)
END



psxy -R -JM -O  <<END>> p.ps
END

convert p.ps -crop 586x560+17+95 -quality 100 mapintensidades.png
cp p.ps reportex_mapintensidades.ps

rm .gmtdefaults4

#gv p.ps

#display mapintensidades.png
