#!/bin/bash

# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8

tempdir=`head -n 1 destino.dat`


gmtset        BASEMAP_TYPE PLAIN


#Recuadro 1
psbasemap -R-84.34/-84.0/9.75/10.05 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0  -V >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K -V >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo1.ps

convert sismo1.ps -crop 590x530+15+125 -quality 100 sismo1.jpg
mv sismo1.jpg $tempdir


#Recuadro 2
psbasemap -R-84.03/-83.58/9.7/10.0 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo2.ps
convert p.ps -crop 586x398+15+255 -quality 100 sismo2.jpg
mv sismo2.jpg $tempdir

#3
psbasemap -R-85.68/-84.89/10.09/10.53 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo3.ps

convert sismo3.ps -crop 590x340+15+315 -quality 100 sismo3.jpg
mv sismo3.jpg $tempdir


#4
psbasemap -R-85.68/-85.35/10.57/10.75 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo4.ps

convert sismo4.ps -crop 590x340+15+320 -quality 100 sismo4.jpg
mv sismo4.jpg $tempdir



#5
psbasemap -R-85.13/-84.40/10.52/10.95 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo5.ps

convert sismo5.ps -crop 590x360+15+295 -quality 100 sismo5.jpg
mv sismo5.jpg $tempdir

#6
psbasemap -R-85.45/-84.46/9.57/10.02 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo6.ps

convert sismo6.ps -crop 590x280+15+375 -quality 100 sismo6.jpg
mv sismo6.jpg $tempdir


#7
psbasemap -R-84.55/-84.20/10.01/10.22 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo7.ps

convert sismo7.ps -crop 590x365+15+290 -quality 100 sismo7.jpg
mv sismo7.jpg $tempdir



#Recuadro 8
psbasemap -R-84.75/-83.68/9.32/9.77 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM   -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo8.ps


convert sismo8.ps -crop 590x255+15+400 -quality 100 sismo8.jpg 
mv sismo8.jpg $tempdir


#Recuadro 9
psbasemap -R-83.9/-83.0/9.95/10.35 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo9.ps

convert sismo9.ps -crop 590x270+15+385 -quality 100 sismo9.jpg 
mv sismo9.jpg $tempdir

#Recuadro 10
psbasemap -R-83.9/-82.7/8.75/9.36 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo10.ps

convert sismo10.ps -crop 590x305+15+350 -quality 100 sismo10.jpg 
mv sismo10.jpg $tempdir


#Recuadro 11
psbasemap -R-83.8/-82.7/8.28/8.77 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo11.ps

convert sismo11.ps -crop 590x270+15+385 -quality 100 sismo11.jpg
mv sismo11.jpg $tempdir


#Recuadro 12
psbasemap -R-83.65/-82.56/9.43/10.05 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo12.ps


convert sismo12.ps -crop 586x340+15+312 -quality 100 sismo12.jpg
mv sismo12.jpg $tempdir


#Recuadro 13
psbasemap -R-84.34/-83.485/10.35/10.8 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo13.ps

convert sismo13.ps -crop 590x320+15+335 -quality 100 sismo13.jpg 
mv sismo13.jpg $tempdir
cp s.png $tempdir

rm .gmtcommands4
