#!/bin/bash

# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8

tempdir=`head -n 1 destino.dat`


gmtset        BASEMAP_TYPE PLAIN


#Recuadro 1
psbasemap -R-84.34/-84.0/9.75/10.05 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0  -V >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K -V >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo1.ps

convert sismo1.ps -crop 590x530+15+125 -quality 100 sismo1.jpg
mv sismo1.jpg $tempdir



#Recuadro 1 PGA
psbasemap -R-84.34/-84.0/9.75/10.05 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -Ggray -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps

n=`wc onda/locace.dat | awk '{print $1}'`
for j in `seq 1 $n`
do
  h=`head -n $j onda/locace.dat | tail -n 1`
  echo $h |  awk '{
if($4 == "SCGH") printf"%f %f %d %d %d %d %6.2f\n",$1,$2+.005,12,0,1,1,($3*100/980);
else if($4 == "SLPF") printf"%f %f %d %d %d %d %6.2f\n",$1+0.01,$2,12,0,1,1,($3*100/980);
else if($4 == "STRN") printf"%f %f %d %d %d %d %6.2f\n",$1,$2-0.005,12,0,1,1,($3*100/980);
else printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' | pstext -R -JM -B -O -K -Gwhite -W0/0/0o  >> p.ps
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo1pga.ps

convert sismo1pga.ps -crop 590x530+15+125 -quality 100 sismo1pga.jpg
mv sismo1pga.jpg $tempdir




#Recuadro 2
psbasemap -R-84.03/-83.58/9.7/10.0 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo2.ps
convert p.ps -crop 586x398+15+255 -quality 100 sismo2.jpg
mv sismo2.jpg $tempdir




#Recuadro 2 PGA
psbasemap -R-84.03/-83.58/9.7/10.0 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/10.0 -G200/200/200 -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps

n=`wc onda/locace.dat | awk '{print $1}'`
for j in `seq 1 $n`
do
  h=`head -n $j onda/locace.dat | tail -n 1`
  echo $h |  awk '{
if($4 == "CTBA") printf"%f %f %d %d %d %d %6.2f\n",$1,$2-0.005,12,0,1,1,($3*100/980);
else if($4 == "CTUH") printf"%f %f %d %d %d %d %6.2f\n",$1,$2+0.005,12,0,1,1,($3*100/980);
else printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo2pga.ps
convert p.ps -crop 586x398+15+255 -quality 100 sismo2pga.jpg
mv sismo2pga.jpg $tempdir



#3
psbasemap -R-85.68/-84.89/10.2/10.7 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo3.ps

convert sismo3.ps -crop 590x380+15+273 -quality 100 sismo3.jpg
mv sismo3.jpg $tempdir




#3 PGA
psbasemap -R-85.68/-84.89/10.2/10.7 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps

n=`wc onda/locace.dat | awk '{print $1}'`
for j in `seq 1 $n`
do
  h=`head -n $j onda/locace.dat | tail -n 1`
  echo $h |  awk '{
if($4 == "CTBA") printf"%f %f %d %d %d %d %6.2f\n",$1,$2-0.005,12,0,1,1,($3*100/980);
else if($4 == "CTUH") printf"%f %f %d %d %d %d %6.2f\n",$1,$2+0.005,12,0,1,1,($3*100/980);
else printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo3pga.ps

convert sismo3pga.ps -crop 590x380+15+273 -quality 100 sismo3pga.jpg
mv sismo3pga.jpg $tempdir




#4
psbasemap -R-85.73/-85.4/10.7/11.2 -JM5.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx2.3/0.3/10.0/10.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo4.ps

convert sismo4.ps -crop 370x560+15+95 -quality 100 sismo4.jpg
mv sismo4.jpg $tempdir





#4 PGA
psbasemap -R-85.73/-85.4/10.7/11.2 -JM5.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N2/5/220/220/220 -W2 -N1/5 -X0 -Y0 -B -Df -O  -K -Lfx2.3/0.3/10.0/10.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo4pga.ps

convert sismo4pga.ps -crop 370x560+15+95 -quality 100 sismo4pga.jpg
mv sismo4pga.jpg $tempdir



#5
psbasemap -R-85.13/-84.40/10.51/11.1 -JM7.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N2/5/220/220/220 -N1/5 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo5.ps

convert sismo5.ps -crop 510x420+15+232 -quality 100 sismo5.jpg
mv sismo5.jpg $tempdir





#5 PGA
psbasemap -R-85.13/-84.40/10.51/11.1 -JM7.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N2/5/220/220/220 -N1/5 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo5pga.ps

convert sismo5pga.ps -crop 510x420+15+232 -quality 100 sismo5pga.jpg
mv sismo5pga.jpg $tempdir




#6
psbasemap -R-85.05/-84.44/9.65/10.07 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo6.ps
convert sismo6.ps -crop 590x415+15+238 -quality 100 sismo6.jpg
mv sismo6.jpg $tempdir
# 


#6 PGA
psbasemap -R-85.05/-84.44/9.65/10.07 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo6pga.ps
convert sismo6pga.ps -crop 590x415+15+238 -quality 100 sismo6pga.jpg
mv sismo6pga.jpg $tempdir
# 




#61 Peninsula de Nicoya
psbasemap -R-85.78/-84.84/9.62/10.20 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo61.ps
convert sismo61.ps -crop 590x375+15+280 -quality 100 sismo61.jpg
mv sismo61.jpg $tempdir
# 





#61 Peninsula de Nicoya PGA
psbasemap -R-85.78/-84.84/9.62/10.20 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo61pga.ps
convert sismo61pga.ps -crop 590x375+15+280 -quality 100 sismo61pga.jpg
mv sismo61pga.jpg $tempdir
# 





#7
psbasemap -R-84.51/-84.16/9.98/10.18 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.2/0.4/10.0/10.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo7.ps

convert sismo7.ps -crop 590x350+15+305 -quality 100 sismo7.jpg
mv sismo7.jpg $tempdir







#7
psbasemap -R-84.51/-84.16/9.98/10.18 -JM8.1 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.2/0.4/10.0/10.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo7pga.ps

convert sismo7pga.ps -crop 590x350+15+305 -quality 100 sismo7pga.jpg
mv sismo7pga.jpg $tempdir



#Recuadro 8
psbasemap -R-84.72/-83.65/9.30/9.75 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM  -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo8.ps
convert sismo8.ps -crop 590x255+15+400 -quality 100 sismo8.jpg 
mv sismo8.jpg $tempdir




#Recuadro 8
psbasemap -R-84.72/-83.65/9.30/9.75 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM  -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo8pga.ps
convert sismo8pga.ps -crop 590x255+15+400 -quality 100 sismo8pga.jpg 
mv sismo8pga.jpg $tempdir



#Recuadro 9
psbasemap -R-83.9/-83.0/9.95/10.35 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo9.ps

convert sismo9.ps -crop 590x270+15+385 -quality 100 sismo9.jpg 
mv sismo9.jpg $tempdir




#Recuadro 9
psbasemap -R-83.9/-83.0/9.95/10.35 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo9pga.ps

convert sismo9pga.ps -crop 590x270+15+385 -quality 100 sismo9pga.jpg 
mv sismo9pga.jpg $tempdir




#Recuadro 10
psbasemap -R-83.9/-82.7/8.75/9.36 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

pstext -R -JM -K -O <<END>> p.ps
-82.82 9.17238 18 90 1 1 Panam\337
END

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo10.ps

convert sismo10.ps -crop 590x305+15+350 -quality 100 sismo10.jpg 
mv sismo10.jpg $tempdir






#Recuadro 10 PGA
psbasemap -R-83.9/-82.7/8.75/9.36 -JM8.0 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
pstext -R -JM -K -O <<END>> p.ps
-82.82 9.17238 18 90 1 1 Panam\337
END

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo10pga.ps

convert sismo10pga.ps -crop 590x305+15+350 -quality 100 sismo10pga.jpg 
mv sismo10pga.jpg $tempdir








#Recuadro 11
psbasemap -R-83.8/-82.7/8.28/8.77 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.1/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.015,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

pstext -R -JM -K -O <<END>> p.ps
-82.78 8.54 18 90 1 1 Panam\337
END


psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo11.ps

convert sismo11.ps -crop 590x270+15+385 -quality 100 sismo11.jpg
mv sismo11.jpg $tempdir






#Recuadro 11
psbasemap -R-83.8/-82.7/8.28/8.77 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.1/0.3/10.0/20.0  -S0/149/255 -G200/200/200  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
pstext -R -JM -K -O <<END>> p.ps
-82.78 8.54 18 90 1 1 Panam\337
END

psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo11pga.ps

convert sismo11pga.ps -crop 590x270+15+385 -quality 100 sismo11pga.jpg
mv sismo11pga.jpg $tempdir





#Recuadro 12
psbasemap -R-83.32/-82.55/9.55/10.15 -JM7.8 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.1/0.41/10.0/20.0  -S0/149/255 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo12.ps

convert sismo12.ps -crop 570x450+15+202 -quality 100 sismo12.jpg 
mv sismo12.jpg $tempdir





#Recuadro 12
psbasemap -R-83.32/-82.55/9.55/10.15 -JM7.8 -B0/0 -P  -K -X0.25 -Y2.0 -V > p.ps
#grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx1.1/0.41/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo12pga.ps

convert sismo12pga.ps -crop 570x450+15+202 -quality 100 sismo12pga.jpg 
mv sismo12pga.jpg $tempdir




#Recuadro 13
psbasemap -R-84.34/-83.485/10.15/10.6 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
for i in /usr/local/gmt/lugares/*.txt
do
  psxy -R -JM -K -O -Gp150/2:F150/150/150B-   $i >> p.ps
  psxy -R -JM -K -O -Gp150/5:F150/150/150B-   $i >> p.ps
done
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G0 >> p.ps
awk '{print $2,$3}' coord.txt | psxy -R -JM -Ss0.2 -W1 -O -K >> p.ps
awk '{print $2,$3+0.007,11,0,1,2,$1}' coord_nombres.txt | pstext -R -JM -O -K  -Gwhite -W0/0/0o >> p.ps
n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2}' t1 | psxy -Ss0.2 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo13.ps

convert sismo13.ps -crop 590x320+15+335 -quality 100 sismo13.jpg 
mv sismo13.jpg $tempdir
cp s.png $tempdir





#Recuadro 13 PGA
psbasemap -R-84.34/-83.485/10.15/10.6 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
pscoast -R -JM -N1/5 -N2/5/220/220/220 -W2 -X0 -Y0 -B -Df -O  -K -Lfx4.3/0.3/10.0/20.0  -S0/149/255 -G200/200/200 >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W2/red >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk '{printf"%f %f %d %d %d %d %6.2f\n",$1,$2,12,0,1,1,($3*100/980) }' onda/locace.dat | pstext -R -JM -B -O -K  -Gwhite -W0/0/0o >> p.ps
psxy -R -JM -O  <<END>> p.ps
END
cp p.ps sismo13pga.ps
convert sismo13pga.ps -crop 590x320+15+335 -quality 100 sismo13pga.jpg 
mv sismo13pga.jpg $tempdir
cp s.png $tempdir



rm .gmtcommands4
