#!/bin/bash

# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8

gmtset        BASEMAP_TYPE PLAIN

e1=`awk '{print $1-0.25}' epi.dat`
e2=`awk '{print $1+0.25}' epi.dat`
e3=`awk '{print $2-0.25}' epi.dat`
e4=`awk '{print $2+0.25}' epi.dat`


psbasemap -R$e1/$e2/$e3/$e4 -JM7.8 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps
pscoast -R -JM -N1/5 -N2/8/255/255/255 -W2 -X0 -Y0 -B -Df -O  -K -Lfx6.9/0.8/10.0/10.0  -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W4/red >> p.ps

#awk -F\; '{print $2,$3,10,$4,1,1,$5}' /usr/local/gmt/fallas/fallas_nombres.txt | pstext -R -JM -B -O -K >> p.ps


psxy -O -JM -R  -W7/0/0/0 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W4/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
#awk '{print $1,$2,12,0,6,1,$3,$4,$5}' /usr/local/gmt/lugares/cantones.dat  | pstext -R -JM -O -K -G >> p.ps
awk -F\; '{print $1,$2,12,0,6,1,$3}' /usr/local/gmt/lugares/cantones_parciales.dat  | pstext -R -JM -O -K -G >> p.ps


awk '{print $1+0.001,$2+0.001}' epi.dat | psxy -R -JM  -Sa0.34 -G0 -O -K >> p.ps
psxy -R -JM -W3 -Sa0.34 -Gred -O -K epi.dat >> p.ps

r1=`awk '{print $1+0.242}' epi.dat`
r2=`awk '{print $2+0.235}' epi.dat`
pstext -R -JM -O -K -Ggreen -W0/0/0O <<END>> p.ps
$r1 $r2 14 0 1 3 Estimaci\360n revisada del detalle de la zona epicentral
END


r1=`awk '{print $1+0.242}' epi.dat`
r2=`awk '{print $2-0.24}' epi.dat`
pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
$r1 $r2 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

r1=`awk '{print $1-0.24}' epi.dat`
r2=`awk '{print $2-0.245}' epi.dat`
r3=`awk '{print $1-0.045}' epi.dat`
r4=`awk '{print $2-0.13}' epi.dat`
psxy -R -JM -W7 -Glightbrown -O -K <<END>> p.ps
$r1 $r2
$r3 $r2
$r3 $r4
$r1 $r4
$r1 $r2
END

r1=`awk '{print $1-0.19}' epi.dat`
r2=`awk '{print $2-0.235}' epi.dat`
pstext -R -JM -O -K -G0 <<END>> p.ps
$r1 $r2 14 0 1 1 Fallas activas
END
r1=`awk '{print $1-0.23}' epi.dat`
r2=`awk '{print $2-0.23}' epi.dat`
r3=`awk '{print $1-0.20}' epi.dat`
psxy -R -JM -O -K -W7/red <<END>> p.ps
$r1 $r2
$r3 $r2
END

r1=`awk '{print $1-0.19}' epi.dat`
r2=`awk '{print $2-0.215}' epi.dat`
pstext -R -JM -O -K -G0 <<END>> p.ps
$r1 $r2 14 0 1 1 Carreteras secundarias
END
r1=`awk '{print $1-0.23}' epi.dat`
r2=`awk '{print $2-0.21}' epi.dat`
r3=`awk '{print $1-0.20}' epi.dat`
psxy -R -JM -O -K -W4/50/50/50 <<END>> p.ps
$r1 $r2
$r3 $r2
END


r1=`awk '{print $1-0.19}' epi.dat`
r2=`awk '{print $2-0.195}' epi.dat`
pstext -R -JM -O -K -G0 <<END>> p.ps
$r1 $r2 14 0 1 1 Carreteras principales
END
r1=`awk '{print $1-0.23}' epi.dat`
r2=`awk '{print $2-0.19}' epi.dat`
r3=`awk '{print $1-0.20}' epi.dat`
psxy -R -JM -O -K -W7/0/0/0 <<END>> p.ps
$r1 $r2
$r3 $r2
END

r1=`awk '{print $1-0.19}' epi.dat`
r2=`awk '{print $2-0.175}' epi.dat`
pstext -R -JM -O -K -G0 <<END>> p.ps
$r1 $r2 14 0 1 1 L\354mite de provincia
END
r1=`awk '{print $1-0.23}' epi.dat`
r2=`awk '{print $2-0.17}' epi.dat`
r3=`awk '{print $1-0.20}' epi.dat`
psxy -R -JM -O -K -W7/255/255/255 <<END>> p.ps
$r1 $r2
$r3 $r2
END


r1=`awk '{print $1-0.19}' epi.dat`
r2=`awk '{print $2-0.155}' epi.dat`
pstext -R -JM -O -K -G0  <<END>> p.ps
$r1 $r2 14 0 1 1 Epicentro
END
r1=`awk '{print $1-0.22}' epi.dat`
r2=`awk '{print $2-0.15}' epi.dat`
psxy -R -JM -O -K -Sa0.34 -W2 -Gred <<END>> p.ps
$r1 $r2
END





mr=`awk '{print $1}' ubic.dat`
nr=`awk '{print $2}' ubic.dat`
mw=`awk '{print $6}' ubic.dat`
dp=`awk '{print $5}' ubic.dat`

pstext -R0/5.5/0/2 -JX8.3/2 -X0.2 -Y-2.0 -P -G0/0/255  -O  -K <<END>>p.ps
0.1 1.5 12 0 1 1 Fecha: $mr 
1.20 1.5 12 0 1 1 Hora: $nr
2.2 1.5 12 0 1 1 Magnitud (Mw): $mw
3.45 1.5 12 0 1 1 Profundidad (km): $dp
END



f1=`awk '{print $1-4}' epi.dat`
f2=`awk '{print $1+4}' epi.dat`
f3=`awk '{print $2-4}' epi.dat`
f4=`awk '{print $2+4}' epi.dat`
f5=`awk '{print $1}' epi.dat`
f6=`awk '{print $2}' epi.dat`
psxy -R$f1/$f2/$f3/$f4 -Jm$f5/$f6/0.2i -W1 -G0 -X-0.2 -Y8.3  -O -K -V <<END>> p.ps
$f1 $f3
$f2 $f3
$f2 $f4
$f1 $f4
$f1 $f3
END
pscoast -R -J -B0/0 -P -N1/2 -Dh -Slightblue -Ggray -W1 -K -X-0.05 -Y0.05 -V -O >> p.ps
r1=`awk '{print $1-0.25}' epi.dat`
r2=`awk '{print $1+0.25}' epi.dat`
r3=`awk '{print $2-0.25}' epi.dat`
r4=`awk '{print $2+0.25}' epi.dat`
psxy -R -J -W5/red  -O -K -V <<END>> p.ps
$r1 $r3
$r2 $r3
$r2 $r4
$r1 $r4
$r1 $r3
END


psxy -R -J -O  <<END>> p.ps
END

cp p.ps reportex_mapa_epic.ps

rm .gmtdefaults4

