#!/bin/bash

cp ../../destino.dat .
dtnf=`head -n 1 destino.dat`

aname=`head -n 1 destino.dat | cut -c16-34`
echo ==================================================
echo ==================================================
echo ==================================================
echo ==================================================
echo Nombre del informe: $aname.pdf
echo
echo "Escoger el tipo de fuente: local(l),subduccion(s),indefinido(i)"
read sor


echo "Trayendo archivos necesarios..."

cp $dtnf/resultado.dat .
cp $dtnf/calc2.dat .
cp $dtnf/ubic.dat .
cp $dtnf/mw.dat .
cp $dtnf/epi.dat .
cp $dtnf/elocate.dat .

cp ../../param_pga.dat .
cp ../../reportex_sismo_escala.ps .
cp ../../intensidad_pga/reportex_mapintensidades.ps .

(
cd ../../pgavsdist
echo Actualizando datos de distancia vs pga antes de crear informe...
cp $dtnf/epi.dat .
cat epi.dat
echo Creando tablas de distancias...
distancia.sh
echo Arreglando PGA vs DIST para reportex
pgadist.sh
)


cp ../../pgavsdist/datos.dat .
cp ../../intensidad_pga/locace.dat .


cp ../*.epsi .
cp ../*.tbl .


echo Creando mapa del epicentro
crear_mapa_epicentro.sh
echo Creando mapa detallado del epicentro
crear_mapa_epic.sh



echo "Convirtiendo epicentro de ps a epsi"
ps2epsi reportex_epicentro.ps reportex_epicentro.epsi

echo "Convirtiendo mapa_epic de ps a epsi"
ps2epsi reportex_mapa_epic.ps reportex_mapa_epic.epsi

echo "Convirtiendo intensidades de ps a epsi"
ps2epsi reportex_mapintensidades.ps reportex_mapintensidades.epsi

echo "Convirtiendo sismo_escala de ps a epsi"
ps2epsi reportex_sismo_escala.ps reportex_sismo_escala.epsi

awk '{if($2>0) print $1,$2,$3}' tabla_cruz_roja_05.tbl | sort -nr -k3 > tabla_cr.mod
cr01_num=`head -n 1 tabla_cr.mod | awk '{print $2}'`
cr01_int=`head -n 1 tabla_cr.mod | awk '{print $1}'`
cr02_num=`head -n 2 tabla_cr.mod | tail -n 1 | awk '{print $2}'`
cr02_int=`head -n 2 tabla_cr.mod | tail -n 1 | awk '{print $1}'`

awk '{if($2>0) print $1,$2,$3}' tabla_bomberos_05.tbl | sort -nr -k3 > tabla_bb.mod
bb01_num=`head -n 1 tabla_bb.mod | awk '{print $2}'`
bb01_int=`head -n 1 tabla_bb.mod | awk '{print $1}'`
bb02_num=`head -n 2 tabla_bb.mod | tail -n 1 | awk '{print $2}'`
bb02_int=`head -n 2 tabla_bb.mod | tail -n 1 | awk '{print $1}'`

awk '{if($2>0) print $1,$2,$3}' tabla_hospitales_05.tbl | sort -nr -k3 > tabla_hh.mod
hh01_num=`head -n 1 tabla_hh.mod | awk '{print $2}'`
hh01_int=`head -n 1 tabla_hh.mod | awk '{print $1}'`
hh02_num=`head -n 2 tabla_hh.mod | tail -n 1 | awk '{print $2}'`
hh02_int=`head -n 2 tabla_hh.mod | tail -n 1 | awk '{print $1}'`


xp01=`head -n 1 distancia03.tbl | awk '{print $1}'`
xp02=`head -n 2 distancia03.tbl | tail -n 1 | awk '{print $1}'`
xp03=`head -n 3 distancia03.tbl | tail -n 1 | awk '{print $1}'`

zp01=`head -n 4 distancia03.tbl | tail -n 1 | awk '{print $1}'`
zp02=`head -n 5 distancia03.tbl | tail -n 1 | awk '{print $1}'`
zp03=`head -n 6 distancia03.tbl | tail -n 1 | awk '{print $1}'`

if [ $xp01 == $zp01 ]
then
  renglon="La mayor\'{i}a de la poblaci\'{o}n (unas $xp01 personas) se encontraban entre los $xp02 y $xp03 km de distancia del epicentro."
else
  renglon="Un aproximado de $zp01 habitantes se encontraba a $zp03 km a la redonda del epicentro.
La mayor\'{i}a de la poblaci\'{o}n (unas $xp01 personas) estaba entre los $xp02 y $xp03 km de distancia."
fi


num_estaciones=`grep "phases used" resultado.dat | awk '{print $1}'`
recope_max1=`head -n 1 recope.tbl`
recope_max2=`tail -n 1 recope.tbl`

if [ "$recope_max2" == "Moin" ]
then
  recope_max2="Mo\'{i}n"
fi





ff=`head -n 1 personas.tbl | awk '{print $1}'`
imm_g=`head -n 2 personas.tbl | tail -n 1 | awk '{print $1}'`
imm_l=`head -n 3 personas.tbl | tail -n 1 | awk '{print $1}'`
imm_p=`head -n 4 personas.tbl | tail -n 1 | awk '{print $1}'`
imm_x=`tail -n 1 personas.tbl`



sed s/"337"/"'{a}"/g param_pga.dat > t1
sed s/"360"/"'{o}"/g t1 > t2
sed s/"354"/"'{i}"/g t2 > t1
sed s/"227"/"~{n}"/g t1 > t2
sed s/"345"/"'{e}"/g t2 > t1
sed s/"366"/"'{u}"/g t1 > param_mod.dat

if [ -f equivalencia.dat ]
then
  rm equivalencia.dat
fi

ni=`cat param_mod.dat | wc -l`
for x in `seq 1 $ni`
do
head -n $x param_mod.dat | tail -n 1 | awk '{
           r=$2
           if(r < 1.7) m="I";
           if(r >=1.7 && r <14) m="II-III";
           if(r >=14 && r <39) m="IV";
           if(r >=39 && r <92) m="V";
           if(r >=92 && r <180) m="VI";
           if(r >=180 && r <340) m="VII";
           if(r >=340 && r <650) m="VIII";
           if(r >=650 && r <1240) m="IX";
           if(r >=1240) m="X+";
printf"%s %0.1f %s\n",$1,r,m}' >> equivalencia.dat
done

pga01_est=`head -n 1 param_mod.dat | awk '{print $1}'`
pga01_val=`head -n 1 param_mod.dat | awk '{printf"%0.1f\n", $2}'`
pga01_vel=`head -n 1 param_mod.dat | awk '{printf"%0.1f\n", $3}'`
pga01_nom=`head -n 1 param_mod.dat | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga01_dis=`grep $pga01_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga02_est=`head -n 2 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga02_val=`head -n 2 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga02_vel=`head -n 2 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga02_nom=`head -n 2 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga02_dis=`grep $pga02_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga03_est=`head -n 3 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga03_val=`head -n 3 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga03_vel=`head -n 3 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga03_nom=`head -n 3 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga03_dis=`grep $pga03_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga04_est=`head -n 4 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga04_val=`head -n 4 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga04_vel=`head -n 4 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga04_nom=`head -n 4 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga04_dis=`grep $pga04_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga05_est=`head -n 5 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga05_val=`head -n 5 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga05_vel=`head -n 5 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga05_nom=`head -n 5 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga05_dis=`grep $pga05_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga06_est=`head -n 6 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga06_val=`head -n 6 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga06_vel=`head -n 6 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga06_nom=`head -n 6 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga06_dis=`grep $pga06_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga07_est=`head -n 7 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga07_val=`head -n 7 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga07_vel=`head -n 7 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga07_nom=`head -n 7 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga07_dis=`grep $pga07_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga08_est=`head -n 8 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga08_val=`head -n 8 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga08_vel=`head -n 8 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga08_nom=`head -n 8 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga08_dis=`grep $pga08_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga09_est=`head -n 9 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga09_val=`head -n 9 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga09_vel=`head -n 9 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga09_nom=`head -n 9 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga09_dis=`grep $pga09_est datos.dat | awk '{printf"%0.1f\n",$2}'`

pga10_est=`head -n 10 param_mod.dat | tail -n 1 | awk '{print $1}'`
pga10_val=`head -n 10 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $2}'`
pga10_vel=`head -n 10 param_mod.dat | tail -n 1 | awk '{printf"%0.1f\n", $3}'`
pga10_nom=`head -n 10 param_mod.dat | tail -n 1 | awk '{print $5,$6,$7,$8,$9,$10,$11,$12}'`
pga10_dis=`grep $pga10_est datos.dat | awk '{printf"%0.1f\n",$2}'`


equiv01=`grep $pga01_est equivalencia.dat | awk '{print $3}'`
echo "equiv01 es " $equiv01

if [ "$equiv01" == "I" ]
then
  tipo_mmi="ser una sacudida imperceptible."
fi

if [ "$equiv01" == "II-III" ]
then
  tipo_mmi="ser una sacudida sentida especialmente en los pisos altos de los edificios. Los veh\'{i}culos de motor estacionados podr\'{i}an  moverse ligeramente. La vibraci\'{o}n podr\'{i}a sentirse como la del paso de un carro pesado."
fi

if [ "$equiv01" == "IV" ]
then
  tipo_mmi="ser una sacudida sentida durante el d\'{i}a por muchas personas que se encuentren dentro de sus casas, pero por pocas en el exterior. Si el movimiento ocurre durante la noche, este provocar\'{i}a que algunas personas se despierten. Podr\'{i}a haber vibraci\'{o}n de vajillas, vidrios de ventanas y puertas. En la intensidad IV hay una sensaci\'{o}n como de un carro pesado chocando contra un edificio."
fi

if [ "$equiv01" == "V" ]
then
  tipo_mmi="ser sentido por mucha gente durante el d\'{i}a. Si ocurre por la noche, muchos se despertar\'{i}an. Algunas piezas de vajilla, vidrios de ventanas, etc, se podr\'{i}an llegar a romper. Los objetos sueltos de los estantes caen al suelo. Se observar\'{i}an perturbaciones en los \'{a}rboles, postes de electricidad y otros objetos altos."
fi

if [ "$equiv01" == "VI" ]
then
  tipo_mmi="producir da\~{n}os ligeros. La sacudida es sentida por muchas personas que generalmente se dirigen hacia afuera. Algunos muebles pesados podr\'{i}an ser movidos y cambiados de sitio."
fi
if [ "$equiv01" == "VII" ]
then
  tipo_mmi="presentar da\~{n}os sin importancia en edificios de buen dise\~{n}o y construcci\'{o}n, pero habr\'{i}a da\~{n}os considerables en estructuras d\'ebiles o mal planeadas. El movimiento podr\'{i}a ser sentido incluso por personas que se encuentran dentro de veh\'{i}culos en movimiento."
fi
if [ "$equiv01" == "VIII" ]
then
  tipo_mmi="provocar da\~{n}o considerable en edificios ordinarios, grande en estructuras d\'{e}bilmente construidas. Puede haber ca\'{i}da de columnas, monumentos y muros. Arena y lodo pueden ser proyectados en peque\~{n}as cantidades. Hay cambios en el nivel del agua de los pozos e incluso p\'{e}rdida de control en la personas que gu\'{i}an veh\'{i}culos en movimiento."
fi
if [ "$equiv01" == "IX" ]
then
  tipo_mmi="generar da\~{n}o considerable a las estructuras bien dise\~{n}adas; las armaduras de las estructuras bien planeadas se podr\{i}an desplomar; hay grandes da\~{n}os en los edificios s\'{o}lidos, con derrumbe parcial. El terreno se agrieta notablemente. Las tuber\'{i}as subterr\'{a}neas se llegan a romper."
fi

if [ "$equiv01" == "X+" ]
then
  tipo_mmi="destrucci\'{o}n de algunas estructuras de madera bien construidas, agrietamiento considerable del terreno. Las v\'{i}as del ferrocarril se tuercen. Hay considerables deslizamientos en las m\'{a}rgenes de los r\'{i}os y pendientes fuertes y cambios en el paisaje."
fi

echo Modificando tildes en calc2.dat...

sed s/"\\\\337"/"\\\\'{a}"/g calc2.dat > t1
sed s/"\\\\360"/"\\\\'{o}"/g t1 > t2
sed s/"\\\\354"/"\\\\'{i}"/g t2 > t1
sed s/"\\\\227"/"\\\\'{n}"/g t1 > t2
sed s/"\\\\345"/"\\\\'{e}"/g t2 > t1
sed s/"\\\\366"/"\\\\'{u}"/g t1 > calc2_mod.dat


lugar01_distancia=`head -n 1 calc2_mod.dat | tail -n 1 | awk -F\; '{printf"%0.1f km \n", $1}'`
lugar01_direccion=`head -n 1 calc2_mod.dat | tail -n 1 | awk -F\; '{print $3}'`
lugar01_de01=`head -n 1 calc2_mod.dat | tail -n 1 | awk -F\; '{print $6}'`
lugar01_de02=`head -n 1 calc2_mod.dat | tail -n 1 | awk -F\; '{print $7}'`
lugar01_poblacion=`head -n 1 calc2_mod.dat | tail -n 1 | awk -F\; '{print $8}'`

lugar02_distancia=`head -n 2 calc2_mod.dat | tail -n 1 | awk -F\; '{printf"%0.1f km \n", $1}'`
lugar02_direccion=`head -n 2 calc2_mod.dat | tail -n 1 | awk -F\; '{print $3}'`
lugar02_de01=`head -n 2 calc2_mod.dat | tail -n 1 | awk -F\; '{print $6}'`
lugar02_de02=`head -n 2 calc2_mod.dat | tail -n 1 | awk -F\; '{print $7}'`
lugar02_poblacion=`head -n 2 calc2_mod.dat | tail -n 1 | awk -F\; '{print $8}'`

lugar03_distancia=`head -n 3 calc2_mod.dat | tail -n 1 | awk -F\; '{printf"%0.1f km \n", $1}'`
lugar03_direccion=`head -n 3 calc2_mod.dat | tail -n 1 | awk -F\; '{print $3}'`
lugar03_de01=`head -n 3 calc2_mod.dat | tail -n 1 | awk -F\; '{print $6}'`
lugar03_de02=`head -n 3 calc2_mod.dat | tail -n 1 | awk -F\; '{print $7}'`
lugar03_poblacion=`head -n 3 calc2_mod.dat | tail -n 1 | awk -F\; '{print $8}'`

lugar04_distancia=`head -n 4 calc2_mod.dat | tail -n 1 | awk -F\; '{printf"%0.1f km \n", $1}'`
lugar04_direccion=`head -n 4 calc2_mod.dat | tail -n 1 | awk -F\; '{print $3}'`
lugar04_de01=`head -n 4 calc2_mod.dat | tail -n 1 | awk -F\; '{print $6}'`
lugar04_de02=`head -n 4 calc2_mod.dat | tail -n 1 | awk -F\; '{print $7}'`
lugar04_poblacion=`head -n 4 calc2_mod.dat | tail -n 1 | awk -F\; '{print $8}'`

lugar05_distancia=`head -n 5 calc2_mod.dat | tail -n 1 | awk -F\; '{printf"%0.1f km \n", $1}'`
lugar05_direccion=`head -n 5 calc2_mod.dat | tail -n 1 | awk -F\; '{print $3}'`
lugar05_de01=`head -n 5 calc2_mod.dat | tail -n 1 | awk -F\; '{print $6}'`
lugar05_de02=`head -n 5 calc2_mod.dat | tail -n 1 | awk -F\; '{print $7}'`
lugar05_poblacion=`head -n 5 calc2_mod.dat | tail -n 1 | awk -F\; '{print $8}'`




fecha_sismo=`awk '{print $1}' ubic.dat`
hora_sismo=`awk '{print $2}' ubic.dat`

ptime=`date +%d-%m-%Y`
htime=`date "+%H:%M %p"`
mw=`awk '{print $1}' mw.dat`
sp=`awk '{printf"%0.1f\n", $5}' ubic.dat`

if [ "$sor" == "l" ]
then
  sor="Su origen est\'{a} ligado al proceso de fallamiento local."
else 
  if [ "$sor" == "s" ]
  then
    sor="Su origen est\'{a} ligado al proceso de subducci\'{o}n de la placa del Coco bajo la placa Caribe."
  else
    sor=""
  fi
fi

##########################################################################################################
###################################       LATEX      #####################################################
##########################################################################################################

cat > $aname.tex <<END
\documentclass[spanish,letterpaper]{report}
\usepackage{times}
\usepackage{geometry}
\usepackage{fancyhdr}
\usepackage{amsmath,amsthm,amssymb}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{babel}
\usepackage{fancyhdr}
\usepackage{tabularx}
\pagestyle{fancy}

\renewcommand{\thesection}{\arabic{section}}


\fancyhead{}
\lhead{\textit{Laboratorio de Ingenier\'{i}a S\'{i}smica}}
\rhead{\textit{Sismo del $fecha_sismo $hora_sismo, Mw $mw}}

\textheight=600pt
\marginparwidth=10pt

\begin{document}

\title{Reporte del sismo ocurrido el\\\\
$fecha_sismo a las $hora_sismo}
\author{Laboratorio de Ingenier\'{i}a S\'{i}smica\\\\ 
 Instituto de Investigaciones en Ingenier\'{i}a \\\\
 Universidad de Costa Rica \\\\
 \href{http://www.lis.ucr.ac.cr}{Informe completo en www.lis.ucr.ac.cr}}

\date{Preparado el $ptime a las $htime}
\maketitle


\section{Par\'{a}metros de la fuente}

El epicentro del sismo del $fecha_sismo a las $hora_sismo se ubic\'{o} a unos $lugar01_distancia al $lugar01_direccion de la localidad de $lugar01_de01 $lugar01_de02. Tuvo una magnitud momento (Mw) de $mw y ocurri\'{o} a $sp km de profundidad. $sor

La figura 1 muestra la ubicaci\'{o}n del epicentro sobre el mapa. Los tri\'{a}ngulos de color verde corresponden a las $num_estaciones estaciones acelerogr\'{a}ficas usadas para llevar a cabo el c\'{a}lculo. Los datos de profundidad, longitud y latitud se muestran con sus respectivas incertidumbres. El valor del ''Error RMS'' indica de manera global que tan bueno es el ajuste de los par\'{a}metros (valores bajos indican un buen ajuste). 

\begin{center}
\includegraphics[scale=0.6]{reportex_epicentro.epsi}
\end{center}

\begin{center}
Figura 1. Mapa de ubicaci\'{o}n del epicentro.
\end{center}

La figura 2 es un acercamiento de la zona epicentral. En ella se muestran las principales fallas activas de la zona (trazas de color rojo) as\'{i} como los rasgos topogr\'{a}ficos, principales carreteras y l\'{i}mites de provincias. Los nombres de las zonas pobladas m\'{a}s representativas tambi\'{e}n aparecen sobre el mapa.   

\begin{center}
\includegraphics[scale=0.6]{reportex_mapa_epic.epsi}
\end{center}
\begin{center}
Figura 2. Detalle de la zona epicentral
\end{center}

La distancia a la que se encuentra el epicentro de cada centro poblado de Costa Rica se calcula de manera autom\'{a}tica. En la tabla 1 se pueden ver los cinco sitios m\'{a}s cercanos al epicentro en orden ascendente. Tambi\'{e}n se muestra el n\'{u}mero de habitantes que hay en cada uno. \footnote{Seg\'{u}n datos del Instituto Nacional de Estad\'{i}stica y Censos (2011)}

\begin{center}
Tabla 1. Ubicaci\'{o}n del epicentro a los 5 sitios m\'{a}s cercanos.
\begin{tabular}{|r|r|} 
\hline
Distancia del epicentro a cada centro de poblaci\'{o}n & N\'umero de habitantes.\\\\
\hline
\hline
$lugar01_distancia al $lugar01_direccion de $lugar01_de01 $lugar01_de02 & $lugar01_poblacion\\\\
\hline 
$lugar02_distancia al $lugar02_direccion de $lugar02_de01 $lugar02_de02 & $lugar02_poblacion\\\\
\hline 
$lugar03_distancia al $lugar03_direccion de $lugar03_de01 $lugar03_de02 & $lugar03_poblacion\\\\
\hline 
$lugar04_distancia al $lugar04_direccion de $lugar04_de01 $lugar04_de02 & $lugar04_poblacion\\\\
\hline 
$lugar05_distancia al $lugar05_direccion de $lugar05_de01 $lugar05_de02 & $lugar05_poblacion\\\\
\hline
\end{tabular} 
\end{center}

\section{Aceleraci\'{o}n}

La aceleraci\'{o}n se relaciona con la fuerza que causa que un cuerpo cambie de posici\'{o}n o velocidad. Es la misma fuerza que nos empuja hacia atr\'{a}s cuando viajamos en un veh\'{i}culo y este acelera o hacia adelante cuando este se detiene. Sus unidades son \$m/s^2\$ \'{o} \$cm/s^2\$. En ingenier\'{i}a s\'{i}smica, tambi\'{e}n se mide como fracci\'{o}n de ''g''. Un ''g'' es el valor de la aceleraci\'{o}n de la gravedad terrestre ( 1g = 980 \$cm/s^2\$ ).

La aceleraci\'{o}n del suelo producida por un terremoto, tiene relaci\'{o}n directa con la intensidad de la Escala de Mercalli Modificada ( IMM ) \footnote{Ver equivalencias en  http://earthquake.usgs.gov/eqcenter/shakemap}. Por convenci\'{o}n, la IMM se escribe en n\'{u}meros romanos que van del I al XII. El valor de I corresponde a un movimiento imperceptible (aceleraci\'{o}n inferior a 1.7 \$cm/s^{2}\$), mientras que un valor de XII a un movimiento altamente destructivo (aceleraciones superiores a 1240 \$cm/s^{2}\$).

Los registros de aceleraci\'{o}n son usados para elaborar mapas de respuesta inmediata ante emergencias, sirven para crear los c\'{o}digos s\'{i}smicos o mejorar los existentes y entender el proceso de ruptura de los terremotos entre otros.

\subsection{Valores m\'{a}ximos registrados}

El valor de aceleraci\'{o}n m\'{a}s alto fue registrado en la estaci\'{o}n ubicada en $pga01_nom (c\'{o}digo $pga01_est) con $pga01_val \$cm/s^{2}\$. Esta estaci\'{o}n se encuentra a $pga01_dis km de distancia del foco o hipocentro. Por lo general, la aceleraci\'{o}n disminuye conforme aumenta la distancia al origen. Sin embargo, existen cierto tipo de condiciones especiales como los suelos blandos y accidentes topogr\'{a}ficos que pueden hacer que el valor se amplifique. 

\begin{center}
Tabla 2. Estaciones con mayor valor de aceleraci\'{o}n registrada.
\begin{tabular}{|c|r|r|r|} 
\hline
C\'{o}digo & Aceleraci\'{o}n (\$cm/s^{2}\$) & Distancia (\$km\$) & Sitio de la estaci\'{o}n\\\\
\hline
\hline
$pga01_est & $pga01_val & $pga01_dis & $pga01_nom\\\\
\hline
$pga02_est & $pga02_val & $pga02_dis & $pga02_nom\\\\
\hline
$pga03_est & $pga03_val & $pga03_dis & $pga03_nom\\\\
\hline
$pga04_est & $pga04_val & $pga04_dis & $pga04_nom\\\\
\hline
$pga05_est & $pga05_val & $pga05_dis & $pga05_nom\\\\
\hline
$pga06_est & $pga06_val & $pga06_dis & $pga06_nom\\\\
\hline
$pga07_est & $pga07_val & $pga07_dis & $pga07_nom\\\\
\hline
$pga08_est & $pga08_val & $pga08_dis & $pga08_nom\\\\
\hline
$pga09_est & $pga09_val & $pga09_dis & $pga09_nom\\\\
\hline
$pga10_est & $pga10_val & $pga10_dis & $pga10_nom\\\\
\hline
\end{tabular}
\end{center}

La aceleraci\'{o}n de $pga01_val \$cm/s^{2}\$ corresponde a una intensidad en la escala de Intensidad de Mercalli  Modificada (IMM) de $equiv01. Esto significa que el movimiento en la zona pudo haberse caracterizado por $tipo_mmi

En la figura 3, cada cuadro corresponde a una estaci\'{o}n acelerogr\'{a}fica coloreada seg\'{u}n el valor de la IMM mostrada en la parte inferior. Los cuadros de colores oscuros habr\'{i}an experimentado mayores valores de aceleraci\'{o}n y por tanto de intensidad s\'{i}smica. Los cuadros en color blanco ser\'i{a}n aquellas en que el movimiento habr\'{i}a sido imperceptible para la poblaci\'{o}n porque tendr\'{i}an un valor de I en la escala de Mercalli.

\begin{center}
\includegraphics[scale=0.6]{reportex_sismo_escala.epsi}
\end{center}
\begin{center}
Figura 3. Valores de intensidad de Mercalli en los sitios de los aceler\'{o}grafos.
\end{center}

La ''Percepci\'{o}n'', que tambi\'{e}n se muestra en la leyenda, ser\'{i}a la forma en que las personas tender\'{i}an a dar un estimado de la fuerza del sismo de acuerdo con su apreciaci\'{o}n del movimiento. 

El ''Da\~{n}o probable'' es el nivel de da\~{n}o que se esperar\'{i}a que se produjera por el terremoto.  Valores de I hasta IV no deber\'{i}an causar mayores problemas a las construcciones civiles que hayan sido edificadas seg\'{u}n normas adecuadas.

\section{Zonas de impacto}

La informaci\'{o}n de la magnitud y ubicaci\'{o}n del epicentro de la figura 1, junto con los valores de aceleraci\'{o}n de la figura 3, se utilizan para calcular el mapa de intensidades s\'{i}smicas \footnote{Se usan las relaciones de atenuaci\'{o}n para Costa Rica de ''Avances para estudios del riesgo s\'{i}smico a escala regional y local: aplicaci\'{o}n a Am\'{e}rica Central y Bah\'{i}a de C\'{a}diz (Sur de Espan\~{a}'' en Tesis Doctoral por V\'{i}ctor Schmidt}. Debido a esa raz\'{o}n, cerca del epicentro el valor de intensidad puede ser distinto  al observado en la estaci\'{o}n en el sitio $pga01_nom ($pga01_est). 

\begin{center}
\includegraphics[scale=0.6]{reportex_mapintensidades.epsi}
\end{center}
\begin{center}
Figura 4. Mapa de intensidad de Mercalli derivado de los valores de aceleraci\'{o}n.
\end{center}

A diferencia de la magnitud, la intensidad se relaciona con la percepción de las personas y el efecto en estructuras. Los valores bajos por lo general est\'{a}n asociados con la forma como las personas sintieron el sismo, mientras que los valores altos con la forma en que fue afectado el paisaje o las construcciones civiles.  Nuevamente se sigue la misma escala de colores, siendo los m\'{a}s oscuros donde el movimiento fue m\'{a}s intenso.

\subsection{Habitantes en la cercan\'{i}a del epicentro}

El mapa muestra las cabeceras de cada distrito del pa\'{i}s coloreadas seg\'{u}n el n\'{u}mero de habitantes (en miles de personas) que estos poseen y su distancia al epicentro (estrella verde). En el gr\'{a}fico de abajo aparece el valor acumulado que hay a intervalos de 25 km. $renglon

\begin{center}
\includegraphics[scale=0.7]{impacto_poblacion_distancia2.epsi}
\end{center}
\begin{center}
Figura 5. N\'{u}mero de habitantes a una distancia espec\'{i}fica del epicentro.
\end{center}




\newpage
\subsection{Poblaci\'{o}n expuesta}

La figura siguiente es similar a la n\'{u}mero 5, salvo que en este caso las cabeceras de los distritos se encuentran coloreadas seg\'{u}n el grado de intensidad experimentado. Las l\'{i}neas punteadas delimitan las zonas con igual valor de intensidad que se llaman isosistas. Las l\'{i}neas blancas corresponden a la divisi\'{o}n administrativa por cantones.

\begin{center}
\includegraphics[scale=0.7]{impacto_habitantes_intensidad.epsi}
\end{center}
\begin{center}
Figura 6. Poblaci\'{o}n expuesta a diferentes grados de intensidad.
\end{center}

El n\'{u}mero de habitantes de cada ciudad que haya tenido igual valor de intensidad se suma y el total (en miles de habitantes) se muestra en el gr\'{a}fico inserto del mapa. Los n\'{u}meros en los recuadros blancos corresponden al porcentaje de esos totales. Para este evento, unos $imm_l centros de poblaci\'{o}n con aproximadamente $ff personas se encontraban en la zona de intensidad de grado $imm_g en la escala de Mercalli. La ciudad m\'{a}s poblada de esas es $imm_x con $imm_p habitantes.







\newpage
\subsection{Cruz Roja}

La Cruz Roja Costarricense es la entidad que m\'{a}s ha apoyado al LIS brindando espacio para la colocaci\'{o}n de los aceler\'{o}grafos. Aqu\'{i} se muestra la ubicaci\'{o}n de todos los comit\'{e}s \footnote{Ubicaci\'{o}n tomada del sitio web http://www.cruzroja.or.cr} y el grado de intensidad s\'{i}smica que pudieron haber experimentado seg\'{u}n las zonas del mapa 4. En el recuadro aparece el total de comit\'{e}s por intensidad. Para este sismo, $cr01_num comit\'{e}s pudieron haber experimentado una intensidad de grado $cr01_int en  Mercalli, mientras que $cr02_num experimentaron un grado $cr02_int en la misma escala.

\begin{center}
\includegraphics[scale=0.7]{mapa_impacto_cruz_roja.epsi}
\end{center}
\begin{center}
Figura 7. Comit\'{e}s de la Cruz Roja Costarricense expuestos a diferentes grados de intensidad s\'{i}smica.
\end{center}

La tabla 3 detalla el grado de intensidad en los sitios de la Cruz Roja. Los datos se ordenan de mayor a menor intensidad en dos columnas. Cuando diferentes sitios tienen asignado un mismo valor, estos se ordenan alfab\'{e}ticamente. Un mismo sitio podr\'{i}a aparecer dos veces en la tabla por encontrarse cerca del l\'{i}mite entre dos grados de intensidad.

\newpage
\begin{center}
Tabla 3. Valores de intensidad en los Comit\'{e}s de la Cruz Roja Costarricense debidos al sismo de Mw $mw del $fecha_sismo a las $hora_sismo.
\end{center}
\begin{center}
\includegraphics[scale=0.7]{tabla_cruz_roja_letter.epsi}
\end{center}


\newpage
\subsection{Bomberos}
Otro de las entidades de atenci\'{o}n de emergencias que es muy importante es el Cuerpo de Bomberos. Aqu\'{i} se muestra la ubicaci\'{o}n de estos \footnote{Ubicaci\'{o}n tomada del sitio web http://www.bomberos.go.cr} y el grado de intensidad s\'{i}smica que pudieron haber experimentado seg\'{u}n la zona del mapa 4. En el recuadro aparece el total de estaciones de bomberos por intensidad. Para este sismo, $bb01_num estaciones de los bomberos pudieron haber experimentado una intensidad de grado $bb01_int en  Mercalli, mientras que $bb02_num experimentaron un grado $bb02_int en la misma escala.

\begin{center}
\includegraphics[scale=0.7]{mapa_impacto_bomberos.epsi}
\end{center}
\begin{center}
Figura 8. Estaciones del Cuerpo de Bomberos de Costa Rica expuestas a diferentes grados de intensidad s\'{i}smica.
\end{center}

\newpage
En la tabla 4 se listan los sitios de los bomberos. Las estaciones de San Vito, Puriscal, Ciudad Neily y Quepos son las \'{u}nicas que cuentan con un aceler\'{o}grafo. Los sitios de Quepos y Puriscal son los que han tenido un aceler\'{o}grafo instalado durante m\'{a}s tiempo. 
Un mismo sitio podr\'{i}a aparecer dos veces en la tabla por encontrarse cerca del l\'{i}mite entre dos grados de intensidad.
\begin{center}
Tabla 4. Valores de intensidad en estaciones del Cuerpo de Bomberos debidos al sismo de Mw $mw del $fecha_sismo a las $hora_sismo.
\end{center}
\begin{center}
\includegraphics[scale=0.7]{tabla_bomberos_letter.epsi}
\end{center}

\newpage
\subsection{Hospitales de la CCSS}
La Caja Costarricense del Seguro Social (CCSS) cuenta con 10 aceler\'{o}grafos que se encuentran distribuidos entre centros hospitalarios y administrativos de esa entidad. 
En este mapa se muestra la ubicaci\'{o}n de los principales centros hospitalarios de la CCSS \footnote{Seg\'{u}n la informaci\'{o}n suministrada en el sitio http://www.ccss.sa.cr/lista\_hospitales} y la de los centros administrativos y de salud que albergan un aceler\'{o}grafo como los Ebais de Ciudad Col\'{o}n y el de San Rafael de Oreamuno y la Cl\'{i}nica de Hatillo.

\begin{center}
\includegraphics[scale=0.7]{mapa_impacto_hospitales.epsi}
\end{center}
\begin{center}
Figura 9. Hospitales de la CCSS expuestos a diferentes grados de intensidad s\'{i}smica.
\end{center}

Durante la ocurrencia de este sismo, $hh01_num centros de salud pudieron haber experimentado una intensidad de grado $hh01_int en  Mercalli, mientras que $hh02_num experimentaron un grado $hh02_int en la misma escala. Un mismo sitio podr\'{i}a aparecer dos veces en la tabla por encontrarse cerca del l\'{i}mite entre dos grados de intensidad.

\newpage
\begin{center}
Tabla 5. Valores de intensidad en varios de los centros hospitalarios de la Caja Costarricense del Seguro Social (CCSS) debidos al sismo de Mw $mw del $fecha_sismo a las $hora_sismo.
\end{center}
\begin{center}
\includegraphics[scale=0.7]{tabla_hospitales_letter.epsi}
\end{center}

\newpage
\subsection{Estaciones de RECOPE}
La Refinadora Costarricense de Petr\'{o}leo (RECOPE) posee cinco aceler\'{o}grafos instalados en los sitios de Mo\'{i}n, Turrialba, El Alto, La Garita y Barranca. En el mapa de la figura 10 se muestra la ubicaci\'{o}n de cada uno de ellos. Tambi\'{e}n aparece el valor de la aceleraci\'{o}n m\'{a}xima registrada por cada equipo al momento del sismo en \$cm/s^2\$. El sitio con mayor aceleraci\'{o}n fue $recope_max2 con un total de $recope_max1 \$cm/s^2\$.

\begin{center}
\includegraphics[scale=0.7]{mapa_impacto_recope.epsi}
\end{center}
\begin{center}
Figura 10. Estaciones de RECOPE expuestos a diferentes grados de intensidad s\'{i}smica y su correspondiente valor de aceleraci\'{o}n m\'{a}xima registrada en cada lugar.
\end{center}


\newpage
\section{Instituciones que colaboran con la red acelerogr\'{a}fica del LIS}
El programa de Monitoreo de Sismos Fuertes en Costa Rica es posible gracias a la colaboraci\'{o}n de las siguientes instituciones p\'{u}blicas y privadas.

\begin{itemize}
\item Acueducto de Naranjo en Laurel de Corredores (1)
\item Area de Conservaci\'{o}n de Guanacaste, Parque Nacional Santa Rosa (1)
\item Asociaci\'{o}n Cristiana la Casa del Pan (1)
\item Asociaci\'{o}n Integral de Desarrollo de Monterrey (1)
\item Banco Central de Costa Rica en Museos (1)
\item Biblioteca P\'{u}blica David Kitson de Nosara (1)
\item Biblioteca P\'{u}blica de Cartago (1)
\item Biblioteca P\'{u}blica Municipal de Ciudad Quesada (1)
\item Biblioteca P\'{u}blica Municipal de Ca\~{n}as (1)
\item Caja Costarricense del Seguro Social (10)
\item Ciudad de los Ni\~{n}os, Agustinos Recoletos (1)
\item Colegio T\'{e}cnico Profesional de Aguas Zarcas (1)
\item Colegio T\'{e}cnico Profesional de C\'{o}bano (1)
\item Colegio T\'{e}cnico Profesional de Orosi (1)
\item Colegio T\'{e}cnico Profesional de Puerto Jim\'{e}nez (1)
\item Colegio T\'{e}cnico Profesional de Talamanca (1)
\item Comisi\'{o}n Nacional de Emergencias, Pavas (1)
\item Consultor\'{i}a T\'{e}cnica para Disen\~{n}o y Edificios en San Miguel de Heredia (1)
\item Cruz Roja Costarricense (13)
\item Cuerpo de Bomberos de Costa Rica (4)
\item Escuela Cecilio Piedra Guti\'{e}rrez de Frailes (1)
\item Escuela Guatuso, Patarr\'{a} (1)
\item Escuela-Liceo Mar\'{i}a Auxiliadora de San Jos\'{e} (1)
\item Holcim Costa Rica S.A. en Cartago (1)
\item Ingenio Taboga S.A. (1)
\item Represa de Cach\'{i} (1)
\item Instituto Costarricense del Deporte (ICODER) en La Sabana (1)
\item Instituto Costarricense de Puertos del Pac\'{i}fico (INCOP) en Caldera (1)
\item Instituto Nacional de Seguros (INS) (4)
\item Junta de Administraci\'{o}n Portuaria y Desarrollo Econ\'{o}mico de la Vertiente Atl\'{a}ntica (JAPDEVA) (1)
\item Municipalidad de Buenos Aires (1)
\item Cruz Roja de San Ignacio de Acosta (1)
\item Municipalidad de Sarapiqu\'{i} (1)
\item Municipalidad de Upala (1)
\item Municipalida de Puerto Cort\'{e}s (1)
\item Saint Jude High School (1)
\item Teatro Nacional (1)
\item Tecnol\'{o}gico de Costa Rica (1)
\item Universidad de Costa Rica (13)
\end{itemize}

As\'{i} mismo, la Refinadora Costarricense de Petr\'{o}leo (RECOPE) cuenta con 5 aceler\'{o}grafos digitales en los sitios de refiner\'{i}a y estaciones de bombeo cuya informaci\'{o}n forma parte de esta red.

\end{document}

END

latex $aname
dvips $aname.dvi -o $aname.ps
dvipdf $aname.dvi $aname.pdf

cp $aname.pdf $dtnf
cp $aname.pdf $dtnf/informe_zonas_de_impacto.pdf
cp /home/lis/reportes/impacto.html.2 $dtnf/impacto.html
cp /home/lis/reportes/html/zi.png $dtnf

for j in aux log ps dvi
do
  if [ -f $aname.$j ]
  then
    rm $aname.$j
  fi
done









