#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN
gmtset PAPER_MEDIA letter

ifort -o leer_cruzroja leer_cruzroja.f

xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3

vmin=1
vmax=10
prt=1
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`

psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P -K -X0.1 -Yc -V -G220/220/220 > p.ps
echo $vmax $prt $prn

psclip -R -J -O -K /usr/local/gmt/contornos/contorno_costa_rica.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -N2/2/255/255/255 -G180/180/180 -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 
grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps

psclip -R -J -O -K /usr/local/gmt/contornos/isla_chira.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -N2/2/255/255/255 -G180/180/180   >> p.ps 
psclip -C -O -K -J >> p.ps

pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 




if [ -s pob10.dat ]
then
  psxy -R -O -K -Ss0.1 -J  -G255/0/0 pob10.dat >> p.ps
fi
if [ -s pob09.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G145/113/11 pob09.dat >> p.ps
fi
if [ -s pob08.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/168/0 pob08.dat >> p.ps
fi
if [ -s pob07.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/240/0 pob07.dat >> p.ps
fi
if [ -s pob06.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G34/139/34 pob06.dat >> p.ps
fi
if [ -s pob05.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G42/255/255 pob05.dat >> p.ps
fi
if [ -s pob04.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G32/191/255 pob04.dat >> p.ps
fi
if [ -s pob23.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G32/96/255 pob23.dat >> p.ps
fi
if [ -s pob01.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/255/255 pob01.dat >> p.ps
fi


if [ -s pob10.dat ]
then
  vt10=`awk '{sum += $3} END {print sum}' pob10.dat`
else
  vt10=0
fi

if [ -s pob09.dat ]
then
  vt09=`awk '{sum += $3} END {print sum}' pob09.dat`
else
  vt09=0
fi


if [ -s pob08.dat ]
then
  vt08=`awk '{sum += $3} END {print sum}' pob08.dat`
else
  vt08=0
fi


if [ -s pob07.dat ]
then
  vt07=`awk '{sum += $3} END {print sum}' pob07.dat`
else
  vt07=0
fi


if [ -s pob06.dat ]
then
  vt06=`awk '{sum += $3} END {print sum}' pob06.dat`
else
  vt06=0
fi


if [ -s pob05.dat ]
then
  vt05=`awk '{sum += $3} END {print sum}' pob05.dat`
else
  vt05=0
fi


if [ -s pob04.dat ]
then
  vt04=`awk '{sum += $3} END {print sum}' pob04.dat`
else
  vt04=0
fi


if [ -s pob23.dat ]
then
  vt23=`awk '{sum += $3} END {print sum}' pob23.dat`
else
  vt23=0
fi


if [ -s pob01.dat ]
then
  vt01=`awk '{sum += $3} END {print sum}' pob01.dat`
else
  vt01=0
fi

mayor_n=`sort -nr -k2 tabla0x.dat | head -n 1 | awk '{print $2+$2*0.05}'`
echo El mayor es: $mayor_n

pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G255 -W0/0/0O <<END>> p.ps
-82.5 8.05 14 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END

gmtset ANNOT_OFFSET_SECONDARY 0.05
gmtset ANNOT_OFFSET_PRIMARY 0.25
gmtset BASEMAP_FRAME_RGB 255/255/255
gmtset LABEL_FONT_SIZE 14p

psxy -R0/$mayor_n/0/10 -O -K -JX3.5/2.2 -X0.7 -Y0.9 -Ba15f5:"Comit\345s de la Cruz Roja":/0:"Intensidad (IMM)":WS <<END>>p.ps
END


awk '{print $2,$3,$3}' tabla0x.dat | psxy -X0 -Y0 -JX -Ctopo2.cpt -R  -SB0.18 -W2 -O -K >> p.ps

ff=0
i=1
j=1
while [ $ff == 0 ]
do
  i=`expr 11 - $j`
  ff=`head -n $i tabla0x.dat | tail -n 1 | awk '{if($2!=0) print $2;else print 0}'`
  imm_g=`head -n $i tabla0x.dat | tail -n 1 | awk '{print $1}'`
  j=`expr $j + 1`
done

echo El valor de ff es $ff con intensidad $imm_g

pstext -R0/1/0/1 -O -K -JX2.0/2.2 -X-0.4 -Y0 -G255  <<END>>p.ps
0.1 0.06 12 0 1 2 I
0.1 0.16 12 0 1 2 II-III
0.1 0.27 12 0 1 2 IV
0.1 0.38 12 0 1 2 V
0.1 0.48 12 0 1 2 VI
0.1 0.58 12 0 1 2 VII
0.1 0.67 12 0 1 2 VIII
0.1 0.78 12 0 1 2 IX
0.1 0.88 12 0 1 2 X+
END

psxy -R -J -O  <<END>> p.ps
END

cp p.ps mapa_impacto_cruz_roja.ps


ps2epsi mapa_impacto_cruz_roja.ps ../mapa_impacto_cruz_roja.epsi

rm .gmtdefaults4


rm int_*.xyz pob??.dat


#display habitantes_intensidad.png
#gv p.ps