#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN
gmtset PAPER_MEDIA A3


xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3

vmin=1
vmax=10
prt=1
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`
color_tierra="180/180/180"
color_cuadro="110/110/110"
color_aguas="100/100/100"
#color_barras="lightorange"


psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P  -K -X0.125 -Y8.8 -V -G220/220/220 > p.ps
echo $vmax $prt $prn

# blockmedian -R -I0.5m -V imm.dat > imm_5m.dat
# surface imm_5m.dat -I0.005/0.005 -Gtmp1.grd -R -V -T0.2 -Ll1
# echo Convirtiendo la grilla a ASCII...
# grd2xyz tmp1.grd > s1.xyz
# awk '{printf"%f %f %6.3f\n",$1,$2,$3}' s1.xyz > t1
# mv t1 s1.xyz
# 
# 


gmtselect s1.xyz -Z0/2.0 > int_I.xyz
gmtselect s1.xyz -Z2.01/3.0 > int_II_III.xyz
gmtselect s1.xyz -Z3.01/4.0 > int_IV.xyz
gmtselect s1.xyz -Z4.01/5.0 > int_V.xyz
gmtselect s1.xyz -Z5.01/6.0 > int_VI.xyz
gmtselect s1.xyz -Z6.01/7.0 > int_VII.xyz
gmtselect s1.xyz -Z7.01/8.0 > int_VIII.xyz
gmtselect s1.xyz -Z8.01/9.0 > int_IX.xyz
gmtselect s1.xyz -Z9.01/100 > int_X.xyz


echo Clasificando los datos de poblacion...



if [ -s int_I.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_I.xyz > pob01.dat
fi

if [ -s int_II_III.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_II_III.xyz > pob23.dat 
fi

if [ -s int_IV.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_IV.xyz > pob04.dat 
fi

if [ -s int_V.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_V.xyz > pob05.dat 
fi

if [ -s int_VI.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_VI.xyz > pob06.dat 
fi

if [ -s int_VII.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_VII.xyz > pob07.dat 
fi

if [ -s int_VIII.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_VIII.xyz > pob08.dat 
fi

if [ -s int_IX.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_IX.xyz > pob09.dat 
fi

if [ -s int_X.xyz ]
then
  awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11,$3," de ", $1 }' distritos_area_poblacion.txt | gmtselect -fg -C0.4/int_X.xyz > pob10.dat 
fi


psclip -R -J -O -K /usr/local/gmt/contornos/contorno_costa_rica.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -G$color_tierra -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 

for i in alajuela heredia cartago sanjose limon puntarenas guanacaste
do
  echo Dibujando cantones de $i
  for j in cantones/$i/*.cnt
  do
    psxy -R -O -J -K $j -W1/255/255/255 >> p.ps
  done
done

grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps

#Para tomar en cuenta Isla de Chira
psclip -R -J -O -K /usr/local/gmt/contornos/isla_chira.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -G$color_tierra >> p.ps 
grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps



pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 

psxy -R -O -K -Ss0.1 -J  -G255/255/255 pob01.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G32/96/255 pob23.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G32/191/255 pob04.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G42/255/255 pob05.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G34/139/34 pob06.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G255/240/0 pob07.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G255/168/0 pob08.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G145/113/11 pob09.dat >> p.ps
psxy -R -O -K -Ss0.1 -J  -G255/0/0 pob10.dat >> p.ps

if [ -s pob10.dat ]
then
  vt10=`awk '{sum += $3} END {print sum}' pob10.dat`
  n10p=`cat pob10.dat | wc -l`
  max_110=`sort -n -k3 pob10.dat | tail -n 1 | awk '{print $3}'`
  max_210=`sort -n -k3 pob10.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt10=0
  n10p=0
  max_110=0
  max_210=0
fi

if [ -s pob09.dat ]
then
  vt09=`awk '{sum += $3} END {print sum}' pob09.dat`
  n09p=`cat pob09.dat | wc -l`
  max_109=`sort -n -k3 pob09.dat | tail -n 1 | awk '{print $3}'`
  max_209=`sort -n -k3 pob09.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt09=0
  n09p=0
  max_109=0
  max_209=0
fi


if [ -s pob08.dat ]
then
  vt08=`awk '{sum += $3} END {print sum}' pob08.dat`
  n08p=`cat pob08.dat | wc -l`
  max_108=`sort -n -k3 pob08.dat | tail -n 1 | awk '{print $3}'`
  max_208=`sort -n -k3 pob08.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`  
else
  vt08=0
  n08p=0
  max_108=0
  max_208=0 
fi


if [ -s pob07.dat ]
then
  vt07=`awk '{sum += $3} END {print sum}' pob07.dat`
  n07p=`cat pob07.dat | wc -l`
  max_107=`sort -n -k3 pob07.dat | tail -n 1 | awk '{print $3}'`
  max_207=`sort -n -k3 pob07.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt07=0
  n07p=0
  max_107=0
  max_207=0
fi


if [ -s pob06.dat ]
then
  vt06=`awk '{sum += $3} END {print sum}' pob06.dat`
  n06p=`cat pob06.dat | wc -l`
  max_106=`sort -n -k3 pob06.dat | tail -n 1 | awk '{print $3}'`
  max_206=`sort -n -k3 pob06.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt06=0
  n06p=0
  max_106=0
  max_206=0
fi


if [ -s pob05.dat ]
then
  vt05=`awk '{sum += $3} END {print sum}' pob05.dat`
  n05p=`cat pob05.dat | wc -l`
  max_105=`sort -n -k3 pob05.dat | tail -n 1 | awk '{print $3}'`
  max_205=`sort -n -k3 pob05.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt05=0
  n05p=0
  max_105=0
  max_205=0
fi


if [ -s pob04.dat ]
then
  vt04=`awk '{sum += $3} END {print sum}' pob04.dat`
  n04p=`cat pob04.dat | wc -l`
  max_104=`sort -n -k3 pob04.dat | tail -n 1 | awk '{print $3}'`
  max_204=`sort -n -k3 pob04.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt04=0
  n04p=0
  max_104=0
  max_204=0
fi


if [ -s pob23.dat ]
then
  vt23=`awk '{sum += $3} END {print sum}' pob23.dat`
  n23p=`cat pob23.dat | wc -l`
  max_123=`sort -n -k3 pob23.dat | tail -n 1 | awk '{print $3}'`
  max_223=`sort -n -k3 pob23.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt23=0
  n23p=0
  max_123=0
  max_223=0
fi


if [ -s pob01.dat ]
then
  vt01=`awk '{sum += $3} END {print sum}' pob01.dat`
  n01p=`cat pob01.dat | wc -l`
  max_101=`sort -n -k3 pob01.dat | tail -n 1 | awk '{print $3}'`
  max_201=`sort -n -k3 pob01.dat | tail -n 1 | awk '{print $4,$5,$6,$7,$8,$9,$10,$11,$12}'`
else
  vt01=0
  n01p=0
  max_101=0
  max_201=0
fi


echo Totales:
echo "I     " $vt01 $n01p
echo "II-III" $vt23 $n23p
echo "IV    " $vt04 $n04p
echo "V     " $vt05 $n05p
echo "VI    " $vt06 $n06p
echo "VII   " $vt07 $n07p
echo "VIII  " $vt08 $n08p
echo "IX    " $vt09 $n09p
echo "X+    " $vt10 $n10p

echo Totales:
echo "I     " $vt01 1 255/255/255 $n01p $max_101 $max_201 > tabla0x.dat
echo "II-III" $vt23 2 32/96/255 $n23p  $max_123 $max_223 >> tabla0x.dat
echo "IV    " $vt04 3 32/191/255 $n04p  $max_104 $max_204 >> tabla0x.dat
echo "V     " $vt05 4 32/191/255 $n05p  $max_105 $max_205 >> tabla0x.dat
echo "VI    " $vt06 5 42/255/255 $n06p  $max_106 $max_206 >> tabla0x.dat
echo "VII   " $vt07 6 5/220/180 $n07p  $max_107 $max_207 >> tabla0x.dat
echo "VIII  " $vt08 7 255/240/0 $n08p  $max_108 $max_208 >> tabla0x.dat
echo "IX    " $vt09 8 145/113/11 $n09p  $max_109 $max_209 >> tabla0x.dat
echo "X+    " $vt10 9 255/0/0 $n10p  $max_110 $max_210 >> tabla0x.dat

cp tabla0x.dat tabla1x.dat


sed s/"'{a}"/"337"/g tabla0x.dat > t1
sed s/"'{o}"/"360"/g t1 > t2
sed s/"'{i}"/"354"/g t2 > t1
sed s/"~{n}"/"227"/g t1 > t2
sed s/"'{e}"/"345"/g t2 > t1
sed s/"'{u}"/"366"/g t1 > t2
sed s/"~{N}"/"204"/g t2 > tabla0x.dat



mayor_n=`sort -nr -k2 tabla0x.dat | head -n 1 | awk '{print $2+$2*0.05}'`
echo El mayor es: $mayor_n

pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G255 -W0/0/0O <<END>> p.ps
-82.5 8.05 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END

gmtset ANNOT_OFFSET_SECONDARY 0.05
gmtset ANNOT_OFFSET_PRIMARY 0.25
gmtset BASEMAP_FRAME_RGB 255/255/255
gmtset LABEL_FONT_SIZE 14p
gmtset ANNOT_FONT_SIZE_PRIMARY 14p
gmtset ANNOT_FONT_SECONDARY 14p

# psxy -R0/$mayor_n/0/10 -O -K -JX3.5/2.2 -X0.7 -Y0.9 -G$color_cuadro <<END>>p.ps
# 0 10
# $mayor_n 10
# $mayor_n 0
# 0 0
# 0 10
# END

psxy -R0/$mayor_n/0/10 -O -K -JX3.5/2.2 -X0.7 -Y0.9 -Ba500f250:"Miles de habitantes":/0:"Intensidad (IMM)":WS <<END>>p.ps
END

awk '{print $2,$3,$3}' tabla0x.dat | psxy -X0 -Y0 -JX -Ctopo2.cpt -R  -SB0.18 -W2 -O -K >> p.ps



awk '{if($2>0) print $1,$2}' tabla0x.dat > tabla3x.dat
ht=`awk 'BEGIN {sum=0} {sum+=$2} END {print sum}' tabla3x.dat`
awk '{printf"%f %f %d %d %d %d %5.1f%\n", $2+50,(NR-1+0.75),12,0,1,1,$2/vt*100}' vt=$ht tabla3x.dat > datos_porcentaje.dat
pstext -R -J -K -O datos_porcentaje.dat -N -G0 -W250/250/250O >> p.ps





ff=0
i=1
j=1
while [ $ff == 0 ]
do
  i=`expr 11 - $j`
  ff=`head -n $i tabla0x.dat | tail -n 1 | awk '{if($2!=0) print $2*1000;else print 0}'`
  imm_g=`head -n $i tabla0x.dat | tail -n 1 | awk '{print $1}'`
  ffcp=`head -n $i tabla0x.dat | tail -n 1 | awk '{print $5}'`
  max_1tt=`head -n $i tabla0x.dat | tail -n 1 | awk '{print $6*1000}'`
  max_2tt=`head -n $i tabla1x.dat | tail -n 1 | awk '{print $7,$8,$9,$10,$11,$12}'`
  j=`expr $j + 1`
done



echo El valor de ff es $ff con intensidad $imm_g. El numero de sitios poblados es $ffcp. El lugar con mayor poblacion es $max_2tt con $max_1tt habitantes.

echo $ff > personas.tbl
echo $imm_g >> personas.tbl
echo $ffcp >> personas.tbl
echo $max_1tt >> personas.tbl
echo $max_2tt >> personas.tbl

rx1=`echo $max_2tt | sed s/\'{a}/337/g`
rx2=`echo $rx1 | sed s/\'{i}/354/g`
rx1=`echo $rx2 | sed s/\'{o}/360/g`
rx2=`echo $rx1 | sed s/\~{n}/227/g`
rx1=`echo $rx2 | sed s/\'{e}/345/g`
max_3tt=`echo $rx1 | sed s/\'{u}/366/g`







cp personas.tbl ..

pstext -R0/1/0/1 -O -K -JX2.0/2.2 -X-0.4 -Y0 -G255  <<END>>p.ps
0.1 0.06 12 0 1 2 I
0.1 0.16 12 0 1 2 II-III
0.1 0.27 12 0 1 2 IV
0.1 0.38 12 0 1 2 V
0.1 0.48 12 0 1 2 VI
0.1 0.58 12 0 1 2 VII
0.1 0.67 12 0 1 2 VIII
0.1 0.78 12 0 1 2 IX
0.1 0.88 12 0 1 2 X+
END

gmtset BASEMAP_FRAME_RGB 0/0/0

pstext -R0/5/0/5 -JX3.8i -X-0.3 -Y-0.7 -O -H -m -N -K <<EOF>>p.ps
algo
> 0 -0.5 14 0 0 LT 14p 7.9i j
@%1%Poblaci\360n expuesta a diferentes grados de intensidad s\354smica.@%%  Este mapa muestra la ubicaci\360n de todas las cabeceras de distritos 
coloreados seg\366n el valor de la intensidad de Mercalli. En el recuadro aparece el total en miles de habitantes por grado de intensidad experimentado.  
> 0 -1.6 14 0 0 LT 14p 7.9i j
Las l\354neas punteadas muestran zonas de igual intensidad (isosistas). Las l\354neas blancas son los l\354mites de cada cant\360n. Para este
sismo, unos @;0/0/250;$ffcp@;; centros de poblaci\360n con un total de habitantes de @;0/0/250;$ff@;; personas se encontraban en la zona de intensidad de grado  @;0/0/250;$imm_g@;; en la escala de Mercalli. La ciudad m\337s poblada de esas @;0/0/250;$ffcp@;; es @;0/0/250;$max_3tt@;; con @;0/0/250;$max_1tt@;; habitantes. Los n\366meros en recuadros blancos son los porcentajes del total de habitantes por intensidad.
EOF

psxy -R -J -O  <<END>> p.ps
END
convert p.ps -flatten -crop 590x718+0+0 habitantes_intensidad.png

rm .gmtdefaults4
#display habitantes_intensidad.png
