#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN
gmtset PAPER_MEDIA letter

xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3

vmin=1
vmax=10
prt=1
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`

color_tierra="180/180/180"
color_cuadro="110/110/110"
color_aguas="100/100/100"
#color_barras="lightorange"


psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P  -K -X0.2 -Yc -V -G220/220/220 > p.ps

psclip -R -J -O -K /usr/local/gmt/contornos/contorno_costa_rica.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -G$color_tierra -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 

for i in alajuela heredia cartago sanjose limon puntarenas guanacaste
do
  echo Dibujando cantones de $i
  for j in cantones/$i/*.cnt
  do
    psxy -R -O -J -K $j -W1/255/255/255 >> p.ps
  done
done

grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps


#Para tomar en cuenta Isla de Chira
psclip -R -J -O -K /usr/local/gmt/contornos/isla_chira.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -G$color_tierra >> p.ps 
grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps





pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S$color_aguas -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 

psxy -R -O -K -Ss0.1 -J   -G255/255/255 pob01.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G32/96/255 pob23.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G32/191/255 pob04.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G42/255/255 pob05.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G34/139/34 pob06.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G255/240/0 pob07.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G255/168/0 pob08.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G145/113/11 pob09.dat >> p.ps
psxy -R -O -K -Ss0.1 -J   -G255/0/0 pob10.dat >> p.ps



mayor_n=`sort -nr -k2 tabla1x.dat | head -n 1 | awk '{print $2+$2*0.05}'`
echo El mayor es: $mayor_n

pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G255 -W0/0/0O <<END>> p.ps
-82.5 8.05 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END

gmtset ANNOT_OFFSET_SECONDARY 0.05
gmtset ANNOT_OFFSET_PRIMARY 0.25
gmtset BASEMAP_FRAME_RGB 255/255/255
gmtset LABEL_FONT_SIZE 14p
gmtset ANNOT_FONT_SIZE_PRIMARY 14p
gmtset ANNOT_FONT_SECONDARY 14p

# psxy -R0/$mayor_n/0/10 -O -K -JX3.5/2.2 -X0.7 -Y0.9  <<END>>p.ps
# 0 10
# $mayor_n 10
# $mayor_n 0
# 0 0
# 0 10
# END

psxy -R0/$mayor_n/0/10 -O -K -JX3.5/2.2 -X0.7 -Y0.9 -Ba500f250:"Miles de habitantes":/0:"Intensidad (IMM)":WS <<END>>p.ps
END


awk '{print $2,$3,$3}' tabla1x.dat | psxy -X0 -Y0 -JX -Ctopo2.cpt -R  -SB0.18 -W2 -O -K >> p.ps


awk '{if($2>0) print $1,$2}' tabla1x.dat > tabla3x.dat
ht=`awk 'BEGIN {sum=0} {sum+=$2} END {print sum}' tabla3x.dat`
awk '{printf"%f %f %d %d %d %d %5.1f%\n", $2+50,(NR-1+0.75),12,0,1,1,$2/vt*100}' vt=$ht tabla3x.dat > datos_porcentaje.dat
pstext -R -J -K -O datos_porcentaje.dat -N -G0 -W250/250/250O >> p.ps



pstext -R0/1/0/1 -O -K -JX1.4/2.2 -X-0.4 -Y0 -G255 <<END>>p.ps
0.1 0.06 12 0 1 2 I
0.1 0.16 12 0 1 2 II-III
0.1 0.27 12 0 1 2 IV
0.1 0.38 12 0 1 2 V
0.1 0.48 12 0 1 2 VI
0.1 0.58 12 0 1 2 VII
0.1 0.67 12 0 1 2 VIII
0.1 0.78 12 0 1 2 IX
0.1 0.88 12 0 1 2 X+
END


psxy -R -J -O  <<END>> p.ps
END

cp p.ps impacto_habitantes_intensidad.ps
ps2epsi impacto_habitantes_intensidad.ps ../impacto_habitantes_intensidad.epsi



rm .gmtdefaults4
#display habitantes_intensidad.png
