#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN
gmtset PAPER_MEDIA A3

ifort -o leer_recope leer_recope.f

xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3

vmin=1
vmax=10
prt=1
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`


psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P -K -X0.125 -Y8.8 -V -G220/220/220 > p.ps
echo $vmax $prt $prn

gmtselect s1.xyz -Z0/2.0 > int_I.xyz
gmtselect s1.xyz -Z2.01/3.0 > int_II_III.xyz
gmtselect s1.xyz -Z3.01/4.0 > int_IV.xyz
gmtselect s1.xyz -Z4.01/5.0 > int_V.xyz
gmtselect s1.xyz -Z5.01/6.0 > int_VI.xyz
gmtselect s1.xyz -Z6.01/7.0 > int_VII.xyz
gmtselect s1.xyz -Z7.01/8.0 > int_VIII.xyz
gmtselect s1.xyz -Z8.01/9.0 > int_IX.xyz
gmtselect s1.xyz -Z9.01/100 > int_X.xyz

# # # 
echo Clasificando los datos de poblacion...
if [ -s int_I.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_I.xyz > pob01.dat 
else
  echo No hay datos para intensidad I
fi
if [ -s int_II_III.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_II_III.xyz > pob23.dat 
else
  echo No hay datos para intensidad II-III
fi
if [ -s int_IV.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_IV.xyz > pob04.dat 
else
  echo No hay datos para intensidad IV
fi
if [ -s int_V.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_V.xyz > pob05.dat 
else
  echo No hay datos para intensidad V
fi
if [ -s int_VI.xyz ]
then
awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_VI.xyz > pob06.dat 
else
  echo No hay datos para intensidad VI
fi
if [ -s int_VII.xyz ]
then
awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_VII.xyz > pob07.dat 
else
  echo No hay datos para intensidad VII
fi
if [ -s int_VIII.xyz ]
then
awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_VIII.xyz > pob08.dat 
else
  echo No hay datos para intensidad VIII
fi
if [ -s int_IX.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_IX.xyz > pob09.dat 
else
  echo No hay datos para intensidad IX
fi
if [ -s int_X.xyz ]
then
  awk -F\; '{print $3,$4,1,$1}' recope_ubicacion.txt | gmtselect -fg  -C0.4/int_X.xyz > pob10.dat 
else
  echo No hay datos para intensidad X
fi

psclip -R -J -O -K /usr/local/gmt/contornos/contorno_costa_rica.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -N2/2/255/255/255 -G180/180/180 -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 
grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps



psclip -R -J -O -K /usr/local/gmt/contornos/isla_chira.txt >>p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -N2/2/255/255/255 -G180/180/180 >> p.ps 
grdcontour tmp1.grd -J -R -C1 -O -K -Glz-/z+ -W5t15:50 >> p.ps  
psclip -C -O -K -J >> p.ps




pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S90/90/90 -Lf-82.9/11.0/10.0/50.0+lkm -T-83.4/10.95/0.5/1   >> p.ps 

if [ -s pob10.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/0/0 pob10.dat >> p.ps
fi

if [ -s pob09.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G145/113/11 pob09.dat >> p.ps
fi

if [ -s pob08.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/168/0 pob08.dat >> p.ps
fi

if [ -s pob07.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/240/0 pob07.dat >> p.ps
fi

if [ -s pob06.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G34/139/34 pob06.dat >> p.ps
fi

if [ -s pob05.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G42/255/255 pob05.dat >> p.ps
fi

if [ -s pob04.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G32/191/255 pob04.dat >> p.ps
fi

if [ -s pob23.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G32/96/255 pob23.dat >> p.ps
fi

if [ -s pob01.dat ]
then
psxy -R -O -K -Ss0.1 -J  -G255/255/255 pob01.dat >> p.ps
fi

if [ -s pob10.dat ]
then
  vt10=`awk '{sum += $3} END {print sum}' pob10.dat`
else
  vt10=0
fi

if [ -s pob09.dat ]
then
  vt09=`awk '{sum += $3} END {print sum}' pob09.dat`
else
  vt09=0
fi


if [ -s pob08.dat ]
then
  vt08=`awk '{sum += $3} END {print sum}' pob08.dat`
else
  vt08=0
fi


if [ -s pob07.dat ]
then
  vt07=`awk '{sum += $3} END {print sum}' pob07.dat`
else
  vt07=0
fi


if [ -s pob06.dat ]
then
  vt06=`awk '{sum += $3} END {print sum}' pob06.dat`
else
  vt06=0
fi


if [ -s pob05.dat ]
then
  vt05=`awk '{sum += $3} END {print sum}' pob05.dat`
else
  vt05=0
fi


if [ -s pob04.dat ]
then
  vt04=`awk '{sum += $3} END {print sum}' pob04.dat`
else
  vt04=0
fi


if [ -s pob23.dat ]
then
  vt23=`awk '{sum += $3} END {print sum}' pob23.dat`
else
  vt23=0
fi


if [ -s pob01.dat ]
then
  vt01=`awk '{sum += $3} END {print sum}' pob01.dat`
else
  vt01=0
fi


echo Totales:
echo "I     " $vt01
echo "II-III" $vt23
echo "IV    " $vt04
echo "V     " $vt05
echo "VI    " $vt06
echo "VII   " $vt07
echo "VIII  " $vt08
echo "IX    " $vt09
echo "X+    " $vt10

echo Totales:
echo "I     " $vt01 1 200/200/200 > tabla0x.dat
echo "II-III" $vt23 2 32/96/255 >> tabla0x.dat
echo "IV    " $vt04 3 32/191/255 >> tabla0x.dat
echo "V     " $vt05 4 32/191/255 >> tabla0x.dat
echo "VI    " $vt06 5 42/255/255 >> tabla0x.dat
echo "VII   " $vt07 6 5/220/180 >> tabla0x.dat
echo "VIII  " $vt08 7 255/240/0 >> tabla0x.dat
echo "IX    " $vt09 8 145/113/11 >> tabla0x.dat
echo "X+    " $vt10 9 255/0/0 >> tabla0x.dat

mayor_n=`sort -nr -k2 tabla0x.dat | head -n 1 | awk '{print $2+$2*0.05}'`
echo El mayor es: $mayor_n

pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G255 -W0/0/0O <<END>> p.ps
-82.5 8.05 14 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END

gmtset ANNOT_OFFSET_SECONDARY 0.05
gmtset ANNOT_OFFSET_PRIMARY 0.25
gmtset BASEMAP_FRAME_RGB 255/255/255
gmtset LABEL_FONT_SIZE 14p

pstext  -R -O -K -J  -G0 -W255/255/255O/0/0/0o <<END>> p.ps
 -83.687 9.984 12 0 1 1 Turrialba
 -83.9417 9.96731 12 0 1 2 El Alto
 -84.296 10.0752 12 0 1 2 La Garita
 -83.0893 10.056 12 0 1 2 Mo\354n
 -84.7255 10.079 12 0 1 2 Barranca
END

if [ -f recopes.dat ]
then
  rm recopes.dat
fi
for r in RTUR RGAR RMOI RBAR RALT
do
  grep $r locace.dat >> recopes.dat
done

awk '{printf"%f %f %d %d %d %d %6.1f\n", $1,$2-0.12,14,0,0,2,$3}' recopes.dat | pstext -R -J -O -K -G0 -W255/255/255O/0/0/0o >> p.ps




ff=0
i=1
j=1
while [ $ff == 0 ]
do
  i=`expr 11 - $j`
  ff=`head -n $i tabla0x.dat | tail -n 1 | awk '{if($2!=0) print $2;else print 0}'`
  imm_g=`head -n $i tabla0x.dat | tail -n 1 | awk '{print $1}'`
  j=`expr $j + 1`
done

echo El valor de ff es $ff con intensidad $imm_g

n_x=10
if [ -f datos_tabla_recope.dat ]
then
  rm datos_tabla_recope.dat
fi

for i in pob10.dat pob09.dat pob08.dat pob07.dat pob06.dat pob05.dat pob04.dat pob23.dat pob01.dat
do
  n_x=`expr $n_x - 1`
  if [ -s $i ]
  then
    echo "Tabulando datos para archivo $i"
    awk '{printf"%3d %8.3f %8.3f %4d %s %s %s %s %s %s\n", ivx,$1,$2,$3,$4,$5,$6,$7,$8,$9}' ivx=$n_x $i >> datos_tabla_recope.dat
  fi
done  


pstext -R0/1/-7/2 -O -K -JX3.0/2.0 -X0.4 -Y0.5 <<END>>p.ps
0.05 1 14 0 1 1 Intensidad
0.4 1 14 0 1 1 Estaciones
END
#awk '{print 0.5,-NR,12,0,1,1,$5,$6,$7,$8 }' datos_tabla_recope.dat | pstext -R -J -O -K >> p.ps
awk '{
if($1 >= 9) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 >= 9) print 0.2,-NR,14,0,1,2,"X+"
if($1 == 8) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 8) print 0.2,-NR,14,0,1,2,"IX"
if($1 == 7) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 7) print 0.2,-NR,14,0,1,2,"VIII"
if($1 == 6) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 6) print 0.2,-NR,14,0,1,2,"VII"
if($1 == 5) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 5) print 0.2,-NR,14,0,1,2,"VI"
if($1 == 4) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 4) print 0.2,-NR,14,0,1,2,"V"
if($1 == 3) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 3) print 0.2,-NR,14,0,1,2,"IV"
if($1 == 2) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 2) print 0.2,-NR,14,0,1,2,"II-III"
if($1 == 1) print 0.4,-NR,14,0,1,1,$5,$6,$7,$8
if($1 == 1) print 0.2,-NR,14,0,1,2,"I"
}' datos_tabla_recope.dat | pstext -R -J -O -K >> p.ps



gmtset BASEMAP_FRAME_RGB 0/0/0

pstext -R0/5/0/5 -JX3.8i -X-0.3 -Y-0.2 -O -H -m -N -K <<EOF>>p.ps
algo
> 0 -0.5 14 0 0 LT 14p 7.9i j
@%1%Estaciones de la Refiener\354a Costarricense de Petr\360leo@%% expuestos a diferentes grados de intensidad s\354smica. Este mapa muestra la ubicaci\360n de las cinco estaciones de RECOPE coloreadas seg\366n el valor de la intensidad de Mercalli. Los n\366meros sobre el mapa corresponden a la aceleraci\360n m\337xima registrada por cada aceler\360grafo en cm/s@+2@+.
EOF


psxy -R -J -O  <<END>> p.ps
END

convert p.ps -flatten -crop 590x620+0+0 recope_intensidad.png

rm .gmtdefaults4


#display habitantes_intensidad.png
#gv p.ps