#!/bin/bash

gmtset BASEMAP_TYPE PLAIN
gmtset ANNOT_FONT_SIZE_SECONDARY 14p
gmtset ANNOT_FONT_SIZE_PRIMARY 14p
gmtset LABEL_FONT_SIZE 14p
gmtset PAPER_MEDIA A3

rm *.tbl

lon=`awk '{print $1}' epi.dat`
lat=`awk '{print $2}' epi.dat`  
  
grdmath -R-87.0/-82/7/12 -I0.05 $lon $lat SDIST 109.3 MUL = dist.nc  
pscoast -R-87/-82/7/12 -JM7 -X0.9 -Y9.3 -Bg1/g1 -Df -W1 -N1/5 -K -G230/230/230 -P -Slightblue > p.ps
psclip -O -J -R /usr/local/gmt/contornos/contorno_costa_rica.txt -K >> p.ps
#psclip -O -J -R -m /usr/local/gmt/contornos/contorno_costa_rica_chira.txt -K >> p.ps
pscoast -R-87/-82/7/12 -J -Df -W1 -N1/5 -K -P -Ggray -Slightblue -O >> p.ps
psclip -C -O -K >> p.ps


psclip -O -J -R /usr/local/gmt/contornos/isla_chira.txt -K >> p.ps
pscoast -R-87/-82/7/12 -J -Df -W1 -N1/5 -K -P -Ggray -Slightblue -O >> p.ps
psclip -C -O -K >> p.ps


pscoast -R-87/-82/7/12 -J -Df -W1 -N1/5 -K -P -Slightblue -O >> p.ps
psxy -O -J -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -J -R  -W2/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk -F\; '{print -(($10/60+$9)/60+$8), (($7/60+$6)/60)+$5,$11 }' distritos_area_poblacion.txt > t03.a
sort -n -k3 t03.a | psxy -R -Ss0.08 -Ccol_pob.cpt -J -O -K >> p.ps
grdcontour dist.nc -A50+v+ukm+kblack+gwhite+s14 -Glz-/z+ -S8 -C25 -O -J -Wathin,white -Wcthinnest,white,- -K >> p.ps
psscale -D1.25/0.5/2/0.1h -Al -Ef -B:"Miles de habitantes": -Ccol_pob.cpt -O -K >> p.ps
pscoast -R -J -W -Df -K -Lf-84.3/7.35/10.0/100+lkm -T-82.25/11.3/1 -O >> p.ps


pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.5 14  0 22 BL Nicaragua
-82.5  8.6  14 90 22 ML Panam\337
END

echo $lon $lat | awk '{print $1+0.01,$2+0.005}' | psxy -R -J -O -Sa0.25 -W1 -Gblack -K >> p.ps
echo $lon $lat | psxy -R -J -O -Sa0.2 -W1 -Ggreen -K >> p.ps

pstext -R -J -O -K -G255 -W0/0/0O <<END>>p.ps
-82.01 7.05 10 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END


if [ -f todos.dat1 ]
then
  rm todos.dat1
fi

c=0
for i in `seq 300 -25 25`
do
  c=`expr $i - 25`
  
  gmtselect -fg t03.a -C$i/epi.dat > d.$i 
  suma1=`awk 'BEGIN {sum=0} {sum+=$3} END {print sum}' d.$i`

  gmtselect -fg t03.a -C$c/epi.dat > d.$c
  suma2=`awk 'BEGIN {sum=0} {sum+=$3} END {print sum}' d.$c`
  
  if [ $c == 0 ]
  then
    suma2=0
  fi
  
  echo $i $suma1 $suma2 | awk '{if(($2-$3)<0) print $1-12.5,-1*($2-$3); else print $1-12.5,($2-$3)}' >> todos.dat1
done
rm t03.a d.? d.?? d.???

amax=`sort -n -k2 todos.dat1 | tail -n 1 | awk '{print $2+$2*0.1}'`
gmtset LABEL_OFFSET 0.05
gmtset ANNOT_OFFSET_PRIMARY 0.02i

psxy -R0/300/0/$amax todos.dat1  -JX7/3 -W3 -B25:"Distancia al epicentro (km)":/a200f100:"Miles de habitantes":WSne -Sb0.58 -O -X0 -Y-3.0 -K -Glightgreen >> p.ps

mag=`head -n 1 mw.dat`
pro=`head -n 1 epi.dat | awk '{printf"%0.1f\n", $3}'`

xp01=`sort -n -k2 todos.dat1 | tail -n 1 | awk '{print $2*1000}'`
xp02=`sort -n -k2 todos.dat1 | tail -n 1 | awk '{print $1-12.5}'`
xp03=`sort -n -k2 todos.dat1 | tail -n 1 | awk '{print $1+12.5}'`

zp01=`tail -n 1 todos.dat1| awk '{print $2*1000}'`
zp02=`tail -n 1 todos.dat1| awk '{print $1-12.5}'`
zp03=`tail -n 1 todos.dat1| awk '{print $1+12.5}'`


echo $xp01 > distancia03.tbl
echo $xp02 >> distancia03.tbl
echo $xp03 >> distancia03.tbl
echo $zp01 >> distancia03.tbl
echo $zp02 >> distancia03.tbl
echo $zp03 >> distancia03.tbl

if [ $xp01 == $zp01 ]
then
  renglon="La mayor\354a de la poblaci\360n (unas $xp01 personas) se encontraban entre los $xp02 y $xp03 km de distancia del epicentro."
else
  renglon="Un aproximado de $zp01 habitantes se encontraba a $zp03 km a la redonda del epicentro.
La mayor\354a de la poblaci\360n (unas $xp01 personas) estaba entre los $xp02 y $xp03 km."
fi



pstext -R0/5/0/5 -JX3i -X0 -Y-0.4 -O -H -m -N -K <<EOF>>p.ps
algo
> 0 -0.5 14 0 0 LT 14p 7i j
@%1%Miles de habitantes en las cercan\354as del epicentro: Mag:@;250/0/0; $mag @;; Prof: @;250/0/0;${pro}@;; km
> 0 -1.0 14 0 0 LT 14p 7i j
@;0/0/250;Arriba:@;; El mapa muestra las cabeceras de cada distrito del pa\354s coloreadas
seg\366n el n\366mero de habitantes (en miles de personas) que posee. Los c\354rculos corresponden a la distancia en kil\360metros que hay desde el epicentro (estrella verde) a todas las \337reas pobladas. 
> 0 -2.5 14 0 0 LT 14p 7i j
@;0/0/250;Abajo@;; El gr\337fico muestra el valor acumulado en miles de habitantes que hay 
a una distacia espec\354fica del epicentro. $renglon
> 6 -4.2 12 0 2 1 12p 7i j
Datos de poblaci\360n tomados del INEC (2011).
EOF


psxy -R -J -O <<END>> p.ps
END
cp p.ps impacto_poblacion_distancia.ps

#gv p.ps
convert p.ps -flatten -crop 590x955+0+0 poblacion_distancia.png
rm p.ps

rm .gmtcommands4
rm .gmtdefaults4
