#!/bin/bash

f3=`date +"%d-%m-%Y-%H:%M"`

# 109.3 km corresponden a 4.1 cm que es 1 grado en este mapa
# 109.3 km corresponden a 1.61 pulgadas

gmtset        BASEMAP_TYPE PLAIN

makecpt -Cgray -T-7000/5000/100 -Z > fondo_gris.cpt
psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
grdimage surf.grd -R -JM -Cfondo.cpt -X0 -Y0 -Igradients.grd -K  -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-84.5/7.22/10.0/100.0 -G150/150/150 >> p.ps


for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -G150/150/150 $j >> p.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> p.ps 



pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-81.85 7.1 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END
pstext -R -JM -O -K -Gyellow -W0/0/0O/255/255/255o <<END>> p.ps
-84.2 11.53 16 0 1 2 Refresque su navegador para cargar nueva imagen
END
#awk '{print $1,$2+0.12, 12, 0, 0, 2, "Epicentro"}' epi.dat | pstext -R -JM -O -K >> p.ps

psxy -R0/1/0/1 -JX8.02/0.3 -O -K -G0 -X0 -Y-0.3 <<END>> p.ps
0.0 0.0
0.0 1.0
1.0 1.0
1.0 0.0
0.0 0.0
END


f=`head -n 1 nom.dat`
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.02 0.35 14 0 1 1 Fecha: $f
END
h=`head -n 1 hor.dat`
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.26 0.35 14 0 1 1 Hora: $h
END
m='---'
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.47 0.35 14 0 1 1 Magnitud (Mw): $m
END
p='---.-'
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.72 0.35 14 0 1 1 Profundidad (km): $p
END
pstext -R0/3/0/5 -JX3i -O -H -m -N -X0.6 -Y5 -K -Gyellow -W0/0/0O/255/255/255o <<EOF>> p.ps
Aviso de sismo
> 0 -0.5 30 0 1 LT 32p 7i j
Procesando informaci\360n de posible sismo a las $h
EOF



psxy -R -JX -O <<END>>p.ps
END
convert p.ps -crop 590x575+15+25 resumen.gif


psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
grdimage surf.grd -R -JM -Cfondo_gris.cpt -X0 -Y0 -Igradients.grd -K  -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-84.5/7.22/10.0/100.0 -G150/150/150 >> p.ps


for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -G150/150/150 $j >> p.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> p.ps 
 


pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-81.85 7.1 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (UCR)
END
pstext -R -JM -O -K -Gyellow -W0/0/0O/255/255/255o <<END>> p.ps
-84.2 11.53 16 0 1 2 Refresque su navegador para cargar nueva imagen
END

psxy -R0/1/0/1 -JX8.02/0.3 -O -K -G0 -X0 -Y-0.3 <<END>> p.ps
0.0 0.0
0.0 1.0
1.0 1.0
1.0 0.0
0.0 0.0
END


f=`head -n 1 nom.dat`
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.02 0.35 14 0 1 1 Fecha: $f
END
h=`head -n 1 hor.dat`
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.26 0.35 14 0 1 1 Hora: $h
END
m='---'
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.47 0.35 14 0 1 1 Magnitud (Mw): $m
END
p='---.-'
pstext -R -JX -O -K -Gwhite -X0 -Y0 <<END>> p.ps
0.72 0.35 14 0 1 1 Profundidad (km): $p
END


pstext -R0/3/0/5 -JX3i -O -H -m -N -X0.6 -Y5 -K -Gyellow -W0/0/0O/255/255/255o <<EOF>> p.ps
Aviso de sismo
> 0 -0.5 30 0 1 LT 32p 7i j
Procesando informaci\360n de posible sismo a las $h
EOF



psxy -R -JX -O <<END>>p.ps
END
convert p.ps -crop 590x575+15+25 resumen1.gif

convert -delay 50 -loop -1 resumen.gif resumen1.gif portada1.gif
convert portada1.gif -repage 0x0+0+0 portada.gif
