#!/bin/bash


gmtset        BASEMAP_TYPE PLAIN

if [ -f mapint.png ]
then
  rm mapint.png
fi

tempdir=`head -n 1 ../destino.dat`
cp ../????.mmi .
cp ../coord.txt .

if [ -f locace.dat ]
then
  rm locace.dat
fi


for i in ????.mmi
do
  s=`echo $i | cut -c1-4`
  lon=`grep $s coord.txt | awk '{print $2}'`
  lat=`grep $s coord.txt | awk '{print $3}'`
  v=`awk '{print $1}' $i`
  echo $lon $lat $v >> locace.dat
done 

titulo="Interpolaci\360n"
vmin=0.0
vmax=10
dy=1
xmin=-86.0
xmax=-82.5
ymin=8.0
ymax=11.3
valo=25  #intervalo de la escala de colores

vmin=0
vmax=`sort -n -k3 locace.dat | tail -n 1 | awk '{print $3 + $3*10./100.}'`
echo $vmax > valor_maximo_total.dat

valo=`echo $vmax | awk '{
if($1<50) print 10
else if($1<100) print 20
else if($1<200) print 50
else if($1<500) print 100
else if($1<700) print 150
else if($1<1000) print 200
else if($1<1500) print 250
else if($1<2000) print 500
else print 1000 }'`

echo El intervalo queda en $valo

prt=`echo $vmax | awk '{print $1/100}'`
r=`echo $vmax | awk '{printf"%3d\n", $1/4}'`
psbasemap -R$xmin/$xmax/$ymin/$ymax -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
makecpt -Crainbow -T$vmin/$vmax/$prt locace.dat > topo.cpt
echo $vmax $prt $prn

surface locace.dat -I0.01/0.01 -Gtmp1.grd -R -V -T0.0 -Ll0.1
grdimage tmp1.grd -Ctopo.cpt -O -J -R -K >> p.ps

pscoast -R -JM -N1/5 -N2/3/255/255/255 -W2 -X0 -Y0 -S130/130/130 -K -Df -B -O >> p.ps 

psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitenicaragua.txt >> p.ps
psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitepanama.txt >> p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -K -Df -B -O -S190/190/190  -Lfx4.4/0.7/10.0/100.0+lkm -Tf-83.0/10.95/0.5/1   >> p.ps 
awk '{print $1-0.005,$2-0.005}' locace.dat | psxy -R -J -W6 -S+0.08 -K -O >> p.ps
awk '{print $1,$2}' locace.dat | psxy -R -J -W6/255/255/255 -S+0.08 -K -O >> p.ps


pstext -R -JM -O -G255/255/255 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END
pstext -R -JM -O -K -G <<END>> p.ps
-85.95 8.05 14 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

pstext -R -JM -O -K -X0 -Y0 <<END>> p.ps
-85.73 8.47 14 0 0 1 Ubicaci\360n de aceler\360grafos
END
psxy -R -J -W6 -S+0.12 -K -O <<END>> p.ps
-85.79 8.5 
END

psscale -D1.2i/0.2i/3.5i/0.2ih -Ctopo.cpt  -O -X1 -Y2.4 -K -I -B$valo:"Aceleraci\360n (cm/s@+2@+)": >> p.ps


psxy -R -JM -O  <<END>> p.ps
END

convert p.ps -crop 586x560+17+95 -quality 100 mapint.png
rm locace.dat topo.cpt tmp1.grd
rm .gmtdefaults4

cp mapint.png $tempdir
echo
echo Mapa de intensidades listo...
echo
#display mapint.jpg
