#!/bin/bash

tempdir=`head -n 1 ../destino.dat`

gmtset        BASEMAP_TYPE PLAIN 

psbasemap -R-86.1/-82.5/8.0/11.3 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
pscoast -R -JM  -N1 -N2/255/255/255 -W2 -X0 -Y0 -B -Df -O -Lfx4.3/0.8/10.0/100.0+lkm -Tf-83.0/10.95/0.5/1 -G200/200/200  -S0/149/255 -K >> p.ps

awk '{printf"%8.3f\n", $2}' param.dat | sort -n | tail -n 1 > vtop
v1=`awk '{printf"%7.2f\n",$1/9}' vtop`
v2=`awk '{printf"%7.2f\n",$1*2/9}' vtop`
v3=`awk '{printf"%7.2f\n",$1*3/9}' vtop`
v4=`awk '{printf"%7.2f\n",$1*4/9}' vtop`
v5=`awk '{printf"%7.2f\n",$1*5/9}' vtop`
v6=`awk '{printf"%7.2f\n",$1*6/9}' vtop`
v7=`awk '{printf"%7.2f\n",$1*7/9}' vtop`
v8=`awk '{printf"%7.2f\n",$1*8/9}' vtop`
v9=`awk '{printf"%7.2f\n",$1*9.1/9}' vtop`

cat > accel.cpt << END
0.0       255/255/255     $v1     255/255/255
$v1     0/0/140   $v2     0/0/140
$v2     12/100/230    $v3   12/100/230
$v3     5/220/180   $v4  5/220/180
$v4      10/220/30         $v5  10/220/30
$v5  242/236/5  $v6  242/236/5
$v6  242/139/5  $v7  242/139/5
$v7  145/113/11  $v8  145/113/11
$v8   255/0/0 $v9  255/0/0
END

awk '{print $1,$2,$3}' locace.dat | psxy -R -JM -O -K -Caccel.cpt -Ss0.15i -W1 >> p.ps

pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-86.0 8.08 12 0 1 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

for j in /usr/local/gmt/parches/*.txt
do
  psxy -R -JM -O -K -B -G200/200/200 $j >> p.ps
done
pscoast -R -JM -N1/5 -O -K -Df >> p.ps 

pstext -R -JM -O -G0 -W -K <<END>> p.ps
-84.7 11.15 14  0 22 BL Nicaragua
-82.6  8.7  14 90 22 ML Panam\337
END

pstext -R -JM -O -G255/255/255 -K <<END>> p.ps
-82.9 10.3  12  0 22 MC Mar Caribe
-85.7  9.5  12  0 22 ML Oc\345ano Pac\354fico
END

psxy -R -JM -B -O <<END>>p.ps
END

convert p.ps -crop 586x550+15+110  amax.jpg

mv amax.jpg $tempdir

rm .gmtcommands4 p.ps

gmtset ANNOT_FONT_SIZE_PRIMARY = 12p                 
gmtset LABEL_FONT_SIZE = 14p                 

psscale -D3.15/8.3/7.5/0.25h -P -Caccel.cpt -B:"ACELERACION MAXIMA (CM/S@+2@+)": > p.ps
convert p.ps -crop 588x74+5+115 escala4.png

rm .gmtcommands4 .gmtdefaults4 p.ps



# psxy -R-1/10/-1/5 -JX8/3 -P  -K -X0.4 -Y8.0 <<END> p.ps
# END
# 
# #Leyenda
# pstext -R -JX -K -O <<END>> p.ps
# -0.9 1.1 12 0 1 2 0
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G255/255/255 <<END>> p.ps
# -0.6 1.2
# END
# pstext -R -JX -K -O <<END>> p.ps
# -0.1 1.1 13 0 1 2 $v1
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G0/0/140 <<END>> p.ps
# 0.5 1.2 II-III
# END
# pstext -R -JX -K -O <<END>> p.ps
# 1.1 1.1 13 0 1 2 $v2
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G12/100/230 <<END>> p.ps
# 1.7 1.2 IV
# END
# pstext -R -JX -K -O <<END>> p.ps
# 2.3 1.1 13 0 1 2 $v3
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G5/220/180 <<END>> p.ps
# 2.8 1.2 V
# END
# pstext -R -JX -K -O <<END>> p.ps
# 3.4 1.1 13 0 1 2 $v4
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G10/220/30 <<END>> p.ps
# 3.9 1.2 VI
# END
# pstext -R -JX -K -O <<END>> p.ps
# 4.5 1.1 13 0 1 2 $v5
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G242/236/5 <<END>> p.ps
# 5.0 1.2 VII
# END
# pstext -R -JX -K -O <<END>> p.ps
# 5.6 1.1 13 0 1 2 $v6
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G242/139/5 <<END>> p.ps
# 6.1 1.2 VIII
# END
# pstext -R -JX -K -O <<END>> p.ps
# 6.7 1.1 13 0 1 2 $v7
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G145/113/11 <<END>> p.ps
# 7.2 1.2 IX
# END
# pstext -R -JX -K -O <<END>> p.ps
# 7.8 1.1 13 0 1 2 $v8
# END
# psxy -R -JX -Ss0.2 -K -O -W1 -G255/0/0 <<END>> p.ps
# 8.3 1.2 X-XI-XII
# END
# pstext -R -JX -K -O <<END>> p.ps
# 8.9 1.1 13 0 1 2 $v9
# END
# 
# pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
# 4.2 0.5 16 0 1 2 Aceleraci\360n M\337xima (cm/s@+2@+)
# END
# 
# psxy -R -JX -O  <<END>> p.ps
# END
# convert p.ps -crop 586x65+5+115 escala4.png
mv escala4.png $tempdir



