#!/bin/bash

(

tempdir=`head -n 1 ../destino.dat`


if [ -d thumbs ]
then
  rm -r thumbs
fi
mkdir thumbs

x=100
for st_name in `cat lista.dat`
do
  echo $st_name
  x=`expr $x + 1`


#solo si la aceleracion es superior a 1 cm/s2 se crean espectros y demas
  tn=$st_name.max
  pc=`awk '{if($1 > 1.7) print 1;else print 0}' $tn`
  if [ "$pc" == "1" ]
  then
    echo $tn ========pasa
    for r in sac_2*.$st_name
    do
      cp $r ../ef_sitio
      cp $r ../velocidad
      cp $r ../espectros
      cp $r ../duracion
      cp $r ../ariasi
    done
  fi

sac2000<<END
R sac_2*.$st_name
W SAC xsac1.$st_name xsac2.$st_name xsac3.$st_name
QDP OFF
XLABEL "Tiempo [s]"
YLABEL "Amplitud [cm/s/s]"
TITLE ON SIZE MEDIUM "$st_name"
BD SGF
COLOR RED
P1
ED SGF
END

sgftops f001.sgf $st_name.ps

echo El valor de x es $x
convert -page letter -rotate 90 -crop 650x500+60+50 $st_name.ps waves$x.png
mv waves$x.png $tempdir/ondas

convert -size 100x40 xc:white -fill blue -font Helvetica-Bold -pointsize 25 -draw "text 15,29 '$st_name'" -frame 2x2 test.gif
convert test.gif -matte \
          \( +clone -fill DarkSlateGrey -colorize 100% -repage +0+1 \) \
          \( +clone -repage +1+2 \) \
          \( +clone -repage +1+3 \) \
          \( +clone -repage +2+4 \) \
          \( +clone -repage +2+5 \) \
          \( +clone -repage +3+6 \) \
          -background none -compose DstOver -mosaic  a.png

mv a.png thumbs/waves$x.png

done

mv thumbs $tempdir/ondas
rm infile f001.sgf sac*.ps ofile test.gif
)
