#!/bin/bash

(

cp ../coord.txt .
awk '{print $1}' coord.txt > lista0x.dat

rm sac_*

ifort -o leer leer.f90

for i in 2*.rt
do
  rt_asc -L- $i
done

if [ -f lista.dat ]
then
  rm lista.dat
fi
ls -c1 *_1.atr | cut -c18-21 > lista1x.dat
for i in `cat lista0x.dat`
do
  for j in `cat lista1x.dat`
  do
    if [ "$i" = "$j" ]
    then
      echo $i >> lista.dat
    fi
  done
done


ev_name=`ls -c1 2*_1.atr | sort | head -n 1 | cut -c1-16`
for j in `cat lista.dat`
do
  n=2*_$j*.atr
  echo Archivo $n

  for i in $n
  do
    echo $i
    cp $i infile
    leer
    st_name=`echo $i | cut -c18-21`
    cp_name=`echo $i | cut -c25-26`

    xyr=`echo $i | cut -c1-4`
    xdy=`echo $i | cut -c5-7`
    xhr=`echo $i | cut -c8-9`
    xmn=`echo $i | cut -c10-11`
    xsc=`echo $i | cut -c12-13`
    xms=`echo $i | cut -c14-16`

      if [ $cp_name = "_1" ]
      then
       cx=Z
      fi
      if [ $cp_name = "_2" ]
      then
       cx=N
      fi
      if [ $cp_name = "_3" ]
      then
       cx=E
      fi
    fn=sac_$ev_name.$cp_name.$st_name

    lon_stname=`grep $st_name coord.txt | awk '{print $2}'`
    lat_stname=`grep $st_name coord.txt | awk '{print $3}'`
    writesac 0.005 < ofile > $fn

sac<<END
r $fn
chnhdr kcmpnm $cx
chnhdr kstnm $st_name
chnhdr nzyear $xyr
chnhdr nzjday $xdy
chnhdr nzhour $xhr
chnhdr nzmin $xmn
chnhdr nzsec $xsc
chnhdr nzmsec $xms
chnhdr stla $lat_stname
chnhdr stlo $lon_stname
rtrend
rmean
bp bu CO 0.1 25.0 
w sac over
END

  done
done
rm *.atr infile ofile 

)
