#!/bin/bash

tempdir=`head -n 1 destino.dat`

gmtset PAPER_MEDIA A3

pstext -R0/14/-80/0.5 -JX9/16 -P -X-1.1 -Y0.3 -V -K -Gred <<END> p.ps
8.0 -0.5 16 0 1 2 VALORES MAXIMOS ESTIMADOS
END
pstext -R -JX -O -K -Gblue <<END>> p.ps
2.0 -2 12 0 1 1 Estaci\360n
3.7 -2 12 0 1 1 Aceleraci\360n (cm/s@+2@+) 
6.4 -2 12 0 1 1 Intensidad (IMM) 
10.5 -2 12 0 1 1 Lugar
END

if [ -f lista.lug ]
then
  rm lista.lug
fi

if [ -f lista.xpar ]
then
  rm lista.xpar
fi

if [ -f loc.dat ]
then
  rm loc.dat
fi

if [ -f locace.dat ]
then
  rm locace.dat
fi
if [ -f locvel.dat ]
then
  rm locvel.dat
fi

if [ -f param.dat ]
then
  rm param.dat
fi



for i in ????.mmi
do
  s=`echo $i | cut -c1-4`
  lon=`grep $s coord.txt | awk '{print $2}'`
  lat=`grep $s coord.txt | awk '{print $3}'`
  v=`awk '{print $3}' $i`
  w=`awk '{print $4}' $i`
  ac=`awk '{print $1}' $i`
  av=`awk '{print $2}' $i`
  y=`grep $w color.dat | awk '{print $2}'`
  echo $lon $lat $v $y >> loc.dat
  echo $lon $lat $av >> locvel.dat
  echo $lon $lat $ac $s >> locace.dat
  echo $s $ac $av >> param.dat
done 

cp locace.dat poblacion
cp locace.dat intensidad_pga

sort -n -r -k2 param.dat > tempo.par
for j in `cat tempo.par | awk '{print $1}'`
do
  echo Val is $j
  k=`grep $j lug.dat | awk '{print $1}'`
  if [ "$j" == "$k" ]
  then
     echo "j = " $j " k = " $k
     grep $j lug.dat >> lista.lug
     xpar=`grep $j tempo.par | awk '{print $1,$2,$3}'`
     echo $xpar >> lista.xpar
  fi
done
paste lista.xpar lista.lug > param.dat
rm tempo.par lista.lug lista.xpar



p=-2
x=1
n=`wc param.dat | awk '{print $1}'`
while [ $x -le $n ]
do
  p=`expr $p - 1`
  lx=2.2
  ly=$p
  head -n $x param.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %5s\n", px,py,14,0,0,1,$1}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=5.0
  ly=$p
  head -n $x param.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %7.2f\n", px,py,14,0,0,3,$2}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=7.6
  ly=$p
  head -n $x param.dat | tail -n 1 | awk '{
           r=$2
           if(r < 1.7) m="I";
           if(r >=1.7 && r <14) m="II-III";
           if(r >=14 && r <39) m="IV";
           if(r >=39 && r <92) m="V";
           if(r >=92 && r <180) m="VI";
           if(r >=180 && r <340) m="VII";
           if(r >=340 && r <650) m="VIII";
           if(r >=650 && r <1240) m="IX";
           if(r >=1240) m="X+";
printf"%5.1f %5.1f %4d %4d %4d %4d %7s\n", px,py,14,0,0,2,m}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  lx=8.9
  ly=$p
  head -n $x param.dat | tail -n 1 | awk '{printf"%5.1f %5.1f %4d %4d %4d %4d %s %s %s %s %s %s %s %s\n", px,py,14,0,0,1,$5,$6,$7,$8,$9,$10,$11,$12
}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  x=`expr $x + 1`
  echo $x $n
done


psxy -R -JX -O <<END>> p.ps
END


#En caso que algo salga mal, se convierte a la longitud total
convert p.ps -crop 590x1630+0+0 valores.png



if [ $n -le 10 ]
then
  convert p.ps -crop 590x200+0+0 valores.png
fi
if [ $n -gt 10 ] && [ $n -le 15 ]
then
  convert p.ps -crop 590x270+0+0 valores.png
fi
if [ $n -gt 15 ] && [ $n -le 20 ]
then
  convert p.ps -crop 590x340+0+0 valores.png
fi

if [ $n -gt 20 ] && [ $n -le 25 ]
then
  convert p.ps -crop 590x413+0+0 valores.png
fi

if [ $n -gt 25 ] && [ $n -le 30 ]
then
  convert p.ps -crop 590x484+0+0 valores.png
fi

if [ $n -gt 30 ] && [ $n -le 35 ]
then
  convert p.ps -crop 590x556+0+0 valores.png
fi

if [ $n -gt 35 ] && [ $n -le 40 ]
then
  convert p.ps -crop 590x626+0+0 valores.png
fi

if [ $n -gt 40 ] && [ $n -le 45 ]
then
  convert p.ps -crop 590x696+0+0 valores.png
fi

if [ $n -gt 45 ] && [ $n -le 50 ]
then
  convert p.ps -crop 590x770+0+0 valores.png
fi

if [ $n -gt 50 ] && [ $n -le 55 ]
then
  convert p.ps -crop 590x840+0+0 valores.png
fi

if [ $n -gt 55 ] && [ $n -le 60 ]
then
  convert p.ps -crop 590x920+0+0 valores.png
fi

if [ $n -gt 60 ] && [ $n -le 65 ]
then
  convert p.ps -crop 590x1000+0+0 valores.png
fi

if [ $n -gt 65 ] && [ $n -le 70 ]
then
  convert p.ps -crop 590x1150+0+0 valores.png
fi

rm .gmtdefaults4
mv param.dat param_pga.dat
mv valores.png $tempdir

