#!/bin/bash


tempdir=`head -n 1 ../destino.dat`

gmtset PAPER_MEDIA A3


mkdir thumbs
if [ -f valmax ]
then
  rm valmax
fi

for i in `ls -c1 sac_*._1.???? | cut -c25-28 | cat`
do

sac2000<<END
r sac_*._1.$i sac_*._2.$i sac_*._3.$i
INT
RMEAN
RTREND
QDP OFF
BD SGF
TITLE ON "$i" SIZE MEDIUM
FILEID ON TYPE LIST KCMPNM
XLABEL "Tiempo [s]"
YLABEL "Amplitud [cm/s]"
COLOR BLUE
P1
ED SGF
ABS
SETBB NOMBRE &1,KSTNM 
SETBB MAXUD &1,DEPMAX
SETBB MAXNS &2,DEPMAX
SETBB MAXEW &3,DEPMAX
GETBB TO valmax NEWLINE OFF NOMBRE MAXUD MAXNS MAXEW
END
sgftops f001.sgf f.$i.ps

convert -page letter -rotate 90 -crop 650x500+60+50 f.$i.ps a.png
mv a.png $tempdir/velocidad/v$i.png

convert -size 100x40 xc:white  -fill blue -font Helvetica-Bold -pointsize 25 -draw "text 15,29 '$i'" -frame 2x2 test.gif
convert test.gif -matte \
          \( +clone -fill DarkSlateGrey -colorize 100% -repage +0+1 \) \
          \( +clone -repage +1+2 \) \
          \( +clone -repage +1+3 \) \
          \( +clone -repage +2+4 \) \
          \( +clone -repage +2+5 \) \
          \( +clone -repage +3+6 \) \
          -background none -compose DstOver -mosaic  a.png

mv a.png thumbs/v$i.png

rm test.gif
done
mv thumbs $tempdir/velocidad

rm f001.sgf *.ps 


pstext -R0/14/-80/0.5 -JX9/16 -P -X0.5 -Y0.3 -V -K -Gred <<END> p.ps
4.6 -0.5 16 0 1 2 VALORES MAXIMOS ESTIMADOS (CM/S)
END
pstext -R -JX -O -K -Gblue <<END>> p.ps
0.2 -2 12 0 1 1 Estaci\360n
2.1 -2 12 0 1 1 Vertical 
4.6 -2 12 0 1 1 Norte-Sur 
7.4 -2 12 0 1 1 Este-Oeste
END

sort -k 3 valmax > temporal1
mv temporal1 valmax

p=-2
x=1
n=`wc valmax | awk '{print $1}'`
while [ $x -le $n ]
do
  p=`expr $p - 1`
  lx=0.4
  ly=$p
  head -n $x valmax | tail -n 1 | awk '{print px,py,14,0,0,1,$3}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=3.0
  ly=$p
  head -n $x valmax | tail -n 1 | awk '{printf"%f %f %d %d %d %d %8.3f\n", px,py,14,0,0,3,$6}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=5.6
  ly=$p
  head -n $x valmax | tail -n 1 | awk '{printf"%f %f %d %d %d %d %8.3f\n", px,py,14,0,0,3,$9}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 
  lx=8.5
  ly=$p
  head -n $x valmax | tail -n 1 | awk '{printf"%f %f %d %d %d %d %8.3f\n", px,py,14,0,0,3,$12}' px=$lx py=$ly | pstext -R -JX -O -K >> p.ps 

  x=`expr $x + 1`
  echo $x $n
done

psxy -R -JX -O <<END>> p.ps
END


convert p.ps -crop 490x1630+0+0 valores.png

if [ $n -le 10 ]
then
  convert p.ps -crop 590x200+0+0 valores.png
fi
if [ $n -gt 10 ] && [ $n -le 15 ]
then
  convert p.ps -crop 590x270+0+0 valores.png
fi
if [ $n -gt 15 ] && [ $n -le 20 ]
then
  convert p.ps -crop 590x340+0+0 valores.png
fi

if [ $n -gt 20 ] && [ $n -le 25 ]
then
  convert p.ps -crop 590x413+0+0 valores.png
fi

if [ $n -gt 25 ] && [ $n -le 30 ]
then
  convert p.ps -crop 590x484+0+0 valores.png
fi

if [ $n -gt 30 ] && [ $n -le 35 ]
then
  convert p.ps -crop 590x556+0+0 valores.png
fi

if [ $n -gt 35 ] && [ $n -le 40 ]
then
  convert p.ps -crop 590x626+0+0 valores.png
fi

if [ $n -gt 40 ] && [ $n -le 45 ]
then
  convert p.ps -crop 590x696+0+0 valores.png
fi

if [ $n -gt 45 ] && [ $n -le 50 ]
then
  convert p.ps -crop 590x770+0+0 valores.png
fi

if [ $n -gt 50 ] && [ $n -le 55 ]
then
  convert p.ps -crop 590x840+0+0 valores.png
fi

if [ $n -gt 55 ] && [ $n -le 60 ]
then
  convert p.ps -crop 590x920+0+0 valores.png
fi

if [ $n -gt 60 ] && [ $n -le 65 ]
then
  convert p.ps -crop 590x1000+0+0 valores.png
fi

if [ $n -gt 65 ] && [ $n -le 70 ]
then
  convert p.ps -crop 590x1050+0+0 valores.png
fi

# 

mv valores.png $tempdir/valores_vel.png
rm .gmtdefaults4

